Herbers Excel-Materialien Ribbon - Menü- und Symbolleisten in Excel 12 (Office 2007)
Zugriff und Automatisierung der Benutzerschnittstelle für Entwickler
Dateiformate

Dieses Dokument wendet sich in erster Linie an versierte Excel-Anwender, die mit VBA vertraut sind und auch eigene Anwendungen programmieren.

Die Excel-Version 12 als Bestandteil des Office-2007-Paketes bringt in einigen Teilbereichen einschneidende Änderungen, die an dieser Stelle aber nur angesprochen werden, soweit die Menü- und Symbolleisten, also das neue Ribbon(Band)-Objekt tangiert sind. Erkennbar wird eine Microsoft-Strategie, die für den Excel-Anwendungsprogrammierer einige Probleme mit sich bringen wird.

Für den "einfachen" Excel-Anwender bringt das neue Menü- und Symbolleistenmodell mit den dahintersteckenden Features in vielen Bereichen Vereinfachungen z.B. bei Formatierungen oder dem optischen Aufpeppen der Tabellen. Die Programmierung möchte man allerdings eher den "Fachleuten" vorbehalten. Die Version 12 stellt einen ersten Schritt in diese Richtung dar, der sich allerdings auf den Menü- und Symbolleistenbereich beschränkt. Der Kelch der Umstellung von VBA auf .NET-Programmierung ging für diesmal noch an uns vorüber. Das muss aber nicht so bleiben.

Wenn Sie einerseits nicht in die Tiefen der Benutzerschnittstelle einsteigen wollen oder Ihnen die Handhaburg zum aufwändig ist, Sie andererseits aber auch nicht auf die Erstellung eigener Ribbon-Objekte verzichten möchten, finden Sie hier Informationen zu dem Entwickler-Tool CreateRibbon.xlsm. Die Erstellung der Ribbon-Elemente kann ohne grossen Zeitaufwand und Kenntnisse des Objektmodells vorgenommen werden.

Im Weiteren wird auf das Ribbon-Objekt hinsichtlich der Programmierung desselben eingegangen, nicht auf den Umgang in Excel mit diesem Menüsystem.


Eigene Anwendungen im Ribbon-Objekt

Symbolleisten, die in der aktuellen wie auch in Vorgängerversionen erstellt wurden, erscheinen unter dem Tab AddIn und sind - vorausgesetzt, im VBA-Code befinden sich keine von der Änderung des Objektmodells betroffenen Sequenzen - weiter voll funktionsfähig.

Ribbon

Nicht mehr möglich ist es allerdings, über eine VBA-Programmierung Einfluss auf das Menü/Symbolleisten-System - abgesehen des AddIn-Tabs - zu nehmen.


Alte und neue Symbolleisten | Benutzerschnittstelle

Das Dateiformat

Mit Excel 12 verabschiedet sich Microsoft vom BIFF-Format der Excel-Dateien. Das neue Format nennt sich OpenXML. Es handelt sich schlicht und einfach um eine Anzahl von Textdateien, die zu einer ZIP-Datei gepackt werden. Beinhaltet die Arbeitsmappe ein VBA-Projekt, kommt eine Binärdatei hinzu.

Entpackt man die Dateien, ergibt sich folgende Struktur:

Ordner | Ordner | Ordner | Datei
Verzeichnis |  |  | [Content_Types].xml
 | _rels |  | _rels
 | customUI |  | custumUI.xml
 | docProps |  | app.xml core.xml
 | xl |  | styles.xml workbook.xml vbaProject.bin
 |  | _rels | workbook.xml.rels
 |  | theme | theme1.xml
 |  | worksheets | sheet1.xml

Die Dateien können Sie einsehen, indem Sie dem Dateinamen ein .zip anhängen und mit WinZip öffnen.

Als Excel-Dateiformate stehen zur Verfügung:

Typ | Konstante | Wert | Suffix
xlOpenXMLAddIn | xlOpenXMLAddIn | 55 | .xlam
Open XML-Vorlage | xlOpenXMLTemplate | 54 | .xltx
Open XML-Vorlage mit Makros | xlOpenXMLTemplateMacroEnabled | 53 | .xltm
Open XML-Workbook | xlOpenXMLWorkbook | 51 | .xlsx
Open XML-Workbook mit Makros | xlOpenXMLWorkbookMacroEnabled | 52 | .xlsm


Dateiformate | Ereignisprogrammierung

Die Datei customUI

Hier werden die benutzerdefinierten Ribbon-Einstellungen festgelegt. Ein Beispiel für die customUI:

<customUI xmlns="http://schemas.microsoft.com/office/2006/01/customui">
  <ribbon startFromScratch="true">
    <tabs>
      <tab id="tab001" label="Einstellungen">
        <group id="group002" label="Spalten"
           imageMso="PivotChartType">
          <comboBox id="comboBox003" label="Farben"
             getItemLabel="GETITEMLABEL"
             imageMso="ViewBackToColorView">
            <item id="item004" label="rot"
               imageMso="AppointmentColor1" />
            <item id="item005" label="gr&#252;n"
               imageMso="AppointmentColor3" />
            <item id="item006" label="blau"
               imageMso="AppointmentColor2" />
          </comboBox>
          <toggleButton idMso="Bold" />
          <toggleButton idMso="Italic" />
        </group>
        <group id="group009" label="Zeilen"
           imageMso="ControlLayoutRemove">
          <button id="button010" label="Ausblenden"
             imageMso="ViewsFormView"
             onAction="Makro1" />
          <checkBox id="checkBox011" label="Keine leeren"
             onAction="Makro2" />
        </group>
      </tab>
    </tabs>
  </ribbon>
</customUI>

Der Ribbon-Parameter startFromScratch legt fest, wie die benutzerdefinierten Ribbon-tabs gestartet werden sollen. Bei true wird eine neue Ribbon-Leiste mit ausschliesslich den benutzerdefinierten Elementen angezeigt, bei false wird der bzw. werden die benutzerdefinierten tabs an die Standard-Ribbon-Leiste angefügt.

Die obige customUI brigt folgendes Ergebnis:

geschlossen aufgeklappt

Beachten Sie, dass Sonderzeichen und Umlaute maskiert werden müssen:

Zeichen | Maske
& | &amp;
" | &quot;
' | &apos;
< | &lt;
> | &gt;
Ä | &#196;
ä | &#228;
Ö | &#214;
ö | &#246;
Ü | &#220;
ü | &#252;
ß | &#223;


Benutzerschnittstelle | Zugriff

Ereignisprogrammierung der Steuerelemente

Im Blatt Sub sind alle den Steuerelementen zuzuordnenden Ereignisse mit den Übergabeparamtern gelistet. Nachfolgend ein paar Beispiele für die entsprechenden Ereignis-Codes:

Sub Makro1(control As IRibbonControl)
   MsgBox control.ID
End Sub

Ergebnis:

Meldung

Der folgende Beispielcode demonstriert die Verzweigung, wenn mehrere Steuerelemente einem gemeinsamen Makro zugewiesen sind:

Sub Makro(control As IRibbonControl)
   Select Case control.ID
      Case "button010"
         Worksheets("Tabelle1").Select
      Case "checkBox011"
         Worksheets("Tabelle2").Select
   End Select
End Sub


Ereignisprogrammierung | Steuerelemente und Unterlemente

Benutzerdefiniertes Ribbon der Arbeitsmappe hinzufügen

  • Bei der Excel-Arbeitsmappe handelt es sich um eine Serie von ZIP-gepackten Dateien. Um diese in WinZip sichtbar zu machen, muss die Arbeitsmappe umbenannt werden:

    Vorher Nachher

  • Die Datei kann jetzt in WinZip geöffnet werden:

    WinZip

    Bitte beachten Sie, dass es bi den jetzt folgenden Schritten je nach WinZip-Version und -Einstellungen abweichende Vorgehensweisen geben kann.

  • Klicken Sie die Datei .rels mit der rechten Maustaste an und wählen Sie den Editor oder ein anderes Textbearbeitungsprogramm:

    .rel öffnen
  • Fügen Sie vor dem sich am Ende befindlichen Tag </Relationships> folgenden Text ein:
    <Relationship Id="someID" Type="http://schemas.microsoft.com/office/2006/relationships/ui/extensibility" Target="customUI/customUI.xml" />
  • Speichern Sie die Datei ab und schliessen Sie den Editor.
  • Erstellen Sie auf dem Desktop einen neuen Ordner mit dem Namen customUI:

    Desktop-Ordner
  • Legen Sie nach dem XML-Muster aus Blatt customUI eine Textdatei an und speichern Sie diese unter dem Namen customui.xml in dem auf dem Desktop angelegten Ordner:

    Hinzufügen
  • Die angelegte Datei erscheint jetzt mit dem angelegten Ordner in der ZIP-Auflistung:

    WinZip
  • Benennen Sie jetzt die ZIP-Datei um, indem Sie die Zeichenfolge .zip entfernen:
    Vorher Nachher

  • Öffnen Sie die Arbeitsmappe in Excel.


Zugriff | Attribute

Die zur Verfügung stehenden Elemente

Das oberste Element der Benutzerschnittstelle customUI ist der tab (im Beispiel Start, Einfügen, Seitenlayout usw.):

tab

Die nächste Hierarchie stellt die group dar (im Beispiel Code, Steuerelemente, XML):

group

Die Liste der Steuerelemente mit den jeweiligen, möglichen Unterelemeten:

tab | group | box | button | buttonGroup | checkBox | comboBox
group | box | box |  | button |  | item
 | button | button |  | control |  |
 | buttonGroup | buttonGroup |  | dynamicMenu |  |
 | checkBox | checkBox |  | gallery |  |
 | comboBox | comboBox |  | menu |  |
 | control | control |  | splitButton |  |
 | dialogBoxLauncher | dropdown |  | toggleButton |  |
 | dropDown | dynamicMenu |  |  |  |
 | editBox | editBox |  |  |  |
 | gallery | gallery |  |  |  |
 | labelControl | labelControl |  |  |  |
 | menu | menu |  |  |  |
 | separator | splitButton |  |  |  |
 | splitButton | toggleButton |  |  |  |
 | toggleButton |  |  |  |  |
dialogBoxLauncher | dropDown | dynamicMenu | editBox | gallery | item | labelControl
button | item | button |  | item |  |
 |  | checkBox |  | button |  |
 |  | control |  |  |  |
 |  | dynamicMenu |  |  |  |
 |  | gallery |  |  |  |
 |  | menu |  |  |  |
 |  | menuSeparator |  |  |  |
 |  | splitButton |  |  |  |
 |  | toggleButton |  |  |  |
menu | menuSeparator | separator | splitButton | toggleButton |  |
button |  |  | button |  |  |
checkBox |  |  | toggleButton |  |
control |  |  | menu |  |  |
dynamicMenu |  |  |  |  |  |
gallery |  |  |  |  |  |
menu |  |  |  |  |  |
menuSeparator |  |  |  |  |  |
splitButton |  |  |  |  |  |
toggleButton |  |  |  |  |  |


Steuerelemente und Unterelemente | Beschreibung

Die Attribute

Jedes Steuerlement verfügt über Attribute, über die die Eigenschaft festgelegt werden kann. Eine Beschreibung der Attribute mit Angabe der möglichen Werte bzw. des Typs finden Sie im Blatt Beschreibung.

Die Attribute der Steuerelemente:

tab | group | box | button | buttonGroup | checkBox | comboBox
getKeytip | getImage | boxStyle | description | getVisible | getPressed | getItemCount
getLabel | getImageMso | getVisible | enabled | id | description | getItemID
getVisible | getKeytip | id | getDescription | idQ | enabled | getItemImage
id | getLabel | idQ | getEnabled | insertAfterMso | getDescription | getItemLabel
idMso | getScreentip | insertAfterMso | getImage | insertAfterQ | getEnabled | getItemScreentip
idQ | getSupertip | insertAfterQ | getImageMso | insertBeforeMso | getKeytip | getItemSupertip
insertAfterMso | getVisible | insertBeforeMso | getKeytip | insertBeforeQ | getLabel | showItemImage
insertAfterQ | id | insertBeforeQ | getLabel | visible | getScreentip | enabled
insertBeforeMso | idMso | visible | getScreentip |  | getSupertip | getEnabled
insertBeforeQ | idQ |  | getShowImage |  | getVisible | getImage
keytip | image |  | getShowLabel |  | id | getImageMso
label | imageMso |  | getSize |  | idMso | getKeytip
tag | insertAfterMso |  | getSupertip |  | idQ | getLabel
visible | insertAfterQ |  | getVisible |  | insertAfterMso | getScreentip
 | insertBeforeMso |  | id |  | insertAfterQ | getShowImage
 | insertBeforeQ |  | idMso |  | insertBeforeMso | getShowLabel
 | keytip |  | idQ |  | insertBeforeQ | getSupertip
 | label |  | image |  | keytip | getVisible
 | screentip |  | imageMso |  | label | id
 | supertip |  | insertAfterMso |  | onAction | idMso
 | visible |  | insertAfterQ |  | screentip | idQ
 |  |  | insertBeforeMso |  | supertip | image
 |  |  | insertBeforeQ |  | tag | imageMso
 |  |  | keytip |  | visible | insertAfterMso
 |  |  | label |  |  | insertAfterQ
 |  |  | onAction |  |  | insertBeforeMso
 |  |  | screentip |  |  | insertBeforeQ
 |  |  | showImage |  |  | label
 |  |  | showLabel |  |  | screentip
 |  |  | size |  |  | showImage
 |  |  | supertip |  |  | showLabel
 |  |  | tag |  |  | supertip
 |  |  | visible |  |  | tag
 |  |  |  |  |  | visible
dialogBoxLauncher | dropDown | dynamicMenu | editBox | gallery | item | labelControl
 | getSelectedItem | getContent | getText | columns | id | enabled
 | getSelectedItemIndex | description | maxLength | getItemHeight | image | getEnabled
 | showItemLabel | enabled | onChange | getItemWidth | imageMso | getLabel
 | getItemCount | getDescription | sizeString | itemHeight | label | getScreentip
 | getItemID | getEnabled | enabled | itemWidth | screentip | getShowLabel
 | getItemImage | getImage | getEnabled | rows | supertip | getSupertip
 | getItemLabel | getImageMso | getImage | sizeString |  | getVisible
 | getItemScreentip | getKeytip | getImageMso | getSelectedItemID |  | id
 | getItemSupertip | getLabel | getKeytip | getSelectedItemIndex |  | idMso
 | showItemImage | getScreentip | getLabel | getItemCount |  | idQ
 | enabled | getShowImage | getScreentip | getItemID |  | insertAfterMso
 | getEnabled | getShowLabel | getShowImage | getItemImage |  | insertAfterQ
 | getImage | getSize | getShowLabel | getItemLabel |  | insertBeforeMso
 | getImageMso | getSupertip | getSupertip | getItemScreentip |  | insertBeforeQ
 | getKeytip | getVisible | getVisible | getItemSupertip |  | label
 | getLabel | id | id | showItemImage |  | screentip
 | getScreentip | idMso | idMso | showItemLabel |  | showLabel
 | getShowImage | idQ | idQ | description |  | supertip
 | getShowLabel | image | image | enabled |  | tag
 | getSupertip | imageMso | imageMso | getDescription |  | visible
 | getVisible | insertAfterMso | insertAfterMso | getEnabled |  |
 | id | insertAfterQ | insertAfterQ | getImage |  |
 | idMso | insertBeforeMso | insertBeforeMso | getImageMso |  |
 | idQ | insertBeforeQ | insertBeforeQ | getKeytip |  |
 | image | keytip | keytip | getLabel |  |
 | imageMso | label | label | getScreentip |  |
 | insertAfterMso | screentip | screentip | getShowImage |  |
 | insertAfterQ | showImage | showImage | getShowLabel |  |
 | insertBeforeMso | showLabel | showLabel | getSize |  |
 | insertBeforeQ | supertip | supertip | getSupertip |  |
 | keytip | tag | tag | getVisible |  |
 | label | visible | visible | id |  |
 | onAction |  |  | idMso |  |
 | screentip |  |  | idQ |  |
 | showImage |  |  | image |  |
 | showLabel |  |  | imageMso |  |
 | supertip |  |  | insertAfterMso |  |
 | tag |  |  | insertAfterQ |  |
 | visible |  |  | insertBeforeMso |  |
 |  |  |  | insertBeforeQ |  |
 |  |  |  | keytip |  |
 |  |  |  | label |  |
 |  |  |  | onAction |  |
 |  |  |  | screentip |  |
 |  |  |  | showImage |  |
 |  |  |  | showLabel |  |
 |  |  |  | size |  |
 |  |  |  | supertip |  |
 |  |  |  | tag |  |
 |  |  |  | visible |  |
menu | menuSeparator | separator | splitButton | toggleButton |  |
itemSize | title | getVisible | enabled | getPressed |  |
description | getTitle | id | getEnabled | description |  |
enabled | id | idQ | getKeytip | enabled |  |
getDescription | idQ | insertAfterMso | getShowLabel | getDescription |  |
getEnabled | insertAfterMso | insertAfterQ | getSize | getEnabled |  |
getImage | insertAfterQ | insertBeforeMso | getSupertip | getImage |  |
getImageMso | insertBeforeMso | insertBeforeQ | getVisible | getImageMso |  |
getKeytip | insertBeforeQ | visible | id | getKeytip |  |
getLabel |  |  | idMso | getLabel |  |
getScreentip |  |  | idQ | getPressed |  |
getShowImage |  |  | insertAfterMso | getScreentip |  |
getShowLabel |  |  | insertAfterQ | getShowImage |  |
getSize |  |  | insertBeforeMso | getShowLabel |  |
getSupertip |  |  | insertBeforeQ | getSize |  |
getVisible |  |  | keytip | getSupertip |  |
id |  |  | showLabel | getVisible |  |
idMso |  |  | size | id |  |
idQ |  |  | supertip | idMso |  |
image |  |  | tag | idQ |  |
imageMso |  |  | visible | image |  |
insertAfterMso |  |  |  | imageMso |  |
insertAfterQ |  |  |  | insertAfterMso |  |
insertBeforeMso |  |  |  | insertAfterQ |  |
insertBeforeQ |  |  |  | insertBeforeMso |  |
keytip |  |  |  | insertBeforeQ |  |
label |  |  |  | keytip |  |
screentip |  |  |  | label |  |
showImage |  |  |  | onAction |  |
showLabel |  |  |  | screentip |  |
size |  |  |  | showImage |  |
supertip |  |  |  | showLabel |  |
tag |  |  |  | size |  |
visible |  |  |  | supertip |  |
 |  |  |  | tag |  |
 |  |  |  | visible |  |


Attribute | Eingebaute Steuerelemente

Beschreibung der Attribute

Attribut | Typ oder Wert | Beschreibung
description | Zeichenfolge | Liefert die Beschreibung, die bei Menüs angezeigt wird,wenn das itemSize-Attribut auf large gesetzt ist.
enabled | true, false, 0, 1 | Liefert die Rückgabewerte der enable-Eigenschaft.
getContent | Rückgabewert | Liefert bei einem dynamischen Menü die Menübeschreibung.
getDescription | Rückgabewert | Liefert die Beschreibung des Steuerelements.
getEnabled | Rückgabewert | Liefert die enable-Eigenschaft des Steuerelements.
getImage | Rückgabewert | Liefert die Grafik des Steuerlements.
getImageMso | Rückgabewert | Liefert die ID des Icons des eingebauten Steuerelements.
getItemCount | Rückgabewert | Liefert bei den Steuerlementen ComboBox, DropDown und Gallery die Anzahl der angezeigten Einträge.
getItemID | Rückgabewert | Liefert bei den Steuerlementen ComboBox, DropDown und Gallery die ID des ausgewählten Eintrags.
getItemImage | Rückgabewert | Liefert bei den Steuerlementen ComboBox, DropDown und Gallery das Image des ausgewählten Eintrags.
getItemLabel | Rückgabewert | Liefert bei den Steuerlementen ComboBox, DropDown und Gallery das Label des ausgewählten Eintrags.
getItemScreentip | Rückgabewert | Liefert bei den Steuerlementen ComboBox, DropDown und Gallery den ScreenTip des ausgewählten Eintrags.
getItemSupertip | Rückgabewert | Liefert bei den Steuerlementen ComboBox, DropDown und Gallery den erweiterten SuperTip des ausgewählten Eintrags.
getKeytip | Rückgabewert | Liefert den KeyTip des Steuerelements.
getLabel | Rückgabewert | Liefert das Label des Steuerelements.
getPressed | Rückgabewert | Bei einem ToggleButton wird der Zustand (pressed oder not pressed) angezeigt. Bei der CheckBox wird zurückgegeben, ob sie aktiviert oder deaktiviert ist.
getScreentip | Rückgabewert | Liefert den ScreenTip des Steuerelements.
getSelectedItemID | Rückgabewert | Liefert bei einem DropDown oder einer Gallery die ID des ausgewählten Eintrags.
getSelectedItemIndex | Rückgabewert | Liefert bei einem DropDown oder einer Gallery den Index des ausgewählten Eintrags.
getShowImage | Rückgabewert | Gibt an, ob das Steuerelement-Image angezeigt wird oder nicht.
getShowItemImage | Rückgabewert | Gibt an, ob bei einem DropDown das Image des ausgewählten Elementes angezeigt wird.
getShowItemLabel | Rückgabewert | Gibt an, ob bei einem DropDown das Label des ausgewählten Elementes angezeigt wird.
getShowLabel | Rückgabewert | Gibt an, ob das Steuerelement-Label angezeigt wird oder nicht.
getSize | Rückgabewert | Liefert die Grösse des Steuerelementes(Normal oder Large).
getSupertip | Rückgabewert | Liefert den SuperTip des Steuerelements.
getText | Rückgabewert | Liefert bei einer Text- oder EditBox den Text, der im Editierfeld zu sehen ist.
getTitle | Rückgabewert | Liefert bei einem MenuSeparator den angezeigten Text (anstelle einer horizontalen Linie).
getVisible | Rückgabewert | Gibt an, ob das Steuerelement sichtbar ist.
id | Zeichenfolge | Die ID des benutzerdefinierten Steuerelements.
idMso | Steuerelement-ID | Die ID des eingebauten Steuerelementes.
idQ | Qualifizierte ID | Die ID des qualifizierten, eingebauten Steuerelementes.
image | Zeichenfolge | Die Verknüpfungs-ID zu einer Grafik.
imageMso | Steuerelement-ID | Das eingebaute Steuerelement-Icon, damit dieses kopiert werden kann.
insertAfterMso | Steuerelement-ID | Das eingebaute Steuerelement, hinter dem das Steuerelement eingefügt werden soll.
insertAfterQ | Qualifizierte ID | Das eingebaute, qualifizierte Steuerelement, hinter dem das Steuerelement eingefügt werden soll.
insertBeforeMso | Steuerelement-ID | Das eingebaute Steuerelement, vor dem das Steuerelement eingefügt werden soll.
insertBeforeQ | Qualifizierte ID | Das eingebaute, qualifizierte Steuerelement, vor dem das Steuerelement eingefügt werden soll.
itemSize | large, normal | Die Grösse des Menüeintrags.
keytip | Zeichenfolge | Der KeyTip des Steuerelements. Der KeyTip wird angezeigt, wenn der Anwender die ALT-Taste, gefolgt von ein bis zwei Buchstaben drückt.
label | Zeichenfolge | Das Label des Steuerelements.
onAction | Rückgabewert | Wird aufgerufen, wenn der Anwender auf das Steuerelement klickt.
onChange | Rückgabewert | Wird aufgerufen, wenn der Anwender einen Text in eine Edit- oder ComboBox eingibt.
screentip | Zeichenfolge | Der ScreenTip des Steuerlements.
showImage | true, false, 0, 1 | Die Vorgabe, ob das Image angezeigt werden soll.
showItemImage | true, false, 0, 1 | Die Vorgabe, ob das Image eines Eintrags in einer ComboBox, einer DropDown-Liste oder einer Gallery angezeigt werden soll.
showItemLabel | true, false, 0, 1 | Die Vorgabe, ob das Label eines Eintrags in einer ComboBox, einer DropDown-Liste oder einer Gallery angezeigt werden soll.
showLabel | true, false, 0, 1 | Die Vorgabe, ob das Label angezeigt werden soll.
size | large, normal | Die Grösse eines Steuerelements.
sizeString | Zeichenfolge | Eine Zeichenfolgen, aus der die Breite des Steuerelementeserkennbar wird.
supertip | Zeichenfolge | Der Text des SuperTips. Hierbei handelt es sich um eine längere und präzisere Version des ScreenTips.
tag | Zeichenfolge | Der Text eines MenuSeperators, der an Stelle einer horizontalen Linie engefügt werden soll.
title | Zeichenfolge | Der Text des Title.
columns | Zeichenfolge | Anzahl der Spalten in einer Gallery als Zeichenfolge.
rows | Zeichenfolge | Anzahl der Zeilen in einer Gallery als Zeichenfolge.
visible | true, false, 0, 1 | Die Vorgabe, ob das Steuerelement sichtbar sein soll.


Beschreibung | Icons

Eingebaute Steuerelemente

Die eingebauten Steuerlemente können in eigene Anwendungsprogrammierungen integriert werden. Hier eine Liste der Elemente:

Control-ID | Art | Gruppe
FileNewDefault | button | Quick Access Toolbar
FileOpen | button | Quick Access Toolbar
FileSave | button | Quick Access Toolbar
FileSendAsAttachment | button | Quick Access Toolbar
FilePrintQuick | button | Quick Access Toolbar
FilePrintPreview | button | Quick Access Toolbar
Spelling | button | Quick Access Toolbar
Undo | gallery | Quick Access Toolbar
Redo | gallery | Quick Access Toolbar
SortAscendingExcel | button | Quick Access Toolbar
SortDescendingExcel | button | Quick Access Toolbar
FileNew | button | Office Menu
FileOpen | button | Office Menu
UpgradeWorkbook | button | Office Menu
FileSave | button | Office Menu
FileSaveAsMenu | splitButton | Office Menu
FileSaveAs | button | Office Menu
FileSaveAsExcelXlsx | button | Office Menu
FileSaveAsExcelXlsxMacro | button | Office Menu
FileSaveAsExcelXlsb | button | Office Menu
FileSaveAsExcel97_2003 | button | Office Menu
AdvertisePublishAs | button | Office Menu
FileSaveAsPdfOrXps | button | Office Menu
FileSaveAsOtherFormats | button | Office Menu
FilePrintMenu | splitButton | Office Menu
FilePrint | button | Office Menu
FilePrint | button | Office Menu
FilePrintQuick | button | Office Menu
FilePrintPreview | button | Office Menu
FilePrepareMenu | menu | Office Menu
FileProperties | toggleButton | Office Menu
FileDocumentInspect | button | Office Menu
FileDocumentEncrypt | toggleButton | Office Menu
FilePermissionView | button | Office Menu
FilePermissionRestrictMenu | menu | Office Menu
FilePermissionUnrestricted | toggleButton | Office Menu
FilePermissionDoNotDistribute | toggleButton | Office Menu
FilePermissionRestrictAs | button | Office Menu
FileAddDigitalSignature | button | Office Menu
FileViewDigitalSignatures | toggleButton | Office Menu
FileMarkAsFinal | toggleButton | Office Menu
FileCompatibilityChecker | button | Office Menu
FileLinksToFiles | button | Office Menu
FileSendMenu | menu | Office Menu
FileSendAsAttachment | button | Office Menu
FileEmailAsPdfEmailAttachment | button | Office Menu
FileEmailAsXpsEmailAttachment | button | Office Menu
FileInternetFax | button | Office Menu
MenuPublish | menu | Office Menu
FilePublishExcelServices | button | Office Menu
FileSaveToDocumentManagementServer | button | Office Menu
FileCreateDocumentWorkspace | toggleButton | Office Menu
FileServerTasksMenu | menu | Office Menu
FileCheckIn | button | Office Menu
FileCheckOut | button | Office Menu
FileCheckOutDiscard | button | Office Menu
FileVersionHistory | button | Office Menu
FileWorkflowTasks | button | Office Menu
FileDocumentManagementInformation | toggleButton | Office Menu
FileExcelServicesOptions | button | Office Menu
FileStartWorkflow | button | Office Menu
FileClose | button | Office Menu
TabHome | tab |
GroupClipboard | group | TabHome
PasteMenu | splitButton | TabHome
Paste | button | TabHome
Paste | button | TabHome
PasteFormulas | button | TabHome
PasteValues | button | TabHome
PasteNoBorders | button | TabHome
PasteTranspose | button | TabHome
PasteLink | button | TabHome
PasteSpecialDialog | button | TabHome
PasteAsHyperlink | button | TabHome
PasteAsPictureMenu | menu | TabHome
CopyAsPicture | button | TabHome
PasteAsPicture | button | TabHome
PastePictureLink | button | TabHome
Cut | button | TabHome
Copy | button | TabHome
FormatPainter | toggleButton | TabHome
ShowClipboard | button (dialogBoxLauncher) | TabHome
GroupFont | group | TabHome
Font | comboBox | TabHome
FontSize | comboBox | TabHome
FontSizeIncrease | button | TabHome
FontSizeDecrease | button | TabHome
Bold | toggleButton | TabHome
Italic | toggleButton | TabHome
UnderlineGallery | splitButton | TabHome
Underline | toggleButton | TabHome
UnderlineDouble | toggleButton | TabHome
BordersGallery | splitButton | TabHome
BorderBottomNoToggle | button | TabHome
BorderTopNoToggle | button | TabHome
BorderLeftNoToggle | button | TabHome
BorderRightNoToggle | button | TabHome
BorderNone | button | TabHome
BordersAll | button | TabHome
BorderOutside | button | TabHome
BorderThickOutside | button | TabHome
BorderDoubleBottom | button | TabHome
BorderThickBottom | button | TabHome
BorderTopAndBottom | button | TabHome
BorderTopAndThickBottom | button | TabHome
BorderTopAndDoubleBottom | button | TabHome
BorderDrawLine | toggleButton | TabHome
BorderDrawGrid | toggleButton | TabHome
BorderErase | toggleButton | TabHome
BorderColorPickerExcel | gallery | TabHome
BorderMoreColorsDialog | button | TabHome
BorderStyle | dropDown | TabHome
BordersMoreDialog | button | TabHome
CellFillColorPicker | gallery | TabHome
FontShadingColorMoreColorsDialog | button | TabHome
FontColorPicker | gallery | TabHome
FontColorMoreColorsDialogExcel | button | TabHome
PhoneticGuideMenu | splitButton | TabHome
PhoneticGuideFieldShow | toggleButton | TabHome
PhoneticGuideFieldShow | toggleButton | TabHome
PhoneticGuideEdit | button | TabHome
PhoneticGuideSettings | button | TabHome
FormatCellsFontDialog | button (dialogBoxLauncher) | TabHome
GroupAlignmentExcel | group | TabHome
AlignLeft | toggleButton | TabHome
AlignCenter | toggleButton | TabHome
AlignRight | toggleButton | TabHome
IndentDecreaseExcel | button | TabHome
IndentIncreaseExcel | button | TabHome
AlignTopExcel | toggleButton | TabHome
AlignMiddleExcel | toggleButton | TabHome
AlignBottomExcel | toggleButton | TabHome
OrientationMenu | menu | TabHome
TextOrientationAngleCounterclockwise | toggleButton | TabHome
TextOrientationAngleClockwise | toggleButton | TabHome
TextOrientationVertical | toggleButton | TabHome
TextOrientationRotateUp | toggleButton | TabHome
TextOrientationRotateDown | toggleButton | TabHome
CellAlignmentOptions | button | TabHome
AlignLeftToRightMenu | splitButton | TabHome
TextDirectionLeftToRight | toggleButton | TabHome
TextDirectionRightToLeft | toggleButton | TabHome
TextDirectionContext | toggleButton | TabHome
WrapText | toggleButton | TabHome
MergeCenterMenu | splitButton | TabHome
MergeCenter | toggleButton | TabHome
MergeCenter | toggleButton | TabHome
MergeCellsAcross | button | TabHome
MergeCells | button | TabHome
UnmergeCells | button | TabHome
CellAlignmentOptions | button (dialogBoxLauncher) | TabHome
GroupNumber | group | TabHome
NumberFormatGallery | comboBox | TabHome
NumberFormatsDialog | button | TabHome
AccountingFormatMenu | splitButton | TabHome
AccountingFormat | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatExcel | button | TabHome
AccountingFormatMoreExcel | button | TabHome
PercentStyle | button | TabHome
CommaStyle | button | TabHome
DecimalsIncrease | button | TabHome
DecimalsDecrease | button | TabHome
FormatCellsNumberDialog | button (dialogBoxLauncher) | TabHome
GroupStyles | group | TabHome
ConditionalFormattingMenu | menu | TabHome
ConditionalFormattingHighlightCellsMenu | menu | TabHome
ConditionalFormattingHighlightGreaterThan | button | TabHome
ConditionalFormattingHighlightLessThan | button | TabHome
ConditionalFormattingHighlightBetween | button | TabHome
ConditionalFormattingHighlightEqualTo | button | TabHome
ConditionalFormattingHighlightTextContaining | button | TabHome
ConditionalFormattingHighlightDateOccuring | button | TabHome
ConditionalFormattingHighlightDuplicateValues | button | TabHome
ConditionalFormattingHighlightRulesMore | button | TabHome
ConditionalFormattingTopBottomMenu | menu | TabHome
ConditionalFormattingTopNItems | button | TabHome
ConditionalFormattingTopNPercent | button | TabHome
ConditionalFormattingBottomNItems | button | TabHome
ConditionalFormattingBottomNPercent | button | TabHome
ConditionalFormattingAboveAverage | button | TabHome
ConditionalFormattingBelowAverage | button | TabHome
ConditionalFormattingTopBottomMore | button | TabHome
ConditionalFormattingDataBarsGallery | gallery | TabHome
ConditionalFormattingDataBarsMoreOptions | button | TabHome
ConditionalFormattingColorScalesGallery | gallery | TabHome
ConditionalFormattingColorScalesMore | button | TabHome
ConditionalFormattingIconSetsGallery | gallery | TabHome
ConditionalFormattingIconSetsMore | button | TabHome
ConditionalFormattingNewRule | button | TabHome
ConditionalFormattingClearMenu | menu | TabHome
ConditionalFormattingClearSelectedCells | button | TabHome
ConditionalFormattingClearSheet | button | TabHome
ConditionalFormattingClearTable | button | TabHome
ConditionalFormattingClearPivotTable | button | TabHome
ConditionalFormattingsManage | button | TabHome
FormatAsTableGallery | gallery | TabHome
TableStyleNew | button | TabHome
PivotTableNewStyle | button | TabHome
CellStylesGallery | gallery | TabHome
CellStyleNew | button | TabHome
CellStylesMerge | button | TabHome
GroupCells | group | TabHome
InsertCellstMenu | splitButton | TabHome
CellsInsertSmart | button | TabHome
CellsInsertDialog | button | TabHome
SheetRowsInsert | button | TabHome
SheetColumnsInsert | button | TabHome
TableRowsInsertAboveExcel | button | TabHome
TableRowsInsertBelowExcel | button | TabHome
TableColumnsInsertLeftExcel | button | TabHome
TableColumnsInsertRightExcel | button | TabHome
SheetInsert | button | TabHome
TableDeleteRowsAndColumnsMenu | splitButton | TabHome
CellsDeleteSmart | button | TabHome
CellsDelete | button | TabHome
SheetRowsDelete | button | TabHome
SheetColumnsDelete | button | TabHome
TableRowsDeleteExcel | button | TabHome
TableColumnsDeleteExcel | button | TabHome
SheetDelete | button | TabHome
FormatCellsMenu | menu | TabHome
RowHeight | button | TabHome
RowHeightAutoFit | button | TabHome
ColumnWidth | button | TabHome
ColumnWidthAutoFit | button | TabHome
ColumnWidthDefault | button | TabHome
HideAndUnhideMenu | menu | TabHome
RowsHide | button | TabHome
ColumnsHide | button | TabHome
SheetHide | button | TabHome
RowsUnhide | button | TabHome
ColumnsUnhide | button | TabHome
SheetUnhide | button | TabHome
SheetRename | button | TabHome
SheetMoveOrCopy | button | TabHome
SheetTabColorGallery | gallery | TabHome
SheetTabColorMoreColorsDialog | button | TabHome
SheetProtect | button | TabHome
Lock | toggleButton | TabHome
FormatCellsDialog | button | TabHome
GroupEditingExcel | group | TabHome
AutoSumMenu | splitButton | TabHome
AutoSum | button | TabHome
AutoSum | button | TabHome
AutoSumAverage | button | TabHome
AutoSumCount | button | TabHome
AutoSumMax | button | TabHome
AutoSumMin | button | TabHome
AutoSumMoreFunctions | button | TabHome
FillMenu | menu | TabHome
FillDown | button | TabHome
FillRight | button | TabHome
FillUp | button | TabHome
FillLeft | button | TabHome
FillAcrossWorksheets | button | TabHome
FillSeries | button | TabHome
FillJustify | button | TabHome
ClearMenu | menu | TabHome
ClearAll | button | TabHome
ClearFormats | button | TabHome
ClearContents | button | TabHome
ClearComments | button | TabHome
SortFilterMenu | menu | TabHome
SortAscendingExcel | button | TabHome
SortDescendingExcel | button | TabHome
SortCustomExcel | button | TabHome
Filter | toggleButton | TabHome
SortClear | button | TabHome
FilterReapply | button | TabHome
SelectMenuExcel | menu | TabHome
FindDialogExcel | button | TabHome
ReplaceDialog | button | TabHome
GoTo | button | TabHome
GoToSpecial | button | TabHome
GoToFormulas | button | TabHome
GoToComments | button | TabHome
GoToConditionalFormatting | button | TabHome
GoToConstants | button | TabHome
GoToDataValidation | button | TabHome
ObjectsSelect | toggleButton | TabHome
SelectionPane | toggleButton | TabHome
TabInsert | tab |
GroupInsertTablesExcel | group | TabInsert
PivotTableInsertMenu | splitButton | TabInsert
PivotTableInsert | button | TabInsert
PivotTableInsert | button | TabInsert
PivotChartInsert | button | TabInsert
TableInsertExcel | button | TabInsert
GroupInsertIllustrations | group | TabInsert
PictureInsertFromFile | button | TabInsert
ClipArtInsert | toggleButton | TabInsert
ShapesInsertGallery | gallery | TabInsert
SmartArtInsert | button | TabInsert
GroupInsertChartsExcel | group | TabInsert
ChartTypeColumnInsertGallery | gallery | TabInsert
ChartTypeAllInsertDialog | button | TabInsert
ChartTypeLineInsertGallery | gallery | TabInsert
ChartTypeAllInsertDialog | button | TabInsert
ChartTypePieInsertGallery | gallery | TabInsert
ChartTypeAllInsertDialog | button | TabInsert
ChartTypeBarInsertGallery | gallery | TabInsert
ChartTypeAllInsertDialog | button | TabInsert
ChartTypeAreaInsertGallery | gallery | TabInsert
ChartTypeAllInsertDialog | button | TabInsert
ChartTypeXYScatterInsertGallery | gallery | TabInsert
ChartTypeAllInsertDialog | button | TabInsert
ChartTypeOtherInsertGallery | gallery | TabInsert
ChartTypeAllInsertDialog | button | TabInsert
ChartTypeAllInsertDialog | button (dialogBoxLauncher) | TabInsert
GroupInsertLinks | group | TabInsert
HyperlinkInsert | button | TabInsert
GroupInsertText | group | TabInsert
TextBoxInsertExcel | toggleButton | TabInsert
TextBoxInsertMenu | splitButton | TabInsert
TextBoxInsertHorizontal | toggleButton | TabInsert
TextBoxInsertVertical | toggleButton | TabInsert
HeaderFooterInsert | button | TabInsert
WordArtInsertGallery | gallery | TabInsert
SignatureLineInsertMenu | splitButton | TabInsert
SignatureLineInsert | button | TabInsert
SignatureLineMenuItemInsert | button | TabInsert
SignatureLineMenuItemInsert | button | TabInsert
SignatureLineMenuItemInsert | button | TabInsert
SignatureLineMenuItemInsert | button | TabInsert
SignatureLineMenuItemInsert | button | TabInsert
SignatureLineMenuItemInsert | button | TabInsert
SignatureLineMenuItemInsert | button | TabInsert
SignatureServicesAdd | button | TabInsert
OleObjectctInsert | button | TabInsert
SymbolInsert | button | TabInsert
GroupInsertBarcode | group | TabInsert
BarcodeInsert | button | TabInsert
LabelInsert | button | TabInsert
TabPageLayoutExcel | tab |
GroupThemesExcel | group | TabPageLayoutExcel
ThemesGallery | gallery | TabPageLayoutExcel
ThemeSearchOfficeOnline | button | TabPageLayoutExcel
ThemeBrowseForThemes | button | TabPageLayoutExcel
ThemeSaveCurrent | button | TabPageLayoutExcel
ThemeColorsGallery | gallery | TabPageLayoutExcel
ThemeColorsCreateNew | button | TabPageLayoutExcel
ThemeFontsGallery | gallery | TabPageLayoutExcel
ThemeFontsCreateNew | button | TabPageLayoutExcel
ThemeEffectsGallery | gallery | TabPageLayoutExcel
GroupPageSetup | group | TabPageLayoutExcel
PageMarginsGallery | gallery | TabPageLayoutExcel
MarginsCustomMargins | button | TabPageLayoutExcel
PageOrientationGallery | gallery | TabPageLayoutExcel
PageSizeGallery | gallery | TabPageLayoutExcel
PageSizeMorePaperSizesDialogExcel | button | TabPageLayoutExcel
PrintAreaMenu | menu | TabPageLayoutExcel
PrintAreaSetPrintArea | button | TabPageLayoutExcel
PrintAreaClearPrintArea | button | TabPageLayoutExcel
PrintAreaAddToPrintArea | button | TabPageLayoutExcel
PageBreakMenu | menu | TabPageLayoutExcel
PageBreakInsertExcel | button | TabPageLayoutExcel
PageBreakRemove | button | TabPageLayoutExcel
PageBreaksResetAll | button | TabPageLayoutExcel
SheetBackground | button | TabPageLayoutExcel
PrintTitles | button | TabPageLayoutExcel
PageSetupPageDialog | button (dialogBoxLauncher) | TabPageLayoutExcel
GroupPageLayoutScaleToFit | group | TabPageLayoutExcel
PageScaleToFitWidth | comboBox | TabPageLayoutExcel
PageScaleToFitOptionsDialog | button | TabPageLayoutExcel
PageScaleToFitHeight | comboBox | TabPageLayoutExcel
PageScaleToFitOptionsDialog | button | TabPageLayoutExcel
PageScaleToFitScale | control | TabPageLayoutExcel
PageSetupPageDialog | button (dialogBoxLauncher) | TabPageLayoutExcel
GroupPageLayoutSheetOptions | group | TabPageLayoutExcel
RightToLeftDocument | toggleButton | TabPageLayoutExcel
PageSetupSheetDialog | button (dialogBoxLauncher) | TabPageLayoutExcel
GroupArrange | group | TabPageLayoutExcel
ObjectBringToFrontMenu | splitButton | TabPageLayoutExcel
ObjectBringToFront | button | TabPageLayoutExcel
ObjectBringToFront | button | TabPageLayoutExcel
ObjectBringForward | button | TabPageLayoutExcel
ObjectSendToBackMenu | splitButton | TabPageLayoutExcel
ObjectSendToBack | button | TabPageLayoutExcel
ObjectSendToBack | button | TabPageLayoutExcel
ObjectSendBackward | button | TabPageLayoutExcel
SelectionPane | toggleButton | TabPageLayoutExcel
ObjectAlignMenu | menu | TabPageLayoutExcel
ObjectsAlignLeft | button | TabPageLayoutExcel
ObjectsAlignCenterHorizontal | button | TabPageLayoutExcel
ObjectsAlignRight | button | TabPageLayoutExcel
ObjectsAlignTop | button | TabPageLayoutExcel
ObjectsAlignMiddleVertical | button | TabPageLayoutExcel
ObjectsAlignBottom | button | TabPageLayoutExcel
AlignDistributeHorizontallyClassic | button | TabPageLayoutExcel
AlignDistributeVerticallyClassic | button | TabPageLayoutExcel
SnapToGrid | toggleButton | TabPageLayoutExcel
SnapToShapes | toggleButton | TabPageLayoutExcel
ViewGridlinesToggleExcel | toggleButton | TabPageLayoutExcel
ObjectsGroupMenu | menu | TabPageLayoutExcel
ObjectsGroup | button | TabPageLayoutExcel
ObjectsRegroup | button | TabPageLayoutExcel
ObjectsUngroup | button | TabPageLayoutExcel
ObjectRotateGallery | gallery | TabPageLayoutExcel
ObjectRotationOptionsDialog | button | TabPageLayoutExcel
TabFormulas | tab |
GroupFunctionLibrary | group | TabFormulas
FunctionWizard | button | TabFormulas
AutoSumMenu | splitButton | TabFormulas
AutoSum | button | TabFormulas
AutoSum | button | TabFormulas
AutoSumAverage | button | TabFormulas
AutoSumCount | button | TabFormulas
AutoSumMax | button | TabFormulas
AutoSumMin | button | TabFormulas
AutoSumMoreFunctions | button | TabFormulas
FunctionsRecentlyUsedtInsertGallery | gallery | TabFormulas
FunctionWizard | button | TabFormulas
FunctionsFinancialInsertGallery | gallery | TabFormulas
FunctionWizard | button | TabFormulas
FunctionsLogicalInsertGallery | gallery | TabFormulas
FunctionWizard | button | TabFormulas
FunctionsTextInsertGallery | gallery | TabFormulas
FunctionWizard | button | TabFormulas
FunctionsDateTimeInsertGallery | gallery | TabFormulas
FunctionWizard | button | TabFormulas
FunctionsLookupReferenceInsertGallery | gallery | TabFormulas
FunctionWizard | button | TabFormulas
FunctionsMathTrigInsertGallery | gallery | TabFormulas
FunctionWizard | button | TabFormulas
FormulaMoreFunctionsMenu | menu | TabFormulas
FunctionsStatisticalInsertGallery | gallery | TabFormulas
FunctionWizard | button | TabFormulas
FunctionsEngineeringInsertGallery | gallery | TabFormulas
FunctionWizard | button | TabFormulas
FunctionsCubeInsertGallery | gallery | TabFormulas
FunctionWizard | button | TabFormulas
FunctionsInformationInsertGallery | gallery | TabFormulas
FunctionWizard | button | TabFormulas
GroupNamedCells | group | TabFormulas
NameManager | button | TabFormulas
NameDefineMenu | splitButton | TabFormulas
NameDefine | button | TabFormulas
NameDefine | button | TabFormulas
NamesApply | button | TabFormulas
NameUseInFormula | gallery | TabFormulas
NamePasteName | button | TabFormulas
NameCreateFromSelection | button | TabFormulas
GroupFormulaAuditing | group | TabFormulas
TracePrecedents | button | TabFormulas
TraceDependents | button | TabFormulas
TraceRemoveArrowsMenu | splitButton | TabFormulas
TraceRemoveAllArrows | button | TabFormulas
TraceRemoveAllArrows | button | TabFormulas
TracePrecedentsRemoveArrows | button | TabFormulas
TraceDependentRemoveArrows | button | TabFormulas
ShowFormulas | toggleButton | TabFormulas
ErrorCheckingMenu | splitButton | TabFormulas
ErrorChecking | button | TabFormulas
ErrorChecking | button | TabFormulas
TraceError | button | TabFormulas
CircularReferences | gallery | TabFormulas
FormulaEvaluate | button | TabFormulas
WatchWindow | toggleButton | TabFormulas
GroupCalculation | group | TabFormulas
CalculationOptionsMenu | menu | TabFormulas
CalculationOptionsAutomatically | toggleButton | TabFormulas
CalculationOptionsAutomaticallyExceptDataTables | toggleButton | TabFormulas
CalculationOptionsManuallly | toggleButton | TabFormulas
CalculateNow | button | TabFormulas
CalculateSheet | button | TabFormulas
TabData | tab |
GroupGetExternalData | group | TabData
GetExternalDataFromAccess | button | TabData
GetExternalDataFromWeb | button | TabData
GetExternalDataFromText | button | TabData
GetExternalDataFromOtherSources | gallery | TabData
GetExternalDataExistingConnections | button | TabData
GroupConnections | group | TabData
RefreshAllMenu | splitButton | TabData
RefreshAll | button | TabData
RefreshAll | button | TabData
Refresh | button | TabData
RefreshStatus | button | TabData
RefreshCancel | button | TabData
ConnectionProperties | button | TabData
Connections | button | TabData
DataRangeProperties | button | TabData
EditLinks | button | TabData
GroupSortFilter | group | TabData
SortAscendingExcel | button | TabData
SortDescendingExcel | button | TabData
SortDialog | button | TabData
Filter | toggleButton | TabData
SortClear | button | TabData
FilterReapply | button | TabData
AdvancedFilterDialog | button | TabData
GroupDataTools | group | TabData
ConvertTextToTable | button | TabData
RemoveDuplicates | button | TabData
DataValidationMenu | splitButton | TabData
DataValidation | button | TabData
DataValidation | button | TabData
DataValidationCircleInvalid | button | TabData
DataValidationClearValidationCircles | button | TabData
Consolidate | button | TabData
WhatIfAnalysisMenu | menu | TabData
ScenarioManager | button | TabData
GoalSeek | button | TabData
DataTable | button | TabData
GroupOutline | group | TabData
OutlineGroupMenu | splitButton | TabData
OutlineGroup | button | TabData
OutlineGroup | button | TabData
OutlineAuto | button | TabData
OutlineUngroupMenu | splitButton | TabData
OutlineUngroup | button | TabData
OutlineUngroup | button | TabData
OutlineClear | button | TabData
OutlineSubtotals | button | TabData
OutlineShowDetail | button | TabData
OutlineHideDetail | button | TabData
OutlineSettings | button (dialogBoxLauncher) | TabData
TabReview | tab |
GroupProofing | group | TabReview
Spelling | button | TabReview
ResearchPane | toggleButton | TabReview
Thesaurus | button | TabReview
TranslationPane | button | TabReview
HangulHanjaConversion | button | TabReview
GroupComments | group | TabReview
ReviewNewComment | button | TabReview
ReviewDeleteComment | button | TabReview
ReviewPreviousComment | button | TabReview
ReviewNextComment | button | TabReview
ReviewShowOrHideComment | button | TabReview
ReviewShowAllComments | toggleButton | TabReview
ReviewShowInk | toggleButton | TabReview
GroupChangesExcel | group | TabReview
SheetProtect | button | TabReview
ReviewProtectWorkbook | toggleButton | TabReview
ReviewProtectWorkbookMenu | menu | TabReview
ReviewRestrictEditing | toggleButton | TabReview
FilePermissionUnrestricted | toggleButton | TabReview
FilePermissionDoNotDistribute | toggleButton | TabReview
FilePermissionRestrictAs | button | TabReview
ReviewShareWorkbook | button | TabReview
ReviewProtectAndShareWorkbook | button | TabReview
ReviewAllowUsersToEditRanges | button | TabReview
ReviewTrackChangesMenu | menu | TabReview
ReviewHighlightChanges | button | TabReview
ReviewAcceptOrRejectChangeDialog | button | TabReview
GroupInk | group | TabReview
InkingStart | button | TabReview
TabView | tab |
GroupWorkbookViews | group | TabView
ViewNormalViewExcel | toggleButton | TabView
ViewPageLayoutView | toggleButton | TabView
ViewPageBreakPreviewView | toggleButton | TabView
ViewCustomViews | button | TabView
ViewFullScreenView | toggleButton | TabView
GroupViewShowHide | group | TabView
ViewRulerExcel | checkBox | TabView
GridlinesExcel | checkBox | TabView
ViewMessageBar | checkBox | TabView
ViewFormulaBar | checkBox | TabView
ViewHeadings | checkBox | TabView
ViewDocumentActionsPane | toggleButton | TabView
GroupZoom | group | TabView
ZoomDialog | button | TabView
ZoomCurrent100 | button | TabView
ZoomToSelection | button | TabView
GroupWindow | group | TabView
WindowNew | button | TabView
WindowsArrangeAll | button | TabView
ViewFreezePanesGallery | gallery | TabView
WindowSplitToggle | toggleButton | TabView
WindowHide | button | TabView
WindowUnhide | button | TabView
ViewSideBySide | toggleButton | TabView
WindowSideBySideSynchronousScrolling | toggleButton | TabView
WindowResetPosition | button | TabView
WindowSaveWorkspace | button | TabView
WindowSwitchWindowsMenuExcel | menu | TabView
WindowNameGoesHere | toggleButton | TabView
WindowNameGoesHere | toggleButton | TabView
WindowNameGoesHere | toggleButton | TabView
WindowNameGoesHere | toggleButton | TabView
WindowNameGoesHere | toggleButton | TabView
WindowNameGoesHere | toggleButton | TabView
WindowNameGoesHere | toggleButton | TabView
WindowNameGoesHere | toggleButton | TabView
WindowNameGoesHere | toggleButton | TabView
WindowNameGoesHere | toggleButton | TabView
GroupMacros | group | TabView
MenuMacros | splitButton | TabView
PlayMacro | button | TabView
PlayMacro | button | TabView
MacroRecord | button | TabView
MacroRelativeReferences | toggleButton | TabView
TabDeveloper | tab |
GroupCode | group | TabDeveloper
VisualBasic | button | TabDeveloper
MacroPlay | button | TabDeveloper
MacroRecord | button | TabDeveloper
MacroRelativeReferences | toggleButton | TabDeveloper
MacroSecurity | button | TabDeveloper
GroupControls | group | TabDeveloper
ControlsGallery | gallery | TabDeveloper
DesignMode | toggleButton | TabDeveloper
ControlProperties | button | TabDeveloper
ViewCode | button | TabDeveloper
RunDialog | button | TabDeveloper
GroupXml | group | TabDeveloper
XmlSource | toggleButton | TabDeveloper
XmlMapProperties | button | TabDeveloper
XmlExpansionPacksExcel | button | TabDeveloper
XmlDataRefresh | button | TabDeveloper
XmlImport | button | TabDeveloper
XmlExport | button | TabDeveloper
GroupModify | group | TabDeveloper
DocumentPanelTemplate | button | TabDeveloper
TabAddIns | tab |
GroupAddInsMenuCommands | group | TabAddIns
GroupAddInsToolbarCommands | group | TabAddIns
GroupAddInsCustomToolbars | group | TabAddIns
TabPrintPreview | tab |
GroupPrintPreviewPrint | group | TabPrintPreview
FilePrint | button | TabPrintPreview
PageSetupPageDialog | button | TabPrintPreview
GroupPrintPreviewZoom | group | TabPrintPreview
ZoomPrintPreviewExcel | toggleButton | TabPrintPreview
GroupPrintPreviewPreview | group | TabPrintPreview
PageNext | button | TabPrintPreview
PagePrevious | button | TabPrintPreview
MarginsShowHide | checkBox | TabPrintPreview
PrintPreviewClose | button | TabPrintPreview
MdiChildSystemMenu | menu | None (Not in the Ribbon)
Help | button | None (Not in the Ribbon)
WindowMinimize | button | None (Not in the Ribbon)
WindowRestore | button | None (Not in the Ribbon)
WindowClose | button | None (Not in the Ribbon)
SplitCells | button | None (Not in the Ribbon)
SortDialogClassic | button | None (Not in the Ribbon)
ZoomClassic | gallery | None (Not in the Ribbon)
FreezePanes | button | None (Not in the Ribbon)
PivotTableReport | button | None (Not in the Ribbon)
ShapeRectangle | toggleButton | None (Not in the Ribbon)
PageBreakInsertOrRemove | button | None (Not in the Ribbon)
EqualSign | button | None (Not in the Ribbon)
SendCopySendToMailRecipient | toggleButton | None (Not in the Ribbon)
Repeat | button | None (Not in the Ribbon)
AutoFilterClassic | button | None (Not in the Ribbon)
AutoFormatDialog | button | None (Not in the Ribbon)
GetExternalDataImportClassic | button | None (Not in the Ribbon)
ShapeOval | toggleButton | None (Not in the Ribbon)
BrightnessMore | button | None (Not in the Ribbon)
ContrastMore | button | None (Not in the Ribbon)
LightShading | button | None (Not in the Ribbon)
AddInManager | button | None (Not in the Ribbon)
StylesDialogClassic | button | None (Not in the Ribbon)
EditQuery | button | None (Not in the Ribbon)
PasteFormatting | button | None (Not in the Ribbon)
FilePermission | button | None (Not in the Ribbon)
PropertySheet | button | None (Not in the Ribbon)
ContrastLess | button | None (Not in the Ribbon)
Strikethrough | toggleButton | None (Not in the Ribbon)
BrightnessLess | button | None (Not in the Ribbon)
FileSaveAsWebPage | button | None (Not in the Ribbon)
AlignJustify | toggleButton | None (Not in the Ribbon)
DataFormExcel | button | None (Not in the Ribbon)
TableSelectVisibleCells | button | None (Not in the Ribbon)
BorderBottom | toggleButton | None (Not in the Ribbon)
ObjectRotateLeft90 | button | None (Not in the Ribbon)
Camera | button | None (Not in the Ribbon)
ShapeElbowConnectorArrow | toggleButton | None (Not in the Ribbon)
ShapeStraightConnectorArrow | toggleButton | None (Not in the Ribbon)
ObjectSetShapeDefaults | button | None (Not in the Ribbon)
ShapeFreeform | toggleButton | None (Not in the Ribbon)
ShapeCurve | toggleButton | None (Not in the Ribbon)
ParagraphDistributed | toggleButton | None (Not in the Ribbon)
PlusSign | button | None (Not in the Ribbon)
DatabaseQueryNew | button | None (Not in the Ribbon)
BorderTop | toggleButton | None (Not in the Ribbon)
BorderLeft | toggleButton | None (Not in the Ribbon)
BorderRight | toggleButton | None (Not in the Ribbon)
ShapeStraightConnector | toggleButton | None (Not in the Ribbon)
ShapeRoundedRectangularCallout | toggleButton | None (Not in the Ribbon)
Calculator | button | None (Not in the Ribbon)
MinusSign | button | None (Not in the Ribbon)
ActiveXButton | button | None (Not in the Ribbon)
FormControlButton | button | None (Not in the Ribbon)
ShapeRightBrace | toggleButton | None (Not in the Ribbon)
WebPagePreview | button | None (Not in the Ribbon)
BorderInsideHorizontal | button | None (Not in the Ribbon)
ZoomOut | button | None (Not in the Ribbon)
SpeakCells | button | None (Not in the Ribbon)
ZoomIn | button | None (Not in the Ribbon)
BorderInside | button | None (Not in the Ribbon)
ShapeRoundedRectangle | toggleButton | None (Not in the Ribbon)
DarkShading | button | None (Not in the Ribbon)
SelectCurrentRegion | button | None (Not in the Ribbon)
DivisionSign | button | None (Not in the Ribbon)
ShapeArc | toggleButton | None (Not in the Ribbon)
ObjectFlipHorizontal | button | None (Not in the Ribbon)
MultiplicationSign | button | None (Not in the Ribbon)
BorderInsideVertical | button | None (Not in the Ribbon)
CheckForUpdates | button | None (Not in the Ribbon)
SpeakStop | button | None (Not in the Ribbon)
ShapeRightArrow | toggleButton | None (Not in the Ribbon)
ShapeScribble | toggleButton | None (Not in the Ribbon)
ReviewSendForReview | button | None (Not in the Ribbon)
WebGoBack | button | None (Not in the Ribbon)
ObjectRotateFree | button | None (Not in the Ribbon)
ShapeLeftBrace | toggleButton | None (Not in the Ribbon)
WordArtVerticalText | button | None (Not in the Ribbon)
ObjectNudgeLeft | button | None (Not in the Ribbon)
ShapeDownArrow | toggleButton | None (Not in the Ribbon)
FormControlListBox | button | None (Not in the Ribbon)
ParenthesisRight | button | None (Not in the Ribbon)
ParenthesisLeft | button | None (Not in the Ribbon)
FormControlComboBox | button | None (Not in the Ribbon)
OutlookTaskCreate | button | None (Not in the Ribbon)
ObjectRotateRight90 | button | None (Not in the Ribbon)
ListSynchronize | button | None (Not in the Ribbon)
ReviewReplyWithChanges | button | None (Not in the Ribbon)
_3DSurfaceMaterialClassic | menu | None (Not in the Ribbon)
_3DSurfaceWireFrameClassic | toggleButton | None (Not in the Ribbon)
_3DSurfaceMatteClassic | toggleButton | None (Not in the Ribbon)
_3DSurfacePlasticClassic | toggleButton | None (Not in the Ribbon)
_3DSurfaceMetalClassic | toggleButton | None (Not in the Ribbon)
ShapeElbowConnector | toggleButton | None (Not in the Ribbon)
FormControlRadioButton | button | None (Not in the Ribbon)
FormControlCheckBox | button | None (Not in the Ribbon)
ActiveXCheckBox | button | None (Not in the Ribbon)
BorderDiagonalUp | button | None (Not in the Ribbon)
ShapeIsoscelesTriangle | toggleButton | None (Not in the Ribbon)
FileUpdate | button | None (Not in the Ribbon)
PrivacyOptionsDialog | button | None (Not in the Ribbon)
ObjectNudgeDown | button | None (Not in the Ribbon)
ObjectNudgeRight | button | None (Not in the Ribbon)
ObjectFlipVertical | button | None (Not in the Ribbon)
FormControlSpinner | button | None (Not in the Ribbon)
ActiveXComboBox | button | None (Not in the Ribbon)
VerticallyDistributed | button | None (Not in the Ribbon)
StyleGalleryClassic | gallery | None (Not in the Ribbon)
SpeakOnEnter | toggleButton | None (Not in the Ribbon)
ActiveXTextBox | button | None (Not in the Ribbon)
FormControlLabel | button | None (Not in the Ribbon)
ActiveXListBox | button | None (Not in the Ribbon)
MoreControlsDialog | button | None (Not in the Ribbon)
FormControlGroupBox | button | None (Not in the Ribbon)
ChangesDiscardAndRefresh | button | None (Not in the Ribbon)
FormControlScrollBar | button | None (Not in the Ribbon)
ObjectNudgeUp | button | None (Not in the Ribbon)
ActiveXImage | button | None (Not in the Ribbon)
ActiveXLabel | button | None (Not in the Ribbon)
DocumentLocation | comboBox | None (Not in the Ribbon)
ActiveXSpinButton | button | None (Not in the Ribbon)
ActiveXRadioButton | button | None (Not in the Ribbon)
FileCloseAll | button | None (Not in the Ribbon)
ContactUs | button | None (Not in the Ribbon)
WebGoForward | button | None (Not in the Ribbon)
BorderDiagonalDown | button | None (Not in the Ribbon)
QueryParameters | button | None (Not in the Ribbon)
DollarSign | button | None (Not in the Ribbon)
ShapeStar | toggleButton | None (Not in the Ribbon)
ActiveXScrollBar | button | None (Not in the Ribbon)
ObjectsMultiSelect | button | None (Not in the Ribbon)
ReviewEndReview | button | None (Not in the Ribbon)
ExchangeFolder | button | None (Not in the Ribbon)
OutlineSymbolsShowHide | button | None (Not in the Ribbon)
SpeakByRows | toggleButton | None (Not in the Ribbon)
SpeakByColumns | toggleButton | None (Not in the Ribbon)
SelectAll | button | None (Not in the Ribbon)
ReadOnly | button | None (Not in the Ribbon)
TabOrder | button | None (Not in the Ribbon)
ActiveXToggleButton | button | None (Not in the Ribbon)
FormControlCombinationDropDownEdit | button | None (Not in the Ribbon)
CodeEdit | button | None (Not in the Ribbon)
CompareAndMergeWorkbooks | button | None (Not in the Ribbon)
ExponentiationSign | button | None (Not in the Ribbon)
PrintListRange | button | None (Not in the Ribbon)
FormControlEditBox | button | None (Not in the Ribbon)
PercentSign | button | None (Not in the Ribbon)
FormControlCombinationListEdit | button | None (Not in the Ribbon)
CommaSign | button | None (Not in the Ribbon)
DrawingCanvasExpand | button | None (Not in the Ribbon)
SendCopySendNow | button | None (Not in the Ribbon)
DrawingCanvasFit | button | None (Not in the Ribbon)
ScenarioGallery | gallery | None (Not in the Ribbon)
FilePublishAsWebPage | button | None (Not in the Ribbon)
InkCopyAsText | button | None (Not in the Ribbon)
ColonSign | button | None (Not in the Ribbon)
ConstrainNumeric | button | None (Not in the Ribbon)
ComAddInsDialog | button | None (Not in the Ribbon)
WebOptionsDialog | button | None (Not in the Ribbon)
CalculateFull | button | None (Not in the Ribbon)
SendCopySelectNames | button | None (Not in the Ribbon)
DrawingCanvasResize | button | None (Not in the Ribbon)
FontColorCycle | button | None (Not in the Ribbon)
ChartInsert | button | None (Not in the Ribbon)
CombineCharacters | toggleButton | None (Not in the Ribbon)
BulletsAndNumberingBulletsDialog | button | None (Not in the Ribbon)
QuickAccessToolbarCustomization | button | None (Not in the Ribbon)
AlternativeText | button | None (Not in the Ribbon)
AdvancedFileProperties | button | None (Not in the Ribbon)
Group3DEffects | group | None (Not in the Ribbon)
_3DEffectsGalleryClassic | gallery | None (Not in the Ribbon)
_3DEffectColorPickerClassic | gallery | None (Not in the Ribbon)
_3DEffectColorPickerMoreClassic | button | None (Not in the Ribbon)
_3DExtrusionDepthGalleryClassic | gallery | None (Not in the Ribbon)
_3DDirectionGalleryClassic | gallery | None (Not in the Ribbon)
_3DExtrusionPerspectiveClassic | toggleButton | None (Not in the Ribbon)
_3DExtrusionParallelClassic | toggleButton | None (Not in the Ribbon)
_3DLightingGalleryClassic | gallery | None (Not in the Ribbon)
_3DLightingFlatClassic | toggleButton | None (Not in the Ribbon)
_3DLightingNormalClassic | toggleButton | None (Not in the Ribbon)
_3DLightingDimClassic | toggleButton | None (Not in the Ribbon)
_3DSurfaceMaterialGalleryClassic | gallery | None (Not in the Ribbon)
_3DTiltLeftClassic | button | None (Not in the Ribbon)
_3DTiltUpClassic | button | None (Not in the Ribbon)
_3DEffectsOnOffClassic | toggleButton | None (Not in the Ribbon)
_3DTiltDownClassic | button | None (Not in the Ribbon)
_3DTiltRightClassic | button | None (Not in the Ribbon)
GroupShadowEffects | group | None (Not in the Ribbon)
ShadowStyleGalleryClassic | gallery | None (Not in the Ribbon)
ShadowColorPickerClassic | gallery | None (Not in the Ribbon)
ShadowSemitransparentClassic | toggleButton | None (Not in the Ribbon)
ObjectShadowColorMoreColorsDialog | button | None (Not in the Ribbon)
ShadowNudgeLeftClassic | button | None (Not in the Ribbon)
ShadowNudgeUpClassic | button | None (Not in the Ribbon)
ShadowOnOrOffClassic | toggleButton | None (Not in the Ribbon)
ShadowNudgeDownClassic | button | None (Not in the Ribbon)
ShadowNudgeRightClassic | button | None (Not in the Ribbon)
GroupDrawBorders | group | None (Not in the Ribbon)
BorderStyle | dropDown | None (Not in the Ribbon)
BorderColorPickerExcel | gallery | None (Not in the Ribbon)
BorderMoreColorsDialog | button | None (Not in the Ribbon)
BorderDrawMenu | splitButton | None (Not in the Ribbon)
BorderDrawLine | toggleButton | None (Not in the Ribbon)
BorderDrawGrid | toggleButton | None (Not in the Ribbon)
BorderErase | toggleButton | None (Not in the Ribbon)
TabSetSmartArtTools | tabSet |
TabSmartArtToolsDesign | tab |
GroupSmartArtCreateGraphic | group | TabSmartArtToolsDesign
SmartArtAddShapeSplitMenu | splitButton | TabSmartArtToolsDesign
SmartArtAddShape | button | TabSmartArtToolsDesign
SmartArtAddShapeAfter | button | TabSmartArtToolsDesign
SmartArtAddShapeBefore | button | TabSmartArtToolsDesign
SmartArtAddShapeAbove | button | TabSmartArtToolsDesign
SmartArtAddShapeBelow | button | TabSmartArtToolsDesign
SmartArtAddAssistant | button | TabSmartArtToolsDesign
SmartArtAddBullet | button | TabSmartArtToolsDesign
SmartArtRightToLeft | toggleButton | TabSmartArtToolsDesign
SmartArtOrganizationChartMenu | menu | TabSmartArtToolsDesign
SmartArtOrganizationChartStandard | button | TabSmartArtToolsDesign
SmartArtOrganizationChartBoth | button | TabSmartArtToolsDesign
SmartArtOrganizationChartLeftHanging | button | TabSmartArtToolsDesign
SmartArtOrganizationChartRightHanging | button | TabSmartArtToolsDesign
SmartArtPromote | button | TabSmartArtToolsDesign
SmartArtDemote | button | TabSmartArtToolsDesign
SmartArtTextPane | toggleButton | TabSmartArtToolsDesign
GroupSmartArtLayouts | group | TabSmartArtToolsDesign
SmartArtLayoutGallery | gallery | TabSmartArtToolsDesign
SmartArtMoreLayoutsDialog | button | TabSmartArtToolsDesign
GroupSmartArtQuickStyles | group | TabSmartArtToolsDesign
SmartArtChangeColorsGallery | gallery | TabSmartArtToolsDesign
SmartArtStylesGallery | gallery | TabSmartArtToolsDesign
GroupSmartArtReset | group | TabSmartArtToolsDesign
SmartArtResetGraphic | button | TabSmartArtToolsDesign
TabSmartArtToolsFormat | tab |
GroupSmartArtShapes | group | TabSmartArtToolsFormat
SmartArtEditIn2D | toggleButton | TabSmartArtToolsFormat
ShapeChangeShapeGallery | gallery | TabSmartArtToolsFormat
SmartArtLargerShape | button | TabSmartArtToolsFormat
SmartArtSmallerShape | button | TabSmartArtToolsFormat
GroupShapeStyles | group | TabSmartArtToolsFormat
ShapeStylesGallery | gallery | TabSmartArtToolsFormat
ShapeStylesOtherThemeFillsGallery | gallery | TabSmartArtToolsFormat
ShapeFillColorPicker | gallery | TabSmartArtToolsFormat
ObjectFillMoreColorsDialog | button | TabSmartArtToolsFormat
ObjectPictureFill | button | TabSmartArtToolsFormat
GradientGallery | gallery | TabSmartArtToolsFormat
ShapeFillMoreGradientsDialog | button | TabSmartArtToolsFormat
ShapeFillTextureGallery | gallery | TabSmartArtToolsFormat
MoreTextureOptions | button | TabSmartArtToolsFormat
ShapeOutlineColorPicker | gallery | TabSmartArtToolsFormat
ObjectBorderOutlineColorMoreColorsDialog | button | TabSmartArtToolsFormat
OutlineWeightGallery | gallery | TabSmartArtToolsFormat
LineStylesDialog | button | TabSmartArtToolsFormat
OutlineDashesGallery | gallery | TabSmartArtToolsFormat
LineStylesDialog | button | TabSmartArtToolsFormat
ArrowStyleGallery | gallery | TabSmartArtToolsFormat
ArrowsMore | button | TabSmartArtToolsFormat
ShapeEffectsMenu | menu | TabSmartArtToolsFormat
ObjectEffectPresetGallery | gallery | TabSmartArtToolsFormat
_3DBevelOptionsDialog | button | TabSmartArtToolsFormat
ObjectEffectShadowGallery | gallery | TabSmartArtToolsFormat
ShadowOptionsDialog | button | TabSmartArtToolsFormat
ReflectionGallery | gallery | TabSmartArtToolsFormat
ObjectEffectGlowGallery | gallery | TabSmartArtToolsFormat
GlowColorPicker | gallery | TabSmartArtToolsFormat
GlowColorMoreColorsDialog | button | TabSmartArtToolsFormat
ObjectEffectSoftEdgesGallery | gallery | TabSmartArtToolsFormat
BevelShapeGallery | gallery | TabSmartArtToolsFormat
_3DBevelOptionsDialog | button | TabSmartArtToolsFormat
_3DRotationGallery | gallery | TabSmartArtToolsFormat
_3DRotationOptionsDialog | button | TabSmartArtToolsFormat
ObjectFormatDialog | button (dialogBoxLauncher) | TabSmartArtToolsFormat
GroupWordArtStyles | group | TabSmartArtToolsFormat
TextStylesGallery | gallery | TabSmartArtToolsFormat
WordArtClear | button | TabSmartArtToolsFormat
TextFillColorPicker | gallery | TabSmartArtToolsFormat
TextFillColorMoreColorsDialog | button | TabSmartArtToolsFormat
TextPictureFill | button | TabSmartArtToolsFormat
TextFillGradientGallery | gallery | TabSmartArtToolsFormat
TextFillMoreGradientsDialog | button | TabSmartArtToolsFormat
TextFillTextureGallery | gallery | TabSmartArtToolsFormat
TextFillMoreTextures | button | TabSmartArtToolsFormat
TextOutlineColorPicker | gallery | TabSmartArtToolsFormat
TextOutlineColorMoreColorsDialog | button | TabSmartArtToolsFormat
TextOutlineWeightGallery | gallery | TabSmartArtToolsFormat
TextOutlineMoreLinesDialog | button | TabSmartArtToolsFormat
TextOutlineDashesGallery | gallery | TabSmartArtToolsFormat
TextOutlineMoreLinesDialog | button | TabSmartArtToolsFormat
TextEffectsMenu | menu | TabSmartArtToolsFormat
TextEffectShadowGallery | gallery | TabSmartArtToolsFormat
TextEffectsMoreShadowsDialog | button | TabSmartArtToolsFormat
TextReflectionGallery | gallery | TabSmartArtToolsFormat
TextEffectGlowGallery | gallery | TabSmartArtToolsFormat
TextGlowColorPicker | gallery | TabSmartArtToolsFormat
TextGlowColorMoreColorsDialog | button | TabSmartArtToolsFormat
BevelTextGallery | gallery | TabSmartArtToolsFormat
TextEffectsBevelMore3DOptionsDialog | button | TabSmartArtToolsFormat
TextEffects3DRotationGallery | gallery | TabSmartArtToolsFormat
TextEffects3DRotationOptionsDialog | button | TabSmartArtToolsFormat
TextEffectTransformGallery | gallery | TabSmartArtToolsFormat
WordArtFormatDialog | button (dialogBoxLauncher) | TabSmartArtToolsFormat
GroupArrange | group | TabSmartArtToolsFormat
ObjectBringToFrontMenu | splitButton | TabSmartArtToolsFormat
ObjectBringToFront | button | TabSmartArtToolsFormat
ObjectBringToFront | button | TabSmartArtToolsFormat
ObjectBringForward | button | TabSmartArtToolsFormat
ObjectSendToBackMenu | splitButton | TabSmartArtToolsFormat
ObjectSendToBack | button | TabSmartArtToolsFormat
ObjectSendToBack | button | TabSmartArtToolsFormat
ObjectSendBackward | button | TabSmartArtToolsFormat
SelectionPane | toggleButton | TabSmartArtToolsFormat
ObjectAlignMenu | menu | TabSmartArtToolsFormat
ObjectsAlignLeft | button | TabSmartArtToolsFormat
ObjectsAlignCenterHorizontal | button | TabSmartArtToolsFormat
ObjectsAlignRight | button | TabSmartArtToolsFormat
ObjectsAlignTop | button | TabSmartArtToolsFormat
ObjectsAlignMiddleVertical | button | TabSmartArtToolsFormat
ObjectsAlignBottom | button | TabSmartArtToolsFormat
AlignDistributeHorizontallyClassic | button | TabSmartArtToolsFormat
AlignDistributeVerticallyClassic | button | TabSmartArtToolsFormat
SnapToGrid | toggleButton | TabSmartArtToolsFormat
SnapToShapes | toggleButton | TabSmartArtToolsFormat
ViewGridlinesToggleExcel | toggleButton | TabSmartArtToolsFormat
ObjectsGroupMenu | menu | TabSmartArtToolsFormat
ObjectsGroup | button | TabSmartArtToolsFormat
ObjectsRegroup | button | TabSmartArtToolsFormat
ObjectsUngroup | button | TabSmartArtToolsFormat
ObjectRotateGallery | gallery | TabSmartArtToolsFormat
ObjectRotationOptionsDialog | button | TabSmartArtToolsFormat
GroupSmartArtSize | group | TabSmartArtToolsFormat
ShapeHeight | control | TabSmartArtToolsFormat
ShapeWidth | control | TabSmartArtToolsFormat
TabSetChartTools | tabSet |
TabChartToolsDesign | tab |
GroupChartType | group | TabChartToolsDesign
ChartChangeType | button | TabChartToolsDesign
ChartSaveTemplates | button | TabChartToolsDesign
GroupChartData | group | TabChartToolsDesign
ChartSwitchRowColumn | button | TabChartToolsDesign
ChartEditDataSource | button | TabChartToolsDesign
GroupChartLayouts | group | TabChartToolsDesign
ChartLayoutGallery | gallery | TabChartToolsDesign
GroupChartStyles | group | TabChartToolsDesign
ChartStylesGallery | gallery | TabChartToolsDesign
GroupChartLocation | group | TabChartToolsDesign
ChartPlacement | button | TabChartToolsDesign
TabChartToolsLayout | tab |
GroupChartCurrentSelection | group | TabChartToolsLayout
ChartElementSelector | comboBox | TabChartToolsLayout
ChartFormatSelection | button | TabChartToolsLayout
ChartResetToMatchStyle | button | TabChartToolsLayout
GroupChartShapes | group | TabChartToolsLayout
PictureInsertFromFile | button | TabChartToolsLayout
ShapesInsertGallery | gallery | TabChartToolsLayout
TextBoxInsertExcel | toggleButton | TabChartToolsLayout
TextBoxInsertMenu | splitButton | TabChartToolsLayout
TextBoxInsertHorizontal | toggleButton | TabChartToolsLayout
TextBoxInsertVertical | toggleButton | TabChartToolsLayout
GroupChartLabels | group | TabChartToolsLayout
ChartTitle | gallery | TabChartToolsLayout
ChartTitleOptionsDialog | button | TabChartToolsLayout
ChartAxisTitles | menu | TabChartToolsLayout
ChartPrimaryHorizontalAxisTitle | gallery | TabChartToolsLayout
ChartPrimaryHorizontalAxisTitleOptionsDialog | button | TabChartToolsLayout
ChartPrimaryVerticalAxisTitle | gallery | TabChartToolsLayout
ChartPrimaryVerticalAxisTitleOptionsDialog | button | TabChartToolsLayout
ChartSecondaryHorizontalAxisTitle | gallery | TabChartToolsLayout
ChartSecondaryHorizontalAxisTitleOptionsDialog | button | TabChartToolsLayout
ChartSecondaryVerticalAxisTitle | gallery | TabChartToolsLayout
ChartSecondaryVerticalAxisTitleOptionsDialog | button | TabChartToolsLayout
ChartDepthAxisTitle | gallery | TabChartToolsLayout
ChartDepthAxisTitleOptionsDialog | button | TabChartToolsLayout
ChartLegend | gallery | TabChartToolsLayout
ChartLegendOptionsDialogDialog | button | TabChartToolsLayout
ChartDataLabel | gallery | TabChartToolsLayout
ChartDataLabelDialog | button | TabChartToolsLayout
ChartDataTable | gallery | TabChartToolsLayout
ChartDataTableOptionsDialog | button | TabChartToolsLayout
GroupChartAxes | group | TabChartToolsLayout
ChartAxes | menu | TabChartToolsLayout
ChartPrimaryHorizontalAxis | gallery | TabChartToolsLayout
ChartPrimaryHorizontalAxisOptionsDialog | button | TabChartToolsLayout
ChartPrimaryVerticalAxis | gallery | TabChartToolsLayout
ChartPrimaryVerticalAxisOptionsDialog | button | TabChartToolsLayout
ChartSecondaryHorizontalAxis | gallery | TabChartToolsLayout
ChartSecondaryHorizontalAxisOption | button | TabChartToolsLayout
ChartSecondaryVerticalAxis | gallery | TabChartToolsLayout
ChartSecondaryVerticalAxisOptionsDialog | button | TabChartToolsLayout
ChartDepthAxis | gallery | TabChartToolsLayout
ChartDepthAxisOptionsDialog | button | TabChartToolsLayout
ChartGridlines | menu | TabChartToolsLayout
ChartPrimaryHorizontalGridlines | gallery | TabChartToolsLayout
ChartPrimaryHorizontalGridlinesOptionsDialog | button | TabChartToolsLayout
ChartPrimaryVerticalGridlines | gallery | TabChartToolsLayout
ChartPrimaryVerticalGridlinesOptionsDialog | button | TabChartToolsLayout
ChartSecondaryHorizontalGridlines | gallery | TabChartToolsLayout
ChartSecondaryHorizontalGridlinesOptionsDialog | button | TabChartToolsLayout
ChartSecondaryVerticalGridlines | gallery | TabChartToolsLayout
ChartSecondaryVerticalGridlinesOptionsDialog | button | TabChartToolsLayout
ChartDepthGridlines | gallery | TabChartToolsLayout
ChartDepthGridlinesOptionsDialog | button | TabChartToolsLayout
GroupChartBackground | group | TabChartToolsLayout
ChartPlotArea | gallery | TabChartToolsLayout
ChartPlotAreaOptionsDialog | button | TabChartToolsLayout
ChartWall | gallery | TabChartToolsLayout
ChartWallOptionsDialog | button | TabChartToolsLayout
ChartFloor | gallery | TabChartToolsLayout
ChartFloorOptionsDialog | button | TabChartToolsLayout
Chart3DView | button | TabChartToolsLayout
GroupChartAnalysis | group | TabChartToolsLayout
ChartTrendline | gallery | TabChartToolsLayout
ChartTrendlineOptionsDialog | button | TabChartToolsLayout
ChartLines | gallery | TabChartToolsLayout
ChartUpDownBars | gallery | TabChartToolsLayout
ChartUpDownBarsOptionsDialog | button | TabChartToolsLayout
ChartErrorBars | gallery | TabChartToolsLayout
ChartErrorBarsOptionsDialog | button | TabChartToolsLayout
GroupChartProperties | group | TabChartToolsLayout
ChartNameLabel | labelControl | TabChartToolsLayout
ChartName | control | TabChartToolsLayout
TabChartToolsFormat | tab |
GroupChartCurrentSelection | group | TabChartToolsFormat
ChartElementSelector | comboBox | TabChartToolsFormat
ChartFormatSelection | button | TabChartToolsFormat
ChartResetToMatchStyle | button | TabChartToolsFormat
GroupShapeStyles | group | TabChartToolsFormat
ShapeStylesGallery | gallery | TabChartToolsFormat
ShapeStylesOtherThemeFillsGallery | gallery | TabChartToolsFormat
ShapeFillColorPicker | gallery | TabChartToolsFormat
ObjectFillMoreColorsDialog | button | TabChartToolsFormat
ObjectPictureFill | button | TabChartToolsFormat
GradientGallery | gallery | TabChartToolsFormat
ShapeFillMoreGradientsDialog | button | TabChartToolsFormat
ShapeFillTextureGallery | gallery | TabChartToolsFormat
MoreTextureOptions | button | TabChartToolsFormat
ShapeOutlineColorPicker | gallery | TabChartToolsFormat
ObjectBorderOutlineColorMoreColorsDialog | button | TabChartToolsFormat
OutlineWeightGallery | gallery | TabChartToolsFormat
LineStylesDialog | button | TabChartToolsFormat
OutlineDashesGallery | gallery | TabChartToolsFormat
LineStylesDialog | button | TabChartToolsFormat
ArrowStyleGallery | gallery | TabChartToolsFormat
ArrowsMore | button | TabChartToolsFormat
ShapeEffectsMenu | menu | TabChartToolsFormat
ObjectEffectPresetGallery | gallery | TabChartToolsFormat
_3DBevelOptionsDialog | button | TabChartToolsFormat
ObjectEffectShadowGallery | gallery | TabChartToolsFormat
ShadowOptionsDialog | button | TabChartToolsFormat
ReflectionGallery | gallery | TabChartToolsFormat
ObjectEffectGlowGallery | gallery | TabChartToolsFormat
GlowColorPicker | gallery | TabChartToolsFormat
GlowColorMoreColorsDialog | button | TabChartToolsFormat
ObjectEffectSoftEdgesGallery | gallery | TabChartToolsFormat
BevelShapeGallery | gallery | TabChartToolsFormat
_3DBevelOptionsDialog | button | TabChartToolsFormat
_3DRotationGallery | gallery | TabChartToolsFormat
_3DRotationOptionsDialog | button | TabChartToolsFormat
ObjectFormatDialog | button (dialogBoxLauncher) | TabChartToolsFormat
GroupWordArtStyles | group | TabChartToolsFormat
TextStylesGallery | gallery | TabChartToolsFormat
WordArtClear | button | TabChartToolsFormat
TextFillColorPicker | gallery | TabChartToolsFormat
TextFillColorMoreColorsDialog | button | TabChartToolsFormat
TextPictureFill | button | TabChartToolsFormat
TextFillGradientGallery | gallery | TabChartToolsFormat
TextFillMoreGradientsDialog | button | TabChartToolsFormat
TextFillTextureGallery | gallery | TabChartToolsFormat
TextFillMoreTextures | button | TabChartToolsFormat
TextOutlineColorPicker | gallery | TabChartToolsFormat
TextOutlineColorMoreColorsDialog | button | TabChartToolsFormat
TextOutlineWeightGallery | gallery | TabChartToolsFormat
TextOutlineMoreLinesDialog | button | TabChartToolsFormat
TextOutlineDashesGallery | gallery | TabChartToolsFormat
TextOutlineMoreLinesDialog | button | TabChartToolsFormat
TextEffectsMenu | menu | TabChartToolsFormat
TextEffectShadowGallery | gallery | TabChartToolsFormat
TextEffectsMoreShadowsDialog | button | TabChartToolsFormat
TextReflectionGallery | gallery | TabChartToolsFormat
TextEffectGlowGallery | gallery | TabChartToolsFormat
TextGlowColorPicker | gallery | TabChartToolsFormat
TextGlowColorMoreColorsDialog | button | TabChartToolsFormat
BevelTextGallery | gallery | TabChartToolsFormat
TextEffectsBevelMore3DOptionsDialog | button | TabChartToolsFormat
TextEffects3DRotationGallery | gallery | TabChartToolsFormat
TextEffects3DRotationOptionsDialog | button | TabChartToolsFormat
TextEffectTransformGallery | gallery | TabChartToolsFormat
WordArtFormatDialog | button (dialogBoxLauncher) | TabChartToolsFormat
GroupArrange | group | TabChartToolsFormat
ObjectBringToFrontMenu | splitButton | TabChartToolsFormat
ObjectBringToFront | button | TabChartToolsFormat
ObjectBringToFront | button | TabChartToolsFormat
ObjectBringForward | button | TabChartToolsFormat
ObjectSendToBackMenu | splitButton | TabChartToolsFormat
ObjectSendToBack | button | TabChartToolsFormat
ObjectSendToBack | button | TabChartToolsFormat
ObjectSendBackward | button | TabChartToolsFormat
SelectionPane | toggleButton | TabChartToolsFormat
ObjectAlignMenu | menu | TabChartToolsFormat
ObjectsAlignLeft | button | TabChartToolsFormat
ObjectsAlignCenterHorizontal | button | TabChartToolsFormat
ObjectsAlignRight | button | TabChartToolsFormat
ObjectsAlignTop | button | TabChartToolsFormat
ObjectsAlignMiddleVertical | button | TabChartToolsFormat
ObjectsAlignBottom | button | TabChartToolsFormat
AlignDistributeHorizontallyClassic | button | TabChartToolsFormat
AlignDistributeVerticallyClassic | button | TabChartToolsFormat
SnapToGrid | toggleButton | TabChartToolsFormat
SnapToShapes | toggleButton | TabChartToolsFormat
ViewGridlinesToggleExcel | toggleButton | TabChartToolsFormat
ObjectsGroupMenu | menu | TabChartToolsFormat
ObjectsGroup | button | TabChartToolsFormat
ObjectsRegroup | button | TabChartToolsFormat
ObjectsUngroup | button | TabChartToolsFormat
ObjectRotateGallery | gallery | TabChartToolsFormat
ObjectRotationOptionsDialog | button | TabChartToolsFormat
GroupSize | group | TabChartToolsFormat
ShapeHeight | control | TabChartToolsFormat
ShapeWidth | control | TabChartToolsFormat
ObjectSizeAndPropertiesDialog | button (dialogBoxLauncher) | TabChartToolsFormat
TabSetDrawingTools | tabSet |
TabDrawingToolsFormat | tab |
GroupShapes | group | TabDrawingToolsFormat
ShapesInsertGallery | gallery | TabDrawingToolsFormat
ObjectEditShapeMenu | menu | TabDrawingToolsFormat
ShapeChangeShapeGallery | gallery | TabDrawingToolsFormat
ShapeConvertToFreeform | button | TabDrawingToolsFormat
ObjectEditPoints | toggleButton | TabDrawingToolsFormat
ShapeRerouteConnectors | toggleButton | TabDrawingToolsFormat
TextBoxInsertExcel | toggleButton | TabDrawingToolsFormat
TextBoxInsertMenu | splitButton | TabDrawingToolsFormat
TextBoxInsertHorizontal | toggleButton | TabDrawingToolsFormat
TextBoxInsertVertical | toggleButton | TabDrawingToolsFormat
GroupShapeStyles | group | TabDrawingToolsFormat
ShapeStylesGallery | gallery | TabDrawingToolsFormat
ShapeStylesOtherThemeFillsGallery | gallery | TabDrawingToolsFormat
ShapeFillColorPicker | gallery | TabDrawingToolsFormat
ObjectFillMoreColorsDialog | button | TabDrawingToolsFormat
ObjectPictureFill | button | TabDrawingToolsFormat
GradientGallery | gallery | TabDrawingToolsFormat
ShapeFillMoreGradientsDialog | button | TabDrawingToolsFormat
ShapeFillTextureGallery | gallery | TabDrawingToolsFormat
MoreTextureOptions | button | TabDrawingToolsFormat
ShapeOutlineColorPicker | gallery | TabDrawingToolsFormat
ObjectBorderOutlineColorMoreColorsDialog | button | TabDrawingToolsFormat
OutlineWeightGallery | gallery | TabDrawingToolsFormat
LineStylesDialog | button | TabDrawingToolsFormat
OutlineDashesGallery | gallery | TabDrawingToolsFormat
LineStylesDialog | button | TabDrawingToolsFormat
ArrowStyleGallery | gallery | TabDrawingToolsFormat
ArrowsMore | button | TabDrawingToolsFormat
ShapeEffectsMenu | menu | TabDrawingToolsFormat
ObjectEffectPresetGallery | gallery | TabDrawingToolsFormat
_3DBevelOptionsDialog | button | TabDrawingToolsFormat
ObjectEffectShadowGallery | gallery | TabDrawingToolsFormat
ShadowOptionsDialog | button | TabDrawingToolsFormat
ReflectionGallery | gallery | TabDrawingToolsFormat
ObjectEffectGlowGallery | gallery | TabDrawingToolsFormat
GlowColorPicker | gallery | TabDrawingToolsFormat
GlowColorMoreColorsDialog | button | TabDrawingToolsFormat
ObjectEffectSoftEdgesGallery | gallery | TabDrawingToolsFormat
BevelShapeGallery | gallery | TabDrawingToolsFormat
_3DBevelOptionsDialog | button | TabDrawingToolsFormat
_3DRotationGallery | gallery | TabDrawingToolsFormat
_3DRotationOptionsDialog | button | TabDrawingToolsFormat
ObjectFormatDialog | button (dialogBoxLauncher) | TabDrawingToolsFormat
GroupWordArtStyles | group | TabDrawingToolsFormat
TextStylesGallery | gallery | TabDrawingToolsFormat
WordArtClear | button | TabDrawingToolsFormat
TextFillColorPicker | gallery | TabDrawingToolsFormat
TextFillColorMoreColorsDialog | button | TabDrawingToolsFormat
TextPictureFill | button | TabDrawingToolsFormat
TextFillGradientGallery | gallery | TabDrawingToolsFormat
TextFillMoreGradientsDialog | button | TabDrawingToolsFormat
TextFillTextureGallery | gallery | TabDrawingToolsFormat
TextFillMoreTextures | button | TabDrawingToolsFormat
TextOutlineColorPicker | gallery | TabDrawingToolsFormat
TextOutlineColorMoreColorsDialog | button | TabDrawingToolsFormat
TextOutlineWeightGallery | gallery | TabDrawingToolsFormat
TextOutlineMoreLinesDialog | button | TabDrawingToolsFormat
TextOutlineDashesGallery | gallery | TabDrawingToolsFormat
TextOutlineMoreLinesDialog | button | TabDrawingToolsFormat
TextEffectsMenu | menu | TabDrawingToolsFormat
TextEffectShadowGallery | gallery | TabDrawingToolsFormat
TextEffectsMoreShadowsDialog | button | TabDrawingToolsFormat
TextReflectionGallery | gallery | TabDrawingToolsFormat
TextEffectGlowGallery | gallery | TabDrawingToolsFormat
TextGlowColorPicker | gallery | TabDrawingToolsFormat
TextGlowColorMoreColorsDialog | button | TabDrawingToolsFormat
BevelTextGallery | gallery | TabDrawingToolsFormat
TextEffectsBevelMore3DOptionsDialog | button | TabDrawingToolsFormat
TextEffects3DRotationGallery | gallery | TabDrawingToolsFormat
TextEffects3DRotationOptionsDialog | button | TabDrawingToolsFormat
TextEffectTransformGallery | gallery | TabDrawingToolsFormat
WordArtFormatDialog | button (dialogBoxLauncher) | TabDrawingToolsFormat
GroupArrange | group | TabDrawingToolsFormat
ObjectBringToFrontMenu | splitButton | TabDrawingToolsFormat
ObjectBringToFront | button | TabDrawingToolsFormat
ObjectBringToFront | button | TabDrawingToolsFormat
ObjectBringForward | button | TabDrawingToolsFormat
ObjectSendToBackMenu | splitButton | TabDrawingToolsFormat
ObjectSendToBack | button | TabDrawingToolsFormat
ObjectSendToBack | button | TabDrawingToolsFormat
ObjectSendBackward | button | TabDrawingToolsFormat
SelectionPane | toggleButton | TabDrawingToolsFormat
ObjectAlignMenu | menu | TabDrawingToolsFormat
ObjectsAlignLeft | button | TabDrawingToolsFormat
ObjectsAlignCenterHorizontal | button | TabDrawingToolsFormat
ObjectsAlignRight | button | TabDrawingToolsFormat
ObjectsAlignTop | button | TabDrawingToolsFormat
ObjectsAlignMiddleVertical | button | TabDrawingToolsFormat
ObjectsAlignBottom | button | TabDrawingToolsFormat
AlignDistributeHorizontallyClassic | button | TabDrawingToolsFormat
AlignDistributeVerticallyClassic | button | TabDrawingToolsFormat
SnapToGrid | toggleButton | TabDrawingToolsFormat
SnapToShapes | toggleButton | TabDrawingToolsFormat
ViewGridlinesToggleExcel | toggleButton | TabDrawingToolsFormat
ObjectsGroupMenu | menu | TabDrawingToolsFormat
ObjectsGroup | button | TabDrawingToolsFormat
ObjectsRegroup | button | TabDrawingToolsFormat
ObjectsUngroup | button | TabDrawingToolsFormat
ObjectRotateGallery | gallery | TabDrawingToolsFormat
ObjectRotationOptionsDialog | button | TabDrawingToolsFormat
GroupSize | group | TabDrawingToolsFormat
ShapeHeight | control | TabDrawingToolsFormat
ShapeWidth | control | TabDrawingToolsFormat
ObjectSizeAndPropertiesDialog | button (dialogBoxLauncher) | TabDrawingToolsFormat
TabSetPictureTools | tabSet |
TabPictureToolsFormat | tab |
GroupPictureTools | group | TabPictureToolsFormat
PictureBrightnessGallery | gallery | TabPictureToolsFormat
PictureCorrectionsDialog | button | TabPictureToolsFormat
PictureContrastGallery | gallery | TabPictureToolsFormat
PictureCorrectionsDialog | button | TabPictureToolsFormat
PictureRecolorGallery | gallery | TabPictureToolsFormat
RecolorColorPicker | gallery | TabPictureToolsFormat
PictureRecolorMoreColorsDialog | button | TabPictureToolsFormat
PictureSetTransparentColor | toggleButton | TabPictureToolsFormat
PicturesCompress | button | TabPictureToolsFormat
PictureChange | button | TabPictureToolsFormat
PictureReset | button | TabPictureToolsFormat
GroupPictureStyles | group | TabPictureToolsFormat
PictureStylesGallery | gallery | TabPictureToolsFormat
PictureShapeGallery | gallery | TabPictureToolsFormat
OutlineColorPicker | gallery | TabPictureToolsFormat
ObjectBorderOutlineColorMoreColorsDialog | button | TabPictureToolsFormat
OutlineWeightGallery | gallery | TabPictureToolsFormat
LineStylesDialog | button | TabPictureToolsFormat
OutlineDashesGallery | gallery | TabPictureToolsFormat
LineStylesDialog | button | TabPictureToolsFormat
PictureEffectsMenu | menu | TabPictureToolsFormat
PictureEffectsPresetGallery | gallery | TabPictureToolsFormat
_3DBevelOptionsDialog | button | TabPictureToolsFormat
PictureEffectsShadowGallery | gallery | TabPictureToolsFormat
ShadowOptionsDialog | button | TabPictureToolsFormat
PictureReflectionGallery | gallery | TabPictureToolsFormat
PictureEffectsGlowGallery | gallery | TabPictureToolsFormat
GlowColorPicker | gallery | TabPictureToolsFormat
GlowColorMoreColorsDialog | button | TabPictureToolsFormat
PictureEffectsSoftEdgesGallery | gallery | TabPictureToolsFormat
_3DBevelPictureTopGallery | gallery | TabPictureToolsFormat
_3DBevelOptionsDialog | button | TabPictureToolsFormat
PictureRotationGallery | gallery | TabPictureToolsFormat
_3DRotationOptionsDialog | button | TabPictureToolsFormat
ObjectFormatDialog | button (dialogBoxLauncher) | TabPictureToolsFormat
GroupArrange | group | TabPictureToolsFormat
ObjectBringToFrontMenu | splitButton | TabPictureToolsFormat
ObjectBringToFront | button | TabPictureToolsFormat
ObjectBringToFront | button | TabPictureToolsFormat
ObjectBringForward | button | TabPictureToolsFormat
ObjectSendToBackMenu | splitButton | TabPictureToolsFormat
ObjectSendToBack | button | TabPictureToolsFormat
ObjectSendToBack | button | TabPictureToolsFormat
ObjectSendBackward | button | TabPictureToolsFormat
SelectionPane | toggleButton | TabPictureToolsFormat
ObjectAlignMenu | menu | TabPictureToolsFormat
ObjectsAlignLeft | button | TabPictureToolsFormat
ObjectsAlignCenterHorizontal | button | TabPictureToolsFormat
ObjectsAlignRight | button | TabPictureToolsFormat
ObjectsAlignTop | button | TabPictureToolsFormat
ObjectsAlignMiddleVertical | button | TabPictureToolsFormat
ObjectsAlignBottom | button | TabPictureToolsFormat
AlignDistributeHorizontallyClassic | button | TabPictureToolsFormat
AlignDistributeVerticallyClassic | button | TabPictureToolsFormat
SnapToGrid | toggleButton | TabPictureToolsFormat
SnapToShapes | toggleButton | TabPictureToolsFormat
ViewGridlinesToggleExcel | toggleButton | TabPictureToolsFormat
ObjectsGroupMenu | menu | TabPictureToolsFormat
ObjectsGroup | button | TabPictureToolsFormat
ObjectsRegroup | button | TabPictureToolsFormat
ObjectsUngroup | button | TabPictureToolsFormat
ObjectRotateGallery | gallery | TabPictureToolsFormat
ObjectRotationOptionsDialog | button | TabPictureToolsFormat
GroupPictureSize | group | TabPictureToolsFormat
PictureCrop | toggleButton | TabPictureToolsFormat
ShapeHeight | control | TabPictureToolsFormat
ShapeWidth | control | TabPictureToolsFormat
ObjectSizeAndPropertiesDialog | button (dialogBoxLauncher) | TabPictureToolsFormat
TabSetPivotTableTools | tabSet |
TabPivotTableToolsOptions | tab |
GroupPivotTableOptions | group | TabPivotTableToolsOptions
PivotTableNameLabel | labelControl | TabPivotTableToolsOptions
PivotTableName | control | TabPivotTableToolsOptions
PivotTableOptionsMenu | splitButton | TabPivotTableToolsOptions
PivotTableOptions | button | TabPivotTableToolsOptions
PivotTableOptions | button | TabPivotTableToolsOptions
PivotTableShowPages | button | TabPivotTableToolsOptions
PivotTableGenerateGetPivotData | checkBox | TabPivotTableToolsOptions
GroupPivotTableActiveField | group | TabPivotTableToolsOptions
LabelActiveField | labelControl | TabPivotTableToolsOptions
PivotFieldName | control | TabPivotTableToolsOptions
PivotTableFieldSettings | button | TabPivotTableToolsOptions
PivotTableExpandField | button | TabPivotTableToolsOptions
PivotCollapseField | button | TabPivotTableToolsOptions
GroupPivotTableGroup | group | TabPivotTableToolsOptions
PivotTableGroupSelection | button | TabPivotTableToolsOptions
OutlineUngroup | button | TabPivotTableToolsOptions
PivotTableGroupField | button | TabPivotTableToolsOptions
GroupPivotTableSort | group | TabPivotTableToolsOptions
SortAscendingExcel | button | TabPivotTableToolsOptions
SortDescendingExcel | button | TabPivotTableToolsOptions
SortDialog | button | TabPivotTableToolsOptions
GroupPivotTableData | group | TabPivotTableToolsOptions
RefreshMenu | splitButton | TabPivotTableToolsOptions
Refresh | button | TabPivotTableToolsOptions
Refresh | button | TabPivotTableToolsOptions
RefreshAll | button | TabPivotTableToolsOptions
RefreshStatus | button | TabPivotTableToolsOptions
RefreshCancel | button | TabPivotTableToolsOptions
ConnectionProperties | button | TabPivotTableToolsOptions
PivotTableEditDataSource | splitButton | TabPivotTableToolsOptions
PivotTableChangeDataSource | button | TabPivotTableToolsOptions
PivotTableChangeDataSource | button | TabPivotTableToolsOptions
ConnectionProperties | button | TabPivotTableToolsOptions
GroupPivotActions | group | TabPivotTableToolsOptions
PivotTableClearMenu | menu | TabPivotTableToolsOptions
PivotClearAll | button | TabPivotTableToolsOptions
PivotClearFilters | button | TabPivotTableToolsOptions
PivotTableSelectFlyout | menu | TabPivotTableToolsOptions
PivotTableSelectLabelAndData | button | TabPivotTableToolsOptions
PivotTableSelectData | button | TabPivotTableToolsOptions
PivotTableSelectLabel | button | TabPivotTableToolsOptions
PivotTableSelectEntireTable | button | TabPivotTableToolsOptions
PivotTableEnableSelection | toggleButton | TabPivotTableToolsOptions
PivotTableMove | button | TabPivotTableToolsOptions
GroupPivotTableTools | group | TabPivotTableToolsOptions
PivotChartInsertClassic | button | TabPivotTableToolsOptions
PivotTableFormulasMenu | menu | TabPivotTableToolsOptions
PivotTableFieldInsert | button | TabPivotTableToolsOptions
PivotTableCalculatedItem | button | TabPivotTableToolsOptions
PivotTableSolveOrder | button | TabPivotTableToolsOptions
PivotTableListFormulas | button | TabPivotTableToolsOptions
PivotTableOlapTools | menu | TabPivotTableToolsOptions
PivotTableOlapPropertyFields | button | TabPivotTableToolsOptions
PivotTableOlapOffline | button | TabPivotTableToolsOptions
PivotTableOlapConvertToFormulas | button | TabPivotTableToolsOptions
GroupPivotTableShowHide | group | TabPivotTableToolsOptions
PivotFieldListShowHide | toggleButton | TabPivotTableToolsOptions
PivotPlusMinusButtonsShowHide | toggleButton | TabPivotTableToolsOptions
PivotPlusMinusFieldHeadersShowHide | toggleButton | TabPivotTableToolsOptions
TabPivotTableToolsDesign | tab |
GroupPivotTableLayout | group | TabPivotTableToolsDesign
PivotTableLayoutSubtotals | menu | TabPivotTableToolsDesign
PivotTableSubtotalsDoNotShow | button | TabPivotTableToolsDesign
PivotTableSubtotalsOnBottom | button | TabPivotTableToolsDesign
PivotTableSubtotalsOnTop | button | TabPivotTableToolsDesign
PivotTableLayoutGrandTotals | menu | TabPivotTableToolsDesign
PivotTableGrandTotalsOffForRowsAndColumns | button | TabPivotTableToolsDesign
PivotTableGrandTotalsOnForRowsAndColumns | button | TabPivotTableToolsDesign
PivotTableGrandTotalsOnForRowsOnly | button | TabPivotTableToolsDesign
PivotTableGrandTotalsOnForColumnsOnly | button | TabPivotTableToolsDesign
PivotTableLayoutReportLayout | menu | TabPivotTableToolsDesign
PivotTableLayoutShowInCompactForm | button | TabPivotTableToolsDesign
PivotTableLayoutShowInOutlineForm | button | TabPivotTableToolsDesign
PivotTableLayoutShowInTabularForm | button | TabPivotTableToolsDesign
PivotTableLayoutBlankRows | menu | TabPivotTableToolsDesign
PivotTableBlankRowsInsert | button | TabPivotTableToolsDesign
PivotTableBlankRowsRemove | button | TabPivotTableToolsDesign
GroupPivotTableStyleOptions | group | TabPivotTableToolsDesign
TableStyleRowHeaders | checkBox | TabPivotTableToolsDesign
TableStyleColumnHeaders | checkBox | TabPivotTableToolsDesign
TableStyleBandedRows | checkBox | TabPivotTableToolsDesign
TableStyleBandedColumns | checkBox | TabPivotTableToolsDesign
GroupPivotTableStyles | group | TabPivotTableToolsDesign
PivotTableStylesGallery | gallery | TabPivotTableToolsDesign
PivotTableNewStyle | button | TabPivotTableToolsDesign
TableStyleClear | button | TabPivotTableToolsDesign
TabSetHeaderAndFooterTools | tabSet |
TabHeaderAndFooterToolsDesign | tab |
GroupHeaderFooter | group | TabHeaderAndFooterToolsDesign
HeaderFooterHeaderGallery | gallery | TabHeaderAndFooterToolsDesign
HeaderFooterFooterGallery | gallery | TabHeaderAndFooterToolsDesign
GroupHeaderFooterElements | group | TabHeaderAndFooterToolsDesign
HeaderFooterPageNumberInsertExcel | button | TabHeaderAndFooterToolsDesign
HeaderFooterNumberOfPagesInsert | button | TabHeaderAndFooterToolsDesign
HeaderFooterCurrentDate | button | TabHeaderAndFooterToolsDesign
HeaderFooterCurrentTimeInsert | button | TabHeaderAndFooterToolsDesign
HeaderFooterFilePathInsert | button | TabHeaderAndFooterToolsDesign
HeaderFooterFileNameInsert | button | TabHeaderAndFooterToolsDesign
HeaderFooterSheetNameInsert | button | TabHeaderAndFooterToolsDesign
HeaderFooterPictureInsert | button | TabHeaderAndFooterToolsDesign
HeaderFooterFormatPicture | button | TabHeaderAndFooterToolsDesign
GroupHeaderFooterNavigation | group | TabHeaderAndFooterToolsDesign
GoToHeader | button | TabHeaderAndFooterToolsDesign
GoToFooter | button | TabHeaderAndFooterToolsDesign
GroupHeaderFooterOptions | group | TabHeaderAndFooterToolsDesign
HeaderFooterDifferentFirstPageExcel | checkBox | TabHeaderAndFooterToolsDesign
HeaderFooterDifferentOddEvenPageExcel | checkBox | TabHeaderAndFooterToolsDesign
HeaderFooterScaleWithDocument | checkBox | TabHeaderAndFooterToolsDesign
HeaderFooterAlignMargins | checkBox | TabHeaderAndFooterToolsDesign
TabSetTableToolsExcel | tabSet |
TabTableToolsDesignExcel | tab |
GroupTableProperties | group | TabTableToolsDesignExcel
TableNameLabel | labelControl | TabTableToolsDesignExcel
TableName | control | TabTableToolsDesignExcel
TableResize | button | TabTableToolsDesignExcel
GroupTableTools | group | TabTableToolsDesignExcel
TableSummarizeWithPivot | button | TabTableToolsDesignExcel
RemoveDuplicates | button | TabTableToolsDesignExcel
TableConvertToRange | button | TabTableToolsDesignExcel
GroupTableExternalData | group | TabTableToolsDesignExcel
TableExportMenu | menu | TabTableToolsDesignExcel
TableExportTableToSharePointList | button | TabTableToolsDesignExcel
TableExportTableToVisioPivotDiagram | button | TabTableToolsDesignExcel
RefreshMenu | splitButton | TabTableToolsDesignExcel
Refresh | button | TabTableToolsDesignExcel
Refresh | button | TabTableToolsDesignExcel
RefreshAll | button | TabTableToolsDesignExcel
RefreshStatus | button | TabTableToolsDesignExcel
RefreshCancel | button | TabTableToolsDesignExcel
ConnectionProperties | button | TabTableToolsDesignExcel
DataRangeProperties | button | TabTableToolsDesignExcel
TableOpenInBrowser | button | TabTableToolsDesignExcel
TableUnlinkExternalData | button | TabTableToolsDesignExcel
GroupTableStyleOptions | group | TabTableToolsDesignExcel
TableStyleHeaderRow | checkBox | TabTableToolsDesignExcel
TableStyleTotalsRow | checkBox | TabTableToolsDesignExcel
TableStyleBandedRows | checkBox | TabTableToolsDesignExcel
TableStyleFirstColumn | checkBox | TabTableToolsDesignExcel
TableStyleLastColumn | checkBox | TabTableToolsDesignExcel
TableStyleBandedColumns | checkBox | TabTableToolsDesignExcel
GroupTableStylesExcel | group | TabTableToolsDesignExcel
TableStylesGalleryExcel | gallery | TabTableToolsDesignExcel
TableStyleNew | button | TabTableToolsDesignExcel
TableStyleClear | button | TabTableToolsDesignExcel
TabSetPivotChartTools | tabSet |
TabPivotChartToolsDesign | tab |
GroupChartType | group | TabPivotChartToolsDesign
ChartChangeType | button | TabPivotChartToolsDesign
ChartSaveTemplates | button | TabPivotChartToolsDesign
GroupChartData | group | TabPivotChartToolsDesign
ChartSwitchRowColumn | button | TabPivotChartToolsDesign
ChartEditDataSource | button | TabPivotChartToolsDesign
GroupChartLayouts | group | TabPivotChartToolsDesign
ChartLayoutGallery | gallery | TabPivotChartToolsDesign
GroupChartStyles | group | TabPivotChartToolsDesign
ChartStylesGallery | gallery | TabPivotChartToolsDesign
GroupChartLocation | group | TabPivotChartToolsDesign
ChartPlacement | button | TabPivotChartToolsDesign
TabPivotChartToolsLayout | tab |
GroupChartCurrentSelection | group | TabPivotChartToolsLayout
ChartElementSelector | comboBox | TabPivotChartToolsLayout
ChartFormatSelection | button | TabPivotChartToolsLayout
ChartResetToMatchStyle | button | TabPivotChartToolsLayout
GroupChartShapes | group | TabPivotChartToolsLayout
PictureInsertFromFile | button | TabPivotChartToolsLayout
ShapesInsertGallery | gallery | TabPivotChartToolsLayout
TextBoxInsertExcel | toggleButton | TabPivotChartToolsLayout
TextBoxInsertMenu | splitButton | TabPivotChartToolsLayout
TextBoxInsertHorizontal | toggleButton | TabPivotChartToolsLayout
TextBoxInsertVertical | toggleButton | TabPivotChartToolsLayout
GroupChartLabels | group | TabPivotChartToolsLayout
ChartTitle | gallery | TabPivotChartToolsLayout
ChartTitleOptionsDialog | button | TabPivotChartToolsLayout
ChartAxisTitles | menu | TabPivotChartToolsLayout
ChartPrimaryHorizontalAxisTitle | gallery | TabPivotChartToolsLayout
ChartPrimaryHorizontalAxisTitleOptionsDialog | button | TabPivotChartToolsLayout
ChartPrimaryVerticalAxisTitle | gallery | TabPivotChartToolsLayout
ChartPrimaryVerticalAxisTitleOptionsDialog | button | TabPivotChartToolsLayout
ChartSecondaryHorizontalAxisTitle | gallery | TabPivotChartToolsLayout
ChartSecondaryHorizontalAxisTitleOptionsDialog | button | TabPivotChartToolsLayout
ChartSecondaryVerticalAxisTitle | gallery | TabPivotChartToolsLayout
ChartSecondaryVerticalAxisTitleOptionsDialog | button | TabPivotChartToolsLayout
ChartDepthAxisTitle | gallery | TabPivotChartToolsLayout
ChartDepthAxisTitleOptionsDialog | button | TabPivotChartToolsLayout
ChartLegend | gallery | TabPivotChartToolsLayout
ChartLegendOptionsDialogDialog | button | TabPivotChartToolsLayout
ChartDataLabel | gallery | TabPivotChartToolsLayout
ChartDataLabelDialog | button | TabPivotChartToolsLayout
ChartDataTable | gallery | TabPivotChartToolsLayout
ChartDataTableOptionsDialog | button | TabPivotChartToolsLayout
GroupChartAxes | group | TabPivotChartToolsLayout
ChartAxes | menu | TabPivotChartToolsLayout
ChartPrimaryHorizontalAxis | gallery | TabPivotChartToolsLayout
ChartPrimaryHorizontalAxisOptionsDialog | button | TabPivotChartToolsLayout
ChartPrimaryVerticalAxis | gallery | TabPivotChartToolsLayout
ChartPrimaryVerticalAxisOptionsDialog | button | TabPivotChartToolsLayout
ChartSecondaryHorizontalAxis | gallery | TabPivotChartToolsLayout
ChartSecondaryHorizontalAxisOption | button | TabPivotChartToolsLayout
ChartSecondaryVerticalAxis | gallery | TabPivotChartToolsLayout
ChartSecondaryVerticalAxisOptionsDialog | button | TabPivotChartToolsLayout
ChartDepthAxis | gallery | TabPivotChartToolsLayout
ChartDepthAxisOptionsDialog | button | TabPivotChartToolsLayout
ChartGridlines | menu | TabPivotChartToolsLayout
ChartPrimaryHorizontalGridlines | gallery | TabPivotChartToolsLayout
ChartPrimaryHorizontalGridlinesOptionsDialog | button | TabPivotChartToolsLayout
ChartPrimaryVerticalGridlines | gallery | TabPivotChartToolsLayout
ChartPrimaryVerticalGridlinesOptionsDialog | button | TabPivotChartToolsLayout
ChartSecondaryHorizontalGridlines | gallery | TabPivotChartToolsLayout
ChartSecondaryHorizontalGridlinesOptionsDialog | button | TabPivotChartToolsLayout
ChartSecondaryVerticalGridlines | gallery | TabPivotChartToolsLayout
ChartSecondaryVerticalGridlinesOptionsDialog | button | TabPivotChartToolsLayout
ChartDepthGridlines | gallery | TabPivotChartToolsLayout
ChartDepthGridlinesOptionsDialog | button | TabPivotChartToolsLayout
GroupChartBackground | group | TabPivotChartToolsLayout
ChartPlotArea | gallery | TabPivotChartToolsLayout
ChartPlotAreaOptionsDialog | button | TabPivotChartToolsLayout
ChartWall | gallery | TabPivotChartToolsLayout
ChartWallOptionsDialog | button | TabPivotChartToolsLayout
ChartFloor | gallery | TabPivotChartToolsLayout
ChartFloorOptionsDialog | button | TabPivotChartToolsLayout
Chart3DView | button | TabPivotChartToolsLayout
GroupChartAnalysis | group | TabPivotChartToolsLayout
ChartTrendline | gallery | TabPivotChartToolsLayout
ChartTrendlineOptionsDialog | button | TabPivotChartToolsLayout
ChartLines | gallery | TabPivotChartToolsLayout
ChartUpDownBars | gallery | TabPivotChartToolsLayout
ChartUpDownBarsOptionsDialog | button | TabPivotChartToolsLayout
ChartErrorBars | gallery | TabPivotChartToolsLayout
ChartErrorBarsOptionsDialog | button | TabPivotChartToolsLayout
GroupChartProperties | group | TabPivotChartToolsLayout
ChartNameLabel | labelControl | TabPivotChartToolsLayout
ChartName | control | TabPivotChartToolsLayout
TabPivotChartToolsFormat | tab |
GroupChartCurrentSelection | group | TabPivotChartToolsFormat
ChartElementSelector | comboBox | TabPivotChartToolsFormat
ChartFormatSelection | button | TabPivotChartToolsFormat
ChartResetToMatchStyle | button | TabPivotChartToolsFormat
GroupShapeStyles | group | TabPivotChartToolsFormat
ShapeStylesGallery | gallery | TabPivotChartToolsFormat
ShapeStylesOtherThemeFillsGallery | gallery | TabPivotChartToolsFormat
ShapeFillColorPicker | gallery | TabPivotChartToolsFormat
ObjectFillMoreColorsDialog | button | TabPivotChartToolsFormat
ObjectPictureFill | button | TabPivotChartToolsFormat
GradientGallery | gallery | TabPivotChartToolsFormat
ShapeFillMoreGradientsDialog | button | TabPivotChartToolsFormat
ShapeFillTextureGallery | gallery | TabPivotChartToolsFormat
MoreTextureOptions | button | TabPivotChartToolsFormat
ShapeOutlineColorPicker | gallery | TabPivotChartToolsFormat
ObjectBorderOutlineColorMoreColorsDialog | button | TabPivotChartToolsFormat
OutlineWeightGallery | gallery | TabPivotChartToolsFormat
LineStylesDialog | button | TabPivotChartToolsFormat
OutlineDashesGallery | gallery | TabPivotChartToolsFormat
LineStylesDialog | button | TabPivotChartToolsFormat
ArrowStyleGallery | gallery | TabPivotChartToolsFormat
ArrowsMore | button | TabPivotChartToolsFormat
ShapeEffectsMenu | menu | TabPivotChartToolsFormat
ObjectEffectPresetGallery | gallery | TabPivotChartToolsFormat
_3DBevelOptionsDialog | button | TabPivotChartToolsFormat
ObjectEffectShadowGallery | gallery | TabPivotChartToolsFormat
ShadowOptionsDialog | button | TabPivotChartToolsFormat
ReflectionGallery | gallery | TabPivotChartToolsFormat
ObjectEffectGlowGallery | gallery | TabPivotChartToolsFormat
GlowColorPicker | gallery | TabPivotChartToolsFormat
GlowColorMoreColorsDialog | button | TabPivotChartToolsFormat
ObjectEffectSoftEdgesGallery | gallery | TabPivotChartToolsFormat
BevelShapeGallery | gallery | TabPivotChartToolsFormat
_3DBevelOptionsDialog | button | TabPivotChartToolsFormat
_3DRotationGallery | gallery | TabPivotChartToolsFormat
_3DRotationOptionsDialog | button | TabPivotChartToolsFormat
ObjectFormatDialog | button (dialogBoxLauncher) | TabPivotChartToolsFormat
GroupWordArtStyles | group | TabPivotChartToolsFormat
TextStylesGallery | gallery | TabPivotChartToolsFormat
WordArtClear | button | TabPivotChartToolsFormat
TextFillColorPicker | gallery | TabPivotChartToolsFormat
TextFillColorMoreColorsDialog | button | TabPivotChartToolsFormat
TextPictureFill | button | TabPivotChartToolsFormat
TextFillGradientGallery | gallery | TabPivotChartToolsFormat
TextFillMoreGradientsDialog | button | TabPivotChartToolsFormat
TextFillTextureGallery | gallery | TabPivotChartToolsFormat
TextFillMoreTextures | button | TabPivotChartToolsFormat
TextOutlineColorPicker | gallery | TabPivotChartToolsFormat
TextOutlineColorMoreColorsDialog | button | TabPivotChartToolsFormat
TextOutlineWeightGallery | gallery | TabPivotChartToolsFormat
TextOutlineMoreLinesDialog | button | TabPivotChartToolsFormat
TextOutlineDashesGallery | gallery | TabPivotChartToolsFormat
TextOutlineMoreLinesDialog | button | TabPivotChartToolsFormat
TextEffectsMenu | menu | TabPivotChartToolsFormat
TextEffectShadowGallery | gallery | TabPivotChartToolsFormat
TextEffectsMoreShadowsDialog | button | TabPivotChartToolsFormat
TextReflectionGallery | gallery | TabPivotChartToolsFormat
TextEffectGlowGallery | gallery | TabPivotChartToolsFormat
TextGlowColorPicker | gallery | TabPivotChartToolsFormat
TextGlowColorMoreColorsDialog | button | TabPivotChartToolsFormat
BevelTextGallery | gallery | TabPivotChartToolsFormat
TextEffectsBevelMore3DOptionsDialog | button | TabPivotChartToolsFormat
TextEffects3DRotationGallery | gallery | TabPivotChartToolsFormat
TextEffects3DRotationOptionsDialog | button | TabPivotChartToolsFormat
TextEffectTransformGallery | gallery | TabPivotChartToolsFormat
WordArtFormatDialog | button (dialogBoxLauncher) | TabPivotChartToolsFormat
GroupArrange | group | TabPivotChartToolsFormat
ObjectBringToFrontMenu | splitButton | TabPivotChartToolsFormat
ObjectBringToFront | button | TabPivotChartToolsFormat
ObjectBringToFront | button | TabPivotChartToolsFormat
ObjectBringForward | button | TabPivotChartToolsFormat
ObjectSendToBackMenu | splitButton | TabPivotChartToolsFormat
ObjectSendToBack | button | TabPivotChartToolsFormat
ObjectSendToBack | button | TabPivotChartToolsFormat
ObjectSendBackward | button | TabPivotChartToolsFormat
SelectionPane | toggleButton | TabPivotChartToolsFormat
ObjectAlignMenu | menu | TabPivotChartToolsFormat
ObjectsAlignLeft | button | TabPivotChartToolsFormat
ObjectsAlignCenterHorizontal | button | TabPivotChartToolsFormat
ObjectsAlignRight | button | TabPivotChartToolsFormat
ObjectsAlignTop | button | TabPivotChartToolsFormat
ObjectsAlignMiddleVertical | button | TabPivotChartToolsFormat
ObjectsAlignBottom | button | TabPivotChartToolsFormat
AlignDistributeHorizontallyClassic | button | TabPivotChartToolsFormat
AlignDistributeVerticallyClassic | button | TabPivotChartToolsFormat
SnapToGrid | toggleButton | TabPivotChartToolsFormat
SnapToShapes | toggleButton | TabPivotChartToolsFormat
ViewGridlinesToggleExcel | toggleButton | TabPivotChartToolsFormat
ObjectsGroupMenu | menu | TabPivotChartToolsFormat
ObjectsGroup | button | TabPivotChartToolsFormat
ObjectsRegroup | button | TabPivotChartToolsFormat
ObjectsUngroup | button | TabPivotChartToolsFormat
ObjectRotateGallery | gallery | TabPivotChartToolsFormat
ObjectRotationOptionsDialog | button | TabPivotChartToolsFormat
GroupSize | group | TabPivotChartToolsFormat
ShapeHeight | control | TabPivotChartToolsFormat
ShapeWidth | control | TabPivotChartToolsFormat
ObjectSizeAndPropertiesDialog | button (dialogBoxLauncher) | TabPivotChartToolsFormat
TabPivotChartToolsAnalyze | tab |
GroupPivotChartActiveField | group | TabPivotChartToolsAnalyze
LabelActiveField | labelControl | TabPivotChartToolsAnalyze
PivotFieldName | control | TabPivotChartToolsAnalyze
PivotTableExpandField | button | TabPivotChartToolsAnalyze
PivotCollapseField | button | TabPivotChartToolsAnalyze
GroupPivotChartData | group | TabPivotChartToolsAnalyze
RefreshMenu | splitButton | TabPivotChartToolsAnalyze
Refresh | button | TabPivotChartToolsAnalyze
Refresh | button | TabPivotChartToolsAnalyze
RefreshAll | button | TabPivotChartToolsAnalyze
RefreshStatus | button | TabPivotChartToolsAnalyze
RefreshCancel | button | TabPivotChartToolsAnalyze
ConnectionProperties | button | TabPivotChartToolsAnalyze
PivotChartClearMenu | menu | TabPivotChartToolsAnalyze
PivotClearAll | button | TabPivotChartToolsAnalyze
PivotClearFilters | button | TabPivotChartToolsAnalyze
GroupPivotChartShowOrHide | group | TabPivotChartToolsAnalyze
PivotFieldListShowHide | toggleButton | TabPivotChartToolsAnalyze
PivotChartFilterShow | toggleButton | TabPivotChartToolsAnalyze
TabSetInkTools | tabSet |
TabInkToolsPens | tab |
GroupInkSelect | group | TabInkToolsPens
ObjectsSelect | toggleButton | TabInkToolsPens
InkDeleteAllInk | button | TabInkToolsPens
GroupInkPens | group | TabInkToolsPens
InkBallpointPen | toggleButton | TabInkToolsPens
InkFeltTipPen | toggleButton | TabInkToolsPens
InkHighlighter | toggleButton | TabInkToolsPens
InkEraser | toggleButton | TabInkToolsPens
GroupInkFormat | group | TabInkToolsPens
InkColorPicker | gallery | TabInkToolsPens
InkColorMoreColorsDialog | button | TabInkToolsPens
OutlineWeightGallery | gallery | TabInkToolsPens
LineStylesDialog | button | TabInkToolsPens
GroupInkClose | group | TabInkToolsPens
InkToolsClose | button | TabInkToolsPens


Eingebaute Steuerelemente | VBA-Prozeduren

Zur Verfügung stehend Icons

Es stehen 2.584 Icons zur Integration in eigene Programmierungen zur Verfügung. Die Liste mit den Control-IDs:

Icons
_3DBevelPictureTopGallery | AppointmentBusy | OutlookGears
BevelShapeGallery | AppointmentColor0 | OutlookGlobe
BevelTextGallery | AppointmentColor1 | P
_3DMaterialMetal | AppointmentColor10 | PageBreakInsertOrRemove
_3DMaterialMixed | AppointmentColor2 | PageColorPicker
_3DMaterialPlastic | AppointmentColor3 | PageHeaderOrFooterShowHide
RecordsAddFromOutlook | AppointmentColor4 | PageMarginsGallery
ViewsLayoutView | AppointmentColor5 | PageMenu
AcceptInvitation | AppointmentColor6 | PageNambersInFooterInsertGallery
ReviewAcceptChange | AppointmentColor7 | PageNambersInMarginsInsertGallery
AutoFormatWizard | AppointmentColor8 | PageNext
CacheListData | AppointmentColor9 | PageNumberFormat
ConvertDatabaseFormat | AppointmentColorDialog | PageNumbersInHeaderInsertGallery
FileManageMenu | AppointmentOutOfOffice | PageNumbersRemove
DatabaseMoveToSharePoint | ArrowStyleGallery | PageOrientationGallery
ControlLayoutRemove | AsianLayoutCharacterScaling | PageOrientationLandscape
ControlLayoutStacked | AsianLayoutCharactersEnclose | PageOrientationPortrait
ControlLayoutTabular | AsianLayoutCombineCharacters | PageOrientationPortraitLandscape
PublishToPdfOrEdoc | AsianLayoutMenu | PagePrevious
CreateFormBlankForm | AttachItem | PageScaleToFitOptionsDialog
CreateFormWithMultipleItems | AttachMenu | PageSetupDialog
AccessFormDatasheet | AudioNoteDelete | PageSetupPageDialog
AccessFormModalDialog | AutoCorrect | PageSetupSheetDialog
CreateFormPivotChart | AutoDial | PageSizeGallery
CreateForm | AutoFilterClassic | PanAndZoomWindow
CreateFormSplitForm | AutoFormat | PanningHand
AccessFormWizard | AutoFormatChange | ParagraphDialog
ControlLogo | AutoFormatWizard | ParagraphDistributed
ControlTitle | AutoSum | ParagraphIndentRight
AccessListAssets | AutoSummarize | ParagraphMarks
AccessListContacts | AutoSummaryViewByHighlight | ParagraphSpaceBefore
AccessListCustom | B | ParagraphSpaceBeforeNone
AccessListCustomDatasheet | BarcodeInsert | ParagraphSpacingDecrease
AccessListEvents | BehindText | ParagraphSpacingIncrease
AccessListIssues | BevelShapeGallery | ParenthesisLeft
AccessListTasks | BevelTextGallery | ParenthesisRight
TableSharePointListsModifyColumnsAndSettings | BibliographyAddNewPlaceholder | Paste
CreateQueryInDesignView | BibliographyAddNewSource | PasteApplyStyle
AccessNavigationOptions | BibliographyGallery | PasteAsHyperlink
CreateTableUsingSharePointListsGallery | BibliographyInsert | PasteDuplicate
CreateTableTemplatesGallery | BibliographyManageSources | PasteFormatting
TableSharePointListsRefreshList | BibliographyStyle | PasteSpecialDialog
AccessRelinkLists | BizBarPublishToSharePoint | PasteValues
CreateReportBlankReport | BlackAndWhite | PauseTimer
CreateReport | BlackAndWhiteAutomatic | PenComment
CreateLabels | BlackAndWhiteBlack | PercentSign
CreateReportFromWizard | BlackAndWhiteBlackWithGrayscaleFill | PercentStyle
RecordsSaveAsOutlookContact | BlackAndWhiteBlackWithWhiteFill | PermissionRestrict
AccessTableAssets | BlackAndWhiteDontShow | PersonaStatusAway
AccessTableContacts | BlackAndWhiteGrayWithWhiteFill | PersonaStatusBusy
CreateTable | BlackAndWhiteGrayscale | PersonaStatusOffline
AccessTableEvents | BlackAndWhiteInverseGrayscale | PersonaStatusOnline
AccessTableIssues | BlackAndWhiteLightGrayscale | PhoneticGuideEdit
AccessTableTasks | BlackAndWhiteWhite | PhoneticGuideFieldShow
ReviewDisplayForReview | BlogHomePage | PhoneticGuideSettings
SlideMasterTextPlaceholderInsert | BlogPublish | PhotoAlbumEdit
SlideMasterChartPlaceholderInsert | BlogPublishDraft | PhotoAlbumInsert
SlideMasterClipArtPlaceholderInsert | BodyTextHide | PickUpStyle
SlideMasterDiagramPlaceholderInsert | Bold | PictureBrightnessGallery
SlideMasterContentPlaceholderInsert | BorderBottom | PictureChange
SlideMasterMediaPlaceholderInsert | BorderDiagonalDown | PictureContrastGallery
SlideMasterPicturePlaceholderInsert | BorderDiagonalUp | PictureCorrectionsDialog
AddressBook | BorderDrawGrid | PictureCrop
QueryShowTable | BorderInside | PictureDisassemble
SlideMasterTablePlaceholderInsert | BorderInsideHorizontal | PictureEffectsGlowGallery
SlideMasterVerticalTextPlaceholderInsert | BorderInsideVertical | PictureEffectsPresetGallery
SlideMasterVerticalContentPlaceholderInsert | BorderLeft | PictureEffectsShadowGallery
AdvertisePublishAs | BorderNone | PictureEffectsSoftEdgesGallery
AnimationAudio | BorderOutside | PictureInsertFromFilePowerPoint
QueryAppend | BorderRight | PicturePositionGallery
AppointmentColorDialog | BorderThickBottom | PictureRecolorAutomatic
AddOrRemoveAttendees | BorderThickOutside | PictureRecolorBlackAndWhite
ChartAreaChart | BorderTop | PictureRecolorGallery
WindowsArrangeAll | BorderTopAndBottom | PictureRecolorGrayscale
AttachMenu | BorderTopAndDoubleBottom | PictureRecolorWashout
AutoDial | BorderTopAndThickBottom | PictureReflectionGallery
Filter | BordersAll | PictureReflectionGalleryItem
ShapesMoreShapes | BordersGallery | PictureReset
AutoSum | BordersMoreDialog | PictureRotationGallery
FileBackUpSqlDatabase | BordersShadingDialogWord | PictureSetTransparentColor
FileBackupDatabase | Breakpoint | PictureStylesGallery
Chart3DBarChart | BrightnessAndContrastEdit | PicturesCompress
BlogHomePage | BrightnessLess | Piggy
BlogPublish | BrightnessMore | PivotAutoCalcMenu
ObjectBringToFront | BrowseNext | PivotAutoFilter
BlackAndWhiteAutomatic | BrowsePrevious | PivotChartClearMenu
BlackAndWhiteBlack | BrowseSelector | PivotChartFilterShow
BlackAndWhiteBlackWithGrayscaleFill | BuildingBlocksCreateTableOfAuthorities | PivotChartInsert
BlackAndWhiteBlackWithWhiteFill | BuildingBlocksSaveCoverPage | PivotChartMultiplePlots
BlackAndWhiteDontShow | BuildingBlocksSaveEquation | PivotChartMultipleUnified
BlackAndWhiteGrayscale | Bullets | PivotChartSortByTotalMenu
BlackAndWhiteGrayWithWhiteFill | BusinessCardInsertMenu | PivotChartType
BlackAndWhiteInverseGrayscale | BusinessFormWizard | PivotClearCustomOrdering
BlackAndWhiteLightGrayscale | C | PivotCollapseFieldAccess
BlackAndWhiteWhite | CDAudioStartTime | PivotDropAreas
Calculator | CDAudioStartTrack | PivotExpandField
CaptionInsert | CDAudioStopTime | PivotExpandIndicators
ChartAxes | CDAudioStopTrack | PivotExportToExcel
PivotSwitchRowColumn | CacheListData | PivotFieldListShowHide
ChartResetToMatchStyle | CalculateFull | PivotFormulasMenu
ChartSwitchRowColumn | CalculateSheet | PivotHideDetails
ChartGridlines | Calculator | PivotMoveField
ChartFloor | CalloutOptions | PivotMoveToColumnArea
ChartTitle | Camera | PivotMoveToDetailArea
ChartWall | CancelRequest | PivotMoveToFieldArea
ChartDataLabel | CaptionInsert | PivotMoveToFilterArea
ChartDataTable | CategoryCollapse | PivotPlusMinusButtonsShowHide
ChartDepthAxis | CellAlignmentOptions | PivotPlusMinusFieldHeadersShowHide
ChartDepthAxisTitle | CellStyleNew | PivotRemoveField
ChartDepthGridlines | CellStylesGallery | PivotShowAsMenu
ChartErrorBars | CellStylesMerge | PivotShowDetails
ChartLegend | CellsDelete | PivotShowTopAndBottomItemsMenu
ChartLines | CellsInsertDialog | PivotSubtotal
ChartPlotArea | ChangeBinding | PivotSwitchRowColumn
ChartPrimaryHorizontalAxisTitle | ChangeCaseDialogClassic | PivotTableBlankRowsInsert
ChartPrimaryHorizontalGridlines | ChangeStylesMenu | PivotTableBlankRowsRemove
ChartPrimaryVerticalAxisTitle | ChangesDiscardAndRefresh | PivotTableChangeDataSource
ChartPrimaryVerticalGridlines | CharacterBorder | PivotTableClearMenu
ChartSecondaryHorizontalAxis | CharacterCodeToggle | PivotTableEnableSelection
ChartSecondaryHorizontalAxisTitle | CharacterShading | PivotTableFieldSettings
ChartSecondaryVerticalAxis | Chart3DBarChart | PivotTableFormulasMenu
ChartSecondaryVerticalAxisTitle | Chart3DColumnChart | PivotTableGenerateGetPivotData
ChartTrendline | Chart3DConeChart | PivotTableGrandTotalsOffForRowsAndColumns
ChartUpDownBars | Chart3DPieChart | PivotTableGrandTotalsOnForColumnsOnly
ChartMoreElement | ChartAreaChart | PivotTableGrandTotalsOnForRowsAndColumns
ChartPlacement | ChartAxes | PivotTableGrandTotalsOnForRowsOnly
ChartRefresh | ChartAxisTitles | PivotTableGroupSelection
ChartSaveTemplates | ChartDataLabel | PivotTableLayoutBlankRows
ChartShowData | ChartDataTable | PivotTableLayoutGrandTotals
ChartEditDataSource | ChartDepthAxis | PivotTableLayoutReportLayout
ChartLayoutGallery | ChartDepthAxisTitle | PivotTableLayoutShowInCompactForm
ChartStylesGallery | ChartDepthGridlines | PivotTableLayoutShowInOutlineForm
ChartAxisTitles | ChartEditDataSource | PivotTableLayoutShowInTabularForm
GroupBlogPublish | ChartErrorBars | PivotTableLayoutSubtotals
GroupChartLocation | ChartFloor | PivotTableListFormulas
TableStyleClear | ChartGridlines | PivotTableMove
ClipArtInsert | ChartInsert | PivotTableNewStyle
FileClose | ChartLayoutGallery | PivotTableOlapConvertToFormulas
PrintPreviewClose | ChartLegend | PivotTableOlapPropertyFields
CreateEmail | ChartLines | PivotTableOlapTools
PageColorPicker | ChartMoreElement | PivotTableOptions
ShapeOutlineColorPicker | ChartPlacement | PivotTableOptionsMenu
Chart3DColumnChart | ChartPlotArea | PivotTableSelectData
ColumnsDialog | ChartPrimaryHorizontalAxisTitle | PivotTableSelectFlyout
PivotTableLayoutShowInCompactForm | ChartPrimaryHorizontalGridlines | PivotTableSelectLabel
FileCompactAndRepairDatabase | ChartPrimaryVerticalAxisTitle | PivotTableSelectLabelAndData
ReviewCombineRevisions | ChartPrimaryVerticalGridlines | PivotTableShowPages
ReviewCompareTwoVersions | ChartRadarChart | PivotTableSubtotalsDoNotShow
ReviewCompareMenu | ChartRefresh | PivotTableSubtotalsOnBottom
ReviewCompareMajorVersion | ChartResetToMatchStyle | PivotTableSubtotalsOnTop
ReviewCompareLastVersion | ChartSaveTemplates | PlayMacro
ReviewCompareSpecificVersion | ChartSecondaryHorizontalAxisTitle | PlusSign
ReviewViewChangesInTheSourceDocument | ChartSecondaryVerticalAxisTitle | PositionAbsoluteMarks
FileCompatibilityChecker | ChartSecondaryVerticalGridlines | PositionAnchoringGallery
FontConditionalFormatting | ChartShowData | PositionFitToWindow
ServerConnection | ChartStylesGallery | PostReplyToFolder
Consolidate | ChartSwitchRowColumn | PostcardWizard
ContactPictureMenu | ChartTitle | PowerPointPageSetup
Copy | ChartTrendline | PowerPointParagraphDialog
DatabaseCopyDatabaseFile | ChartTypeAllInsertDialog | PrintAreaMenu
FilePackageForCD | ChartTypeOtherInsertGallery | PrintAreaSetPrintArea
CopyToPersonalCalendar | ChartUpDownBars | PrintDataOnly
CopyToPersonalContacts | ChartWall | PrintListRange
CopyToPersonalTaskList | CheckNames | PrintOptionsMenu
FilePackageAndSign | ChineseTranslationDialog | PrintOptionsMenuWord
FileCreateDocumentWorkspace | ChooseInfoPathForm | PrintPreviewClose
CreateMailRule | CircularReferences | PrintPreviewShrinkOnePage
PictureCrop | CitationInsert | PrintPreviewZoomTwoPages
CrossReferenceInsert | CitationMark | PrintSetupDialog
QueryCrosstab | Clear | PrintTitles
CustomActionsMenu | ClearFormats | ProjectManageDeliverables
StartAfterPrevious | ClearFormatting | ProjectManageDependenciesOnDeliverables
ViewCustomViews | ClipArtInsert | ProjectRecalcChangeHighlighting
DatabaseAccessBackEnd | Club | ProjectStatusReports
DataOptionsMenu | CodeEdit | PropertyInsert
DatasheetView | Coffee | PropertySheet
DateAndTimeInsert | CollapseAll | ProposeNewTime
AdpStoredProcedureQueryAppendValues | ColonSign | ProtectDocument
AdpStoredProcedureEditSql | ColumnWidth | PublishToPdfOrEdoc
DeclineInvitation | ColumnsDialog | Pushpin
DefaultView | ComAddInsDialog | Q
DefinePrintStyles | CombineCharacters | QueryAppend
Delete | CommaSign | QueryBuilder
InkDeleteAllInk | CommaStyle | QueryCrosstab
CellsDelete | ConditionalFormattingAboveAverage | QueryDataDefinition
ReviewDeleteComment | ConditionalFormattingBelowAverage | QueryDelete
QueryDelete | ConditionalFormattingBottomNItems | QueryInsertColumns
RecordsDeleteRecord | ConditionalFormattingBottomNPercent | QueryMakeTable
DatabaseObjectDependencies | ConditionalFormattingClearMenu | QueryParameters
TableDesign | ConditionalFormattingHighlightBetween | QueryReturnGallery
DesignAFormOutlook | ConditionalFormattingHighlightCellsMenu | QuerySelectQueryType
DesignXml | ConditionalFormattingHighlightCompareColumns | QueryShowTable
AdpDiagramAddRelatedTables | ConditionalFormattingHighlightDateOccuring | QueryTableNamesShowHide
AdpDiagramArrangeTables | ConditionalFormattingHighlightDuplicateValues | QueryUnionQuery
AdpDiagramNewTable | ConditionalFormattingHighlightEqualTo | QueryUpdate
DiagramReverseClassic | ConditionalFormattingHighlightGreaterThan | QuickPartsInsertGallery
ViewBackToColorView | ConditionalFormattingHighlightLessThan | QuickStylesGallery
ViewDisplayInHighContrast | ConditionalFormattingHighlightTextContaining | QuickStylesSets
DisplayRuler | ConditionalFormattingNewRule | R
FileDocumentEncrypt | ConditionalFormattingTopNItems | ReadOnly
FileSaveAsPdfOrXps | ConditionalFormattingTopNPercent | ReadingMode
FileDocumentInspect | ConditionalFormattingsManage | ReadingModeMini
FilePermissionView | CondolatoryEvent | ReadingViewAllowMultiplePages
DropCapOptionsDialog | CongratulatoryEvent | ReadingViewClose
FileDropSqlDatabase | Connections | ReadingViewShowPrintedPage
BusinessFormWizard | Consolidate | ReadingViewViewOptionsMenu
PostcardWizard | ConstrainNumeric | RecentFileList
FormControlEditBox | ContactPictureMenu | RecordNarration
ReviewEditComment | ContactSendMenu | RecordsAddFromOutlook
TableIndexes | ContactWebPage | RecordsCollapseAllSubdatasheets
RecurrenceEdit | ContentControlBuildingBlockGallery | RecordsDeleteRecord
RecurrenceEditSeries | ContentControlComboBox | RecordsExpandAllSubdatasheets
RelationshipsEditRelationships | ContentControlDate | RecordsFreezeColumns
WordArtEditTextClassic | ContentControlDropDownList | RecordsInsertSubdatasheet
DatabaseEncodeDecode | ContentControlPicture | RecordsMoreRecordsMenu
EnvelopesAndLabelsDialog | ContentControlRichText | RecordsRefreshMenu
EnvelopeChineseDialog | ContentControlText | RecordsSaveAsOutlookContact
EquationMatrixGallery | ContentControlsGroup | RecordsSaveRecord
ChartTypeOtherInsertGallery | ContentControlsUngroup | RecoverInviteToMeeting
FileExcelServicesOptions | ContentsAndIndex | RecurrenceEdit
ExportMoreMenu | ContextHelp | RecurrenceEditSeries
ExportToAccess | ContrastLess | Redo
ExportToVCardFile | ContrastMore | ReflectionGallery
FileInternetFax | ControlActiveX | Refresh
FieldChooser | ControlAdvancedProperties | RefreshAll
FieldList | ControlAlignToGrid | RefreshCancel
FieldsMenu | ControlBoundObjectFrame | RegionLayoutMenu
DatasheetNewField | ControlLayoutRemove | RelationshipDesignAllRelationships
FilePrepareMenu | ControlLayoutStacked | RelationshipsDirectRelationships
FileServerTasksMenu | ControlLayoutTabular | RelationshipsEditRelationships
MenuPublish | ControlLine | RelationshipsHideTable
FileSendMenu | ControlLineColorPicker | RelationshipsReport
ShapeFillColorPickerClassic | ControlLogo | ReminderSound
AutoFilterClassic | ControlMarginsGallery | RemoveCitation
FilterToggleFilter | ControlPaddingGallery | RemoveDuplicates
FindDialog | ControlPage | Repaginate
PositionFitToWindow | ControlSetControlDefaults | Repeat
ObjectAlignMenu | ControlSpecialEffectChiseled | ReplaceDialog
ConditionalFormattingHighlightCellsMenu | ControlSpecialEffectEtched | ReplicationCreateReplica
ChangeStylesMenu | ControlSpecialEffectFlat | ReplicationOptionsMenu
PivotChartClearMenu | ControlSpecialEffectRaised | ReplicationRecoverDesignMaster
PivotTableClearMenu | ControlSpecialEffectShadowed | ReplicationResolveConflicts
WindowSwitchWindowsMenuExcel | ControlSpecialEffectSunken | ReplicationSynchronizeNow
FilePermissionRestrictMenu | ControlSubFormReport | ReplyAll
MailMergeFinishAndMergeMenu | ControlTabControl | ResponsesMenu
FormatCellsMenu | ControlTitle | ResultsPaneStartFindAndReplace
FormulaMoreFunctionsMenu | ControlToggleButton | ReturnToTaskList
PivotTableOlapTools | ControlToolboxOutlook | RevealFormatting
PivotTableFormulasMenu | ControlUnboundObjectFrame | ReviewAcceptChange
PrintAreaMenu | ControlsGallery | ReviewAcceptOrRejectChangeDialog
PrintOptionsMenu | ConvertDatabaseFormat | ReviewAllowUsersToEditRanges
ReviewBalloonsMenu | ConvertTableToText | ReviewBalloonsMenu
PivotTableLayoutReportLayout | ConvertTextToTable | ReviewCombineRevisions
MailMergeSelectRecipients | ConvertToSmartArt | ReviewCompareLastVersion
ReviewShowMarkupMenu | Copy | ReviewCompareMajorVersion
SortFilterMenu | CopyFolder | ReviewCompareMenu
MailMergeStartMailMergeMenu | CopyToFolder | ReviewCompareSpecificVersion
TextWrappingMenu | CopyToPersonalCalendar | ReviewCompareTwoVersions
WhatIfAnalysisMenu | CopyToPersonalContacts | ReviewDeleteAllMarkupOnSlide
SlideShowCustomMenu | CopyToPersonalTaskList | ReviewDeleteComment
JapaneseGreetingsInsertMenu | CoverPageInsertGallery | ReviewDisplayForReview
FormRegionMenu | CoverPageRemove | ReviewEditComment
FootnoteInsert | CreateClassModule | ReviewHighlightChanges
FootnoteEndnoteDialog | CreateDiagram | ReviewJapaneseConsistencyChecker
FormatPainter | CreateEmail | ReviewNewComment
ConditionalFormattingAboveAverage | CreateForm | ReviewNextChange
ConditionalFormattingBelowAverage | CreateFormBlankForm | ReviewNextChangeClassic
ConditionalFormattingBottomNItems | CreateFormInDesignView | ReviewNextComment
ConditionalFormattingBottomNPercent | CreateFormMoreFormsGallery | ReviewPreviousChange
ConditionalFormattingHighlightBetween | CreateFormPivotChart | ReviewPreviousChangeClassic
ConditionalFormattingHighlightTextContaining | CreateFormSplitForm | ReviewPreviousComment
ConditionalFormattingHighlightDateOccuring | CreateFormWithMultipleItems | ReviewProtectAndShareWorkbook
ConditionalFormattingHighlightDuplicateValues | CreateHandoutsInWord | ReviewProtectWorkbook
ConditionalFormattingHighlightEqualTo | CreateLabels | ReviewRejectChange
ConditionalFormattingHighlightGreaterThan | CreateMacro | ReviewReplyWithChanges
ConditionalFormattingHighlightLessThan | CreateMailRule | ReviewReviewingPane
ConditionalFormattingTopNItems | CreateMap | ReviewReviewingPaneVertical
ConditionalFormattingTopNPercent | CreateModule | ReviewSendForReview
ViewsFormView | CreateQueryFromWizard | ReviewShareWorkbook
FrontPageToggleBookmark | CreateQueryInDesignView | ReviewShowAllComments
ViewFullScreenView | CreateReport | ReviewShowInk
FunctionWizard | CreateReportBlankReport | ReviewShowMarkupMenu
BordersGallery | CreateReportFromWizard | ReviewShowOrHideComment
PictureBrightnessGallery | CreateReportInDesignView | ReviewShowOrHideMarkup
TableEffectsCellBevelGallery | CreateShortcutMenuFromMacro | ReviewTrackChanges
PictureContrastGallery | CreateStoredProcedure | ReviewViewChangesInTheSourceDocument
ControlsGallery | CreateTable | RightArrow2
ViewFreezePanesGallery | CreateTableInDesignView | RightToLeftDocument
HandoutOrientation | CreateTableTemplatesGallery | Risks
FunctionsDateTimeInsertGallery | CreateTableUsingSharePointListsGallery | RmsImportanceCheck
FunctionsFinancialInsertGallery | CrossReferenceInsert | RmsImportanceUncheck
FunctionsLogicalInsertGallery | CustomActionsMenu | RmsInvokeBrowser
FunctionsLookupReferenceInsertGallery | Cut | RmsNavigationBar
FunctionsMathTrigInsertGallery | D | RmsNavigationBarHome
FunctionsRecentlyUsedtInsertGallery | DarkShading | RmsSendBizcard
FunctionsTextInsertGallery | DataFormAddRecord | RmsSendBizcardDesign
OutlineWeightGallery | DataFormDeleteRecord | RoutingSlip
SlideShowVolume | DataFormSource | RowHeight
MasterNotesPageOrientation | DataGraphicIconSet | RssShareThisFeed
PageSizeGallery | DataOptionsMenu | RulerShowHide
PicturePositionGallery | DataRefreshAll | RunDialog
PivotTableLayoutBlankRows | DataSourceCatalogServerScript | RunThisForm
TranslationToolTip | DataValidation | S
ObjectRotateGallery | DataValidationCircleInvalid | SadFace
TextEffects3DRotationGallery | DataValidationClearValidationCircles | SaveAll
SlidesPerPageGallery | DatabaseAccessBackEnd | SaveAndClose
AnimationTransitionGallery | DatabaseAnalyzePerformance | SaveAndNew
PivotTableLayoutGrandTotals | DatabaseAnalyzeTable | SaveAsQuery
PivotTableLayoutSubtotals | DatabaseCopyDatabaseFile | SaveAttachments
ImportMoreMenu | DatabaseDocumenter | SaveSelectionToCoverPageGallery
TextEffectGlowGallery | DatabaseEncodeDecode | SaveSelectionToFooterGallery
GoToHeader | DatabaseInsert | SaveSelectionToHeaderGallery
ChartInsert | DatabaseLinedTableManager | SaveSelectionToPageNumberBottom
ViewGridlinesWord | DatabaseMakeMdeFile | SaveSelectionToPageNumberMargin
GridlinesGallery | DatabaseMoveToSharePoint | SaveSelectionToPageNumberTop
ObjectsGroup | DatabaseObjectDependencies | SaveSelectionToQuickPartGallery
OutlineGroup | DatabasePartialReplica | SaveSelectionToQuickTablesGallery
FontSizeIncrease | DatabasePermissions | SaveSelectionToTableOfContentsGallery
HappyFace | DatabasePermissionsMenu | SaveSelectionToTextBoxGallery
HeaderFooterInsert | DatabaseRelationships | SaveSelectionToWaterMarkGallery
HeaderOrFooterShow | DatabaseSetLogonSecurity | SaveSentItemsMenu
SlideHide | DatabaseSqlServer | Schedule
RelationshipsHideTable | DatabaseSwitchboardManager | ScreenNavigatorBack
HighImportance | DatabaseUserAndGroupAccounts | ScreenNavigatorForward
SmartArtAddShape | DatabaseUserLevelSecurityWizard | ScriptDebugger
SmartArtOrganizationChartMenu | DatasheetColumnLookup | SearchLibraries
GroupSmartArtQuickStyles | DatasheetColumnRename | SearchUI
ConvertToSmartArt | DatasheetNewField | SelectAll
SmartArtEditIn2D | DatasheetView | SelectAllAccess
SmartArtAddShapeAfter | DateAndTimeInsert | SelectAllRecords
SmartArtAddAssistant | DecimalsDecrease | SelectCurrentRegion
SmartArtAddShapeBefore | DecimalsIncrease | SelectRecord
SmartArtAddBullet | DeclineInvitation | SelectionPane
SmartArtInsertBulletRTL | DefaultView | SelectionPaneHidden
SmartArtAddShapeAbove | DefinePrintStyles | SendCopySendToMailRecipient
SmartArtAddShapeBelow | DefinedPrintStyle | SendStatusReport
SmartArtOrganizationChartBoth | DelayDeliveryOutlook | ServerConnection
SmartArtOrganizationChartLeftHanging | Delete | ServerProperties
SmartArtOrganizationChartRightHanging | DesignAFormOutlook | ServerRestoreSqlDatabase
SmartArtOrganizationChartStandard | DesignXml | SetDatabasePassword
SmartArtResetGraphic | DiagramAutoLayoutClassic | SetLanguage
SmartArtMoreLayoutsDialog | DiagramChangeToMenuClassic | SetPertWeights
SmartArtChangeColorsGallery | DiagramCycleInsertClassic | Shadow
SmartArtStylesGallery | DiagramPyramidInsertClassic | ShadowNudgeDownClassic
SmartArtLayoutGallery | DiagramRadialInsertClassic | ShadowNudgeLeftClassic
ImportAccess | DiagramReverseClassic | ShadowNudgeRightClassic
ExportExcel | DiagramShapeInsertClassic | ShadowNudgeUpClassic
ImportExcel | DiagramShapeMoveBackwardClassic | ShadowOnOrOffClassic
ExportWord | DiagramShapeMoveForwardClassic | ShapeArc
ImexRunExport | DiagramStylesClassic | ShapeCloud
ImexRunImport | DiagramTargetInsertClassic | ShapeConnectorStyleMenu
ExportSavedExports | DiagramVennDiagramInsertClassic | ShapeCurve
ImportSavedImports | Diamond | ShapeDonut
ExportTextFile | DirectRepliesTo | ShapeDownArrow
ImportTextFile | DistributionListAddNewMember | ShapeElbowConnector
ExportSharePointList | DistributionListRemoveMember | ShapeElbowConnectorArrow
ImportSharePointList | DistributionListSelectMembers | ShapeFillColorPickerClassic
ImportXmlFile | DistributionListUpdateMembers | ShapeFillTextureGallery
GetExternalDataFromText | DivisionSign | ShapeFreeform
InkEraseMode | DocumentPanelTemplate | ShapeHeart
CellsInsertDialog | DollarSign | ShapeIsoscelesTriangle
CitationInsert | DoubleBottomBorder | ShapeLeftArrow
CreateClassModule | DoubleStrikethrough | ShapeLeftBrace
TableColumnsInsertLeft | DrawingCanvasExpand | ShapeLightningBolt
TableColumnsInsertRight | DrawingCanvasFit | ShapeOutlineColorPicker
SlideMasterInsertLayout | DrawingCanvasScale | ShapeOval
SmartArtInsert | DrawingObjectFormatDialog | ShapeRectangle
HorizontalLineInsert | DrillInto | ShapeRerouteConnectors
AttachItem | DrillOut | ShapeRightArrow
TableInsertExcel | DropCapOptionsDialog | ShapeRightBrace
MovieFromFileInsert | DuplicateSelectedSlides | ShapeRoundedRectangle
NumberInsert | E | ShapeRoundedRectangularCallout
OleObjectctInsert | EastAsianEditingMarks | ShapeScribble
PictureInsertFromFilePowerPoint | EditBusinessCard | ShapeSeal16
BarcodeInsert | EditCitation | ShapeSeal24
LabelInsert | EditComposePage | ShapeSeal8
TableRowsInsertAboveWord | EditQuery | ShapeSmileyFace
TableRowsInsertBelowWord | EditReadPage | ShapeStar
SignatureLineInsert | EmptyTrash | ShapeStraightConnector
ActionInsert | EncodingMenu | ShapeStraightConnectorArrow
FormControlLabel | EndOfDocument | ShapeStylesGallery
LabelsDialog | EndOfLine | ShapeUpArrow
PageOrientationLandscape | EndnoteInsertWord | ShapesDuplicate
SetLanguage | EnglishWritingAssistant | ShapesMoreShapes
SelectionPane | EnvelopeChineseDialog | SharePointListsWorkOffline
QuickPartsInsertGallery | EnvelopesAndLabelsDialog | SharingNone
CoverPageInsertGallery | EqualSign | SharingOpenMailFolder
FooterInsertGallery | EquationMatrixGallery | SharingOpenNotesFolder
HeaderInsertGallery | EquationOptions | SharingOpenWssContactList
PageNambersInFooterInsertGallery | EquationSymbolsInsertGallery | SharingOpenWssDiscussionList
PageNambersInMarginsInsertGallery | ErrorChecking | SheetBackground
PageNumbersInHeaderInsertGallery | ExchangeFolder | SheetDelete
TableOfContentsGallery | ExponentiationSign | SheetInsert
WatermarkGallery | ExportExcel | SheetProtect
ControlLineColorPicker | ExportMoreMenu | ShowAllFieldsPage
DatabaseLinedTableManager | ExportSavedExports | ShowBcc
FileLinksToFiles | ExportSharePointList | ShowClipboard
DatasheetColumnLookup | ExportTextFile | ShowCustomPage
MacroDefault | ExportToAccess | ShowDetailsPage
MessageOptions | ExportToVCardFile | ShowFormRegionPage
CheckNames | ExportWord | ShowFormulas
MailMergeAddressBlockInsert | F | ShowFrom
MailMergeMergeFieldInsert | FieldChooser | ShowNotesPage
MailMergeGreetingLineInsert | FieldCodes | ShowSchedulingPage
MailMergeRecipientsEditList | FieldInsert | ShowTaskDetailsPage
DatabaseMakeMdeFile | FieldList | ShowTimeAsGallery
QueryMakeTable | FieldShading | ShowTimeZones
ManageReplies | FieldsMenu | SignatureInsertMenu
FileMarkAsFinal | FieldsUpdate | SignatureLineInsert
MarkAsUnread | FileBackUpSqlDatabase | SignatureShow
MasterDocumentShow | FileBackupDatabase | SignaturesLoading
MeetingsWorkspace | FileCheckIn | SizeToControlHeight
EncodingMenu | FileCheckOut | SizeToControlHeightAndWidth
OtherActionsMenu | FileCheckOutDiscard | SizeToControlWidth
SaveSentItemsMenu | FileClose | SizeToFit
MergeCells | FileCompactAndRepairDatabase | SizeToNarrowest
MessageToAttendeesMenu | FileCompatibilityChecker | SizeToShortest
ModuleInsert | FileCompatibilityCheckerPowerPoint | SizeToTallest
MoveToFolder | FileCompatibilityCheckerWord | SizeToWidest
TableOfAuthoritiesInsert | FileCreateDocumentWorkspace | SkipOccurrence
TableOfContentsDialog | FileDocumentEncrypt | SlideBackgroundFormatDialog
CitationMark | FileDocumentInspect | SlideBackgroundReset
IndexMarkEntry | FileDocumentManagementInformation | SlideDelete
PrintOptionsMenuWord | FileDropSqlDatabase | SlideHide
MultiplePages | FileExcelServicesOptions | SlideMasterChartPlaceholderInsert
PrintPreviewMultiplePagesMenu | FileExit | SlideMasterClipArtPlaceholderInsert
NameManager | FileFind | SlideMasterContentPlaceholderInsert
FileNew | FileInternetFax | SlideMasterDiagramPlaceholderInsert
CreateMacro | FileLinksToFiles | SlideMasterInsertLayout
ReviewNewComment | FileManageMenu | SlideMasterMasterLayout
CreateDiagram | FileMarkAsFinal | SlideMasterMediaPlaceholderInsert
DistributionListAddNewMember | FileNew | SlideMasterPicturePlaceholderInsert
CreateFormInDesignView | FileNewBlogPost | SlideMasterPreserveMaster
NewMeetingWithContact | FileNewWebPage | SlideMasterRenameMaster
NewMessageToContact | FileOpen | SlideMasterTablePlaceholderInsert
CreateModule | FilePackageAndSign | SlideMasterTextPlaceholderInsert
PhotoAlbumInsert | FilePackageForCD | SlideMasterVerticalContentPlaceholderInsert
CreateQueryFromWizard | FilePermissionRestrictMenu | SlideMasterVerticalTextPlaceholderInsert
GoToNewRecord | FilePermissionView | SlideMiniature
CreateReportInDesignView | FilePrepareMenu | SlideNew
SlideNew | FilePrint | SlideReset
CreateStoredProcedure | FilePrintPreview | SlideShowCustom
CreateTableInDesignView | FilePrintQuick | SlideShowCustomMenu
GetExternalDataFromWeb | FileProperties | SlideShowFromCurrent
WindowNew | FilePublishAsWebPage | SlideShowInAWindow
ReviewNextComment | FilePublishExcelServices | SlideShowRehearseTimings
ViewDraftView | FilePublishSlides | SlideShowResolutionGallery
ViewNormalViewExcel | FilePublishToSharePoint | SlideShowSetUpDialog
ViewNormalViewPowerPoint | FileSave | SlideShowShowPresentationOnGallery
ViewNotesPageView | FileSaveAs | SlideShowUseRehearsedTimings
ActiveXButton | FileSaveAsAccess2000 | SlideShowVolume
PermissionRestrict | FileSaveAsAccess2002_2003 | SlideThemesGallery
EditBusinessCard | FileSaveAsCurrentFileFormat | SlideTransitionApplyToAll
ForwardAsBusinessCard | FileSaveAsExcel97_2003 | SlidesFromOutline
OutlookGlobe | FileSaveAsExcelXlsb | SlidesPerPage1Slide
BusinessCardInsertMenu | FileSaveAsExcelXlsx | SlidesPerPage2Slides
PageMenu | FileSaveAsExcelXlsxMacro | SlidesPerPage3Slides
DefinedPrintStyle | FileSaveAsPdfOrXps | SlidesPerPage4Slides
RssShareThisFeed | FileSaveAsPowerPoint97_2003 | SlidesPerPage6Slides
SharingOpenNotesFolder | FileSaveAsPowerPointPpsx | SlidesPerPage9Slides
OmsCustomizeLayout | FileSaveAsPowerPointPptx | SlidesPerPageGallery
OmsDelete | FileSaveAsWebPage | SlidesPerPageSlideOutline
OmsChangeSlideLayoutGallery | FileSaveAsWord97_2003 | SlidesReuseSlides
OmsSlideInsert | FileSaveAsWordDocx | SmartArtAddAssistant
OmsNewMultimediaMessage | FileSaveAsWordDotx | SmartArtAddBullet
OmsNewTextMessage | FileSaveToDocumentManagementServer | SmartArtAddShape
OmsPreviewPane | FileSendAsAttachment | SmartArtAddShapeAbove
OmsSend | FileSendMenu | SmartArtAddShapeAfter
FileOpen | FileServerTasksMenu | SmartArtAddShapeBefore
OpenStartPage | FileServerTransferDatabase | SmartArtAddShapeBelow
OrganizationChartSelectLevel | FileStartWorkflow | SmartArtChangeColorsGallery
PivotTableLayoutShowInOutlineForm | FileUpdate | SmartArtEditIn2D
ViewOutlineView | FileViewDigitalSignatures | SmartArtInsert
DelayDeliveryOutlook | FileWorkflowTasks | SmartArtInsertBulletRTL
DirectRepliesTo | FillDown | SmartArtLayoutGallery
AccountMenu | FillLeft | SmartArtMoreLayoutsDialog
RegionLayoutMenu | FillMenu | SmartArtOrganizationChartBoth
PageBreakInsertOrRemove | FillRight | SmartArtOrganizationChartLeftHanging
ViewPageBreakPreviewView | FillUp | SmartArtOrganizationChartMenu
ViewPrintLayoutView | FilterAdvancedByForm | SmartArtOrganizationChartRightHanging
PageSetupPageDialog | FilterAdvancedMenu | SmartArtOrganizationChartStandard
PowerPointPageSetup | FilterByResource | SmartArtResetGraphic
Paste | FilterBySelection | SmartArtResetShape
PauseTimer | FilterClearAllFilters | SmartArtRightToLeft
PictureReflectionGallery | FilterReapply | SmartArtStylesGallery
PictureReflectionGalleryItem | FilterToggleFilter | SmartArtTextPane
PictureStylesGallery | FindDialog | SnapToGrid
Chart3DPieChart | FindNext | SnapToShapes
PivotChartType | FindRelatedMenu | SortAndFilterAdvanced
PivotClearCustomOrdering | First10RecordsPreview | SortClear
PivotExportToExcel | Fish | SortDialog
PivotShowDetails | Folder | SortDown
PivotTableSelectFlyout | FontAlternateFillBackColorPicker | SortFilterMenu
MacroPlay | FontConditionalFormatting | SortRemoveAllSorts
AnimationPreview | FontDialog | SortUp
PlayMacro | FontDialogPowerPoint | SoundInsertFromClipOrganizer
ObjectsSelect | FontSchemes | SoundMaximumFileSize
PageOrientationPortrait | FontSizeDecrease | SourceControlAddDatabase
PageOrientationPortraitLandscape | FontSizeIncrease | SourceControlAddObjects
JapanesePostcardDialog | FontsReplaceFonts | SourceControlCheckIn
ExchangeFolder | FooterInsertGallery | SourceControlCheckOut
PostReplyToFolder | FootnoteEndnoteDialog | SourceControlCreateDatabaseFromProject
DocumentPanelTemplate | FootnoteInsert | SourceControlGetLatestVersion
FileCompatibilityCheckerPowerPoint | FootnoteNextWord | SourceControlOptions
ReviewPreviousComment | FootnotesEndnotesShow | SourceControlProperties
AdpPrimaryKey | FormControlCheckBox | SourceControlRefreshStatus
FilePrint | FormControlCombinationDropDownEdit | SourceControlRun
FilePrintQuick | FormControlCombinationListEdit | SourceControlShareObjects
RelationshipsReport | FormControlEditBox | SourceControlShowDifferences
PrintTitles | FormControlGroupBox | SourceControlShowHistory
FilePrintPreview | FormControlLabel | SourceControlUndoCheckOut
PropertySheet | FormHeaderOrFooterShowHide | Spade
ProposeNewTime | FormPublish | SpeakByColumns
Lock | FormRegionMenu | SpeakByRows
ProtectDocument | FormatAsTableGallery | SpeakCells
SheetProtect | FormatCellsFontDialog | SpeakOnEnter
ReviewProtectWorkbook | FormatCellsMenu | SpeakStop
FilePublishSlides | FormatCellsNumberDialog | SpeakerNotes
TableExportTableToSharePointList | FormatPainter | SpeechMicrophone
FilePublishExcelServices | FormatPictureOrShapeDialogClassic | Spelling
FilePublishToSharePoint | FormattingRequiredField | SplitCells
ReadingMode | FormattingUnique | StarRatedEmpty
ReadingViewShowPrintedPage | FormsMenu | StarRatedFull
ReadingViewMarginSettingsMenu | FormulaEvaluate | StarRatedHalf
PictureRecolorGallery | FormulaMoreFunctionsMenu | StarUnratedEmpty
RecordsMoreRecordsMenu | ForwardAsBusinessCard | StarUnratedFull
ReflectionGallery | ForwardToMobile | StartAfterPrevious
TextReflectionGallery | FrameCreateAbove | StartOfDocument
SlideShowRehearseTimings | FrameCreateBelow | StartOfLine
RecoverInviteToMeeting | FrameCreateLeft | StartTimer
ReviewRejectChange | FrameCreateRight | StopAnimation
DatabaseRelationships | FrameDelete | StopLeftToRight
DistributionListRemoveMember | FramePropertiesDialog | StopLtrDown
SortRemoveAllSorts | FreezePanes | StopLtrFocus
ReplicationOptionsMenu | FrontPageToggleBookmark | StopLtrHover
ReplyAll | FunctionWizard | Strikethrough
CreateHandoutsInWord | FunctionsCubeInsertGallery | StylesDialogClassic
DataRefreshAll | FunctionsDateTimeInsertGallery | StylesManageStyles
FormattingRequiredField | FunctionsEngineeringInsertGallery | StylesModifyStyle
ServerRestoreSqlDatabase | FunctionsFinancialInsertGallery | StylesPane
ReturnToTaskList | FunctionsInformationInsertGallery | StylesPaneNewStyle
ReviewTrackChanges | FunctionsLogicalInsertGallery | StylesStyleInspector
RightToLeftDocument | FunctionsLookupReferenceInsertGallery | StylesStyleSeparator
Risks | FunctionsMathTrigInsertGallery | SubdocumentOpen
FileSave | FunctionsRecentlyUsedtInsertGallery | SubformInNewWindow
SaveAndClose | FunctionsStatisticalInsertGallery | SubformMenu
SaveAndNew | FunctionsTextInsertGallery | Subscript
FileSaveAs | G | SummarizeSlide
FileSaveAsExcel97_2003 | GetExternalDataFromText | Superscript
FileSaveAsExcelXlsb | GetExternalDataFromWeb | SymbolInsert
FileSaveAsExcelXlsx | GetExternalDataImportClassic | T
FileSaveAsExcelXlsxMacro | GoLeftToRight | TabOrder
FileSaveAsPowerPoint97_2003 | GoLtrDown | TableAutoFitContents
FileSaveAsPowerPointPpsx | GoLtrFocus | TableAutoFitFixedColumnWidth
FileSaveAsPowerPointPptx | GoLtrHover | TableAutoFitWindow
FileSaveAsWord97_2003 | GoRtl | TableAutoFormat
FileSaveAsWordDocx | GoRtlDown | TableBorderPenColorPicker
FileSaveAsWordDotx | GoRtlFocus | TableCellAlignBottom
SaveAttachments | GoRtlHover | TableCellAlignBottomCenter
FileSaveAsCurrentFileFormat | GoTo | TableCellAlignBottomLeft
FileSaveAsAccess2002_2003 | GoToHeader | TableCellAlignBottomRight
FileSaveAsAccess2000 | GoToMail | TableCellAlignCenterVertically
FormPublish | GoToNewRecord | TableCellAlignMiddleCenter
RecordsSaveRecord | GoToTableOfContents | TableCellAlignMiddleLeft
FileSaveToDocumentManagementServer | GradientGallery | TableCellAlignMiddleRight
WindowSaveWorkspace | Grammar | TableCellAlignTop
DatabasePermissionsMenu | GridSettings | TableCellAlignTopCenter
DistributionListSelectMembers | GridShowHide | TableCellAlignTopLeft
QuerySelectQueryType | GridlinesGallery | TableCellAlignTopRight
ContactSendMenu | GroupAddInsCustomToolbars | TableCellCustomMarginsDialog
SendStatusReport | GroupAddInsMenuCommands | TableColumnSelect
ObjectSendToBack | GroupAddInsToolbarCommands | TableColumnsDelete
FileNewBlogPost | GroupBlogPublish | TableColumnsDeleteExcel
FileSendAsAttachment | GroupChartLocation | TableColumnsDistribute
ServerProperties | GroupDrawing | TableColumnsInsertLeft
SetDatabasePassword | GroupPivotTableLayout | TableColumnsInsertLeftExcel
SlideShowSetUpDialog | GroupSmartArtQuickStyles | TableColumnsInsertRight
MailMergeHighlightMergeFields | GroupTable | TableColumnsInsertRightExcel
TextEffectShadowGallery | Grouping | TableConvertToRange
ReviewShareWorkbook | H | TableDeleteRowsAndColumnsMenuWord
SharingOpenWssContactList | HandoutOrientation | TableDesign
SharingOpenWssDiscussionList | HangulHanjaConversion | TableDrawTable
SheetBackground | HappyFace | TableEffectsMenu
MacroShowAllActions | Head | TableEraser
ShowSchedulingPage | HeaderFooterInsert | TableExcelSpreadsheetInsert
MacroArguments | HeaderFooterLinkToPrevious | TableExportTableToSharePointList
MacroConditions | HeaderFooterNextSection | TableExportTableToVisioPivotDiagram
ShowCustomPage | HeaderFooterPositionFooterFromBottom | TableFind
ShowDetailsPage | HeaderFooterPositionHeaderFromTop | TableHeight
ShowNotesPage | HeaderFooterPreviousSection | TableIndexes
FileDocumentManagementInformation | HeaderFooterRemoveFooterWord | TableInsert
ShowFormRegionPage | HeaderFooterRemoveHeaderWord | TableInsertCellsDialog
ReviewShowOrHideMarkup | HeaderInsertGallery | TableInsertExcel
MailMergeResultsPreview | HeaderOrFooterShow | TableInsertMultidiagonalCell
MacroNames | Heart | TableListAlertMe
PivotChartFilterShow | Help | TableListPermissions
ShowTaskDetailsPage | HideDetails | TableOfAuthoritiesInsert
FileWorkflowTasks | HighImportance | TableOfContentsDialog
FontSizeDecrease | HorizontalLineInsert | TableOfContentsGallery
SignatureShow | HorizontalSpacingDecrease | TableOfContentsInFrame
SignatureInsertMenu | HorizontalSpacingIncrease | TableOfContentsRemove
FileViewDigitalSignatures | HyperlinkInsert | TableOfContentsUpdate
SizeToControlWidth | HyperlinkOpenExcel | TableOfFiguresInsert
SizeToFit | HyperlinkRemove | TableOpenInBrowser
SkipOccurrence | HyperlinksVerify | TablePropertiesDialog
SlideMasterMasterLayout | HyphenationOptions | TableRepeatHeaderRows
ViewSlideMasterView | I | TableResize
ViewSlideShowView | IgnoreHtmlChanges | TableRowSelect
SlideShowFromCurrent | ImagerScan | TableRowsDelete
ViewSlideSorterView | ImeDictionaryUpdate | TableRowsDeleteExcel
ViewDocumentActionsPane | ImexRunExport | TableRowsDistribute
Grouping | ImexRunImport | TableRowsInsertAboveExcel
SortUp | ImportAccess | TableRowsInsertAboveWord
SourceControlAddObjects | ImportExcel | TableRowsInsertBelowExcel
SourceControlCheckIn | ImportMoreMenu | TableRowsInsertBelowWord
SourceControlCheckOut | ImportSavedImports | TableRowsInsertWord
SourceControlCreateDatabaseFromProject | ImportSharePointList | TableSelect
SourceControlGetLatestVersion | ImportTextFile | TableSelectCell
SourceControlShowDifferences | ImportXmlFile | TableSelectVisibleCells
SourceControlUndoCheckOut | IndentClassic | TableSetLeftToRight
Spelling | IndexInsert | TableSetRightToLeft
WindowSplit | IndexMarkEntry | TableSharePointListsModifyColumnsAndSettings
SplitCells | Info | TableSharePointListsModifyWorkflow
TableSplitTable | InkDeleteAllInk | TableSharePointListsRefreshList
ViewsAdpDiagramSqlView | InkDrawingAndWriting | TableSplitTable
DatabaseSetLogonSecurity | InkEraseMode | TableStyleBandedColumns
StartTimer | InkingStart | TableStyleBandedColumnsPowerPoint
FileStartWorkflow | InsertAlignmentTab | TableStyleBandedRows
StopAnimation | InsertDialog | TableStyleBandedRowsPowerPoint
OutlineSubtotals | InsertDrawingCanvas | TableStyleClear
TableSummarizeWithPivot | InterconnectDeleteCard | TableStyleColumnHeaders
PivotTableMove | InterconnectNextSide | TableStyleFirstColumn
PivotChartInsert | InterconnectOpen | TableStyleFirstColumnPowerPoint
PivotTableChangeDataSource | InternationalCurrency | TableStyleFirstRowPowerPoint
PivotTableOlapConvertToFormulas | Italic | TableStyleLastColumn
PivotPlusMinusButtonsShowHide | J | TableStyleLastColumnPowerPoint
PivotFieldListShowHide | JapaneseGreetingsInsertMenu | TableStyleModify
PivotPlusMinusFieldHeadersShowHide | JapanesePostcardDialog | TableStyleNew
ListSynchronize | JotInkStyle1 | TableStyleRowHeaders
SymbolInsert | JotLineColor | TableStyleTotalRowPowerPoint
TableInsert | JotShapeDiamond | TableStyleTotalsRow
TableAutoFitContents | JotShapeEllipse | TableSummarizeWithPivot
TableBorderPenColorPicker | JotShapeParallelogram | TableTestValidationRules
TablePropertiesDialog | JotShapeRectangle | TableUnlinkExternalData
TableDeleteRowsAndColumnsMenuWord | JunkEmailOptions | TableWidth
TableDrawTable | JunkEmailSafeListsMenu | TagMarkComplete
TableEraser | JustifyHighVertical | TechnicalSupport
TableRepeatHeaderRows | JustifyLowVertical | TentativeAcceptInvitation
AdpDiagramTableModesMenu | JustifyMediumVertical | TextAlignGallery
TableStyleColumnHeaders | JustifyThaiVertical | TextAlignLetterJustify
TableStyleFirstColumn | K | TextAlignStretchJustify
TableStyleLastColumn | L | TextAlignWordJustify
TableStyleRowHeaders | LabelInsert | TextAllCaps
ConvertTableToText | LabelsDialog | TextBoxInsert
TableInsertMultidiagonalCell | LassoSelect | TextBoxInsertVertical
TabOrder | LayoutOptionsDialog | TextBoxNextLinked
PivotTableLayoutShowInTabularForm | LeftArrow2 | TextBoxPreviousLinked
FileCheckIn | LegalBlackline | TextDirection
FileCheckOut | LightShading | TextDirectionContext
FileCheckOutDiscard | LineNumbersMenu | TextDirectionLeftToRight
TentativeAcceptInvitation | LineSpacing | TextDirectionOptionsDialog
TableTestValidationRules | LineStylesDialog | TextDirectionRightToLeft
TextBoxInsert | LinkBarCustom | TextEffectGlowGallery
TextBoxInsertVertical | ListLevelGallery | TextEffectShadowGallery
TextEffectTracking | ListNumFieldInsert | TextEffectTracking
TextDirectionOptionsDialog | ListSetNumberingValue | TextEffectTransformGallery
TextDirection | ListSynchronize | TextEffects3DRotationGallery
ConvertTextToTable | LoadFromQuery | TextEffectsMenu
Thesaurus | Lock | TextFromFileInsert
ShowBcc | LookUp | TextOrientationAngleClockwise
WatchWindow | LowImportance | TextOrientationAngleCounterclockwise
DesignMode | M | TextOrientationRotateDown
ShowFrom | MacroArguments | TextOrientationRotateUp
FileProperties | MacroConditions | TextOrientationVertical
ReadingViewAllowTyping | MacroConvertMacrosToVisualBasic | TextOutlineColorPicker
ShowTimeZones | MacroDefault | TextReflectionGallery
TableStyleTotalsRow | MacroNames | TextSmallCaps
HangulHanjaConversion | MacroPlay | TextWrappingBehindText
FileServerTransferDatabase | MacroRecord | TextWrappingEditWrapPoints
Translate | MacroRecorderPause | TextWrappingInFrontOfText
TripaneViewMode | MacroRelativeReferences | TextWrappingInLineWithText
PrintPreviewZoomTwoPages | MacroShowAllActions | TextWrappingMenu
ObjectsUngroup | MagicEightBall | TextWrappingMenuClassic
OutlineUngroup | Magnifier | TextWrappingSquare
FormattingUnique | MailMergeAddressBlockInsert | TextWrappingTight
Refresh | MailMergeAutoCheckForErrors | TextWrappingTopAndBottom
RefreshAll | MailMergeDocument | ThemeBrowseForThemesPowerPoint
DistributionListUpdateMembers | MailMergeFinishAndMergeMenu | ThemeColorsGallery
QueryUpdate | MailMergeGoToFirstRecord | ThemeEffectsGallery
UpgradeDocument | MailMergeGoToNextRecord | ThemeFontsGallery
UpgradePresentation | MailMergeGoToPreviousRecord | ThemeSaveCurrentPowerPoint
UpgradeWorkbook | MailMergeGotToLastRecord | ThemesGallery
DatabaseSqlServer | MailMergeGreetingLineInsert | Thesaurus
PositionAnchoringGallery | MailMergeHelper | TipWizardHelp
ObjectEffectPresetGallery | MailMergeHighlightMergeFields | ToolboxAudio
CellStylesGallery | MailMergeMatchFields | ToolboxMarquee
FormatAsTableGallery | MailMergeMergeFieldInsert | ToolboxVideo
ControlMarginsGallery | MailMergeMergeToPrinter | TraceDependentRemoveArrows
ControlPaddingGallery | MailMergeRecipientsEditList | TraceDependents
PageMarginsGallery | MailMergeResultsPreview | TraceError
PageOrientationGallery | MailMergeRules | TracePrecedents
_3DRotationGallery | MailMergeSelectRecipients | TracePrecedentsRemoveArrows
SlideThemesGallery | MailMergeSetDocumentType | TraceRemoveAllArrows
ThemesGallery | MailMergeStartMailMergeMenu | TransitionTimeAutomaticallyAfter
ShapeStylesGallery | MailMove | Translate
QuickStylesGallery | MailSelectNames | TranslateToSimplifiedChinese
QuickStylesSets | ManageReplies | TranslateToTraditionalChinese
ObjectEffectGlowGallery | MapContactAddress | TranslationToolTip
PictureEffectsPresetGallery | MarginsAdjust | TripaneViewMode
PictureRotationGallery | MarkAsUnread | TrustCenter
PictureEffectsGlowGallery | MarkTaskComplete | U
PictureEffectsShadowGallery | MasterDocumentCreateSubdocument | Underline
PictureEffectsSoftEdgesGallery | MasterDocumentInsertSubdocument | UnderlineDouble
ObjectEffectShadowGallery | MasterDocumentLockSubdocument | UnderlineWords
ObjectEffectSoftEdgesGallery | MasterDocumentMergeSubdocuments | Undo
DataValidation | MasterDocumentShow | UpgradeDocument
ViewAllProposals | MasterDocumentSplitSubdocuments | UpgradePresentation
ViewAppointmentInCalendar | MasterDocumentUnlinkSubdocument | UpgradeWorkbook
ViewHandoutMasterView | MasterNotesPageOrientation | UseVotingButtonsMenu
ViewNotesMasterView | MeetingsWorkspace | V
AdpOutputOperationsTableRemove | MenuPublish | VerticalSpacingDecrease
AdpVerifySqlSyntax | MergeCells | VerticalSpacingIncrease
VisualBasic | MergeCellsAcross | ViewAllProposals
UseVotingButtonsMenu | MergeCenter | ViewAppointmentInCalendar
QueryBuilder | MergeOptions | ViewBackToColorView
TextEffectTransformGallery | MessageHeaderToggle | ViewCustomViews
Connections | MessageNext | ViewDisplayInGrayscale
BuildingBlocksCreateTableOfAuthorities | MessageOptions | ViewDisplayInHighContrast
SaveSelectionToTableOfContentsGallery | MessagePrevious | ViewDisplayInPureBlackAndWhite
HyperlinkInsert | MessageToAttendeesMenu | ViewDocumentActionsPane
ViewWebLayoutView | MicrosoftAccess | ViewDocumentMap
WebPagePreview | MicrosoftExcel | ViewDraftView
ZoomOnePage | MicrosoftOutlook | ViewFormulaBar
FileCompatibilityCheckerWord | MicrosoftPowerPoint | ViewFreezePanesGallery
SharePointListsWorkOffline | MicrosoftProject | ViewFullScreenView
LookUp | MicrosoftPublisher | ViewGoBack
ReadingViewShowOnePage | MicrosoftVisualFoxPro | ViewGoForward
ReadingViewShowTwoPages | MinusSign | ViewGridlinesFrontPage
BordersShadingDialogWord | ModuleInsert | ViewGridlinesWord
ViewPageLayoutView | MoveToFolder | ViewHandoutMasterView
PivotTableBlankRowsInsert | MovieFromFileInsert | ViewNextItemMenu
PivotTableBlankRowsRemove | MoviePlay | ViewNormalViewExcel
PivotTableGrandTotalsOffForRowsAndColumns | MoviePlayAutomatically | ViewNormalViewPowerPoint
PivotTableGrandTotalsOnForColumnsOnly | MsnLogo | ViewNotesMasterView
PivotTableGrandTotalsOnForRowsOnly | MultilevelListGallery | ViewNotesPageView
PivotTableGrandTotalsOnForRowsAndColumns | MultiplePages | ViewOnlineConnection
PivotTableSubtotalsDoNotShow | MultiplicationSign | ViewOnlineLayoutViewClassic
PivotTableSubtotalsOnBottom | N | ViewOutlineView
PivotTableSubtotalsOnTop | NameCreateFromSelection | ViewPageBreakPreviewView
RemoveDuplicates | NameDefine | ViewPageLayoutView
SortDialog | NameDefineMenu | ViewPrintLayoutView
ZoomPrintPreviewExcel | NameManager | ViewRulerExcel
ZoomCurrent100 | NamePasteName | ViewRulerPowerPoint
ZoomFitToWindow | NameUseInFormula | ViewSheetGridlines
ZoomToSelection | NewAlert | ViewSlideMasterView
_1 | NewContact | ViewSlideShowView
_2 | NewMeetingWithContact | ViewSlideSorterView
_3 | NewMessageToContact | ViewSlideView
_4 | NewNote | ViewThumbnails
_5 | NewTableStyleWord | ViewVisualBasicCode
_6 | NewTask | ViewWebLayoutView
_7 | NewTaskForContact | ViewsAdpDiagramSqlView
_8 | NumberInsert | ViewsFormView
_9 | Numbering | ViewsLayoutView
_3DBevelPictureTopGallery | NumberingContinue | VisibilityHidden
A | NumberingRestart | VisibilityInherit
AboveText | O | VisibilityVisible
AcceptInvitation | ObjectAlignMenu | VisualBasic
AccessFormDatasheet | ObjectBringForward | VisualBasicReferences
AccessFormModalDialog | ObjectBringToFront | VoiceInsert
AccessFormWizard | ObjectEditPoints | VoiceInsertInComment
AccessListAssets | ObjectEffectGlowGallery | W
AccessListContacts | ObjectEffectPresetGallery | WatchWindow
AccessListCustom | ObjectEffectShadowGallery | WatermarkGallery
AccessListCustomDatasheet | ObjectEffectSoftEdgesGallery | WatermarkRemove
AccessListEvents | ObjectFlipHorizontal | WebControlHidden
AccessListIssues | ObjectFlipVertical | WebControlPassword
AccessListTasks | ObjectFormatDialog | WebControlReset
AccessNavigationOptions | ObjectNudgeDown | WebControlSubmit
AccessOfflineLists | ObjectNudgeLeft | WebControlSubmitWithImage
AccessOnlineLists | ObjectNudgeRight | WebControlTextArea
AccessRecycleBin | ObjectNudgeUp | WebPagePreview
AccessRefreshAllLists | ObjectPictureFill | WebServerDiscussions
AccessRelinkLists | ObjectRotateFree | WhatIfAnalysisMenu
AccessReportMore | ObjectRotateGallery | WindowClose
AccessTableAssets | ObjectRotateLeft90 | WindowHide
AccessTableContacts | ObjectRotateRight90 | WindowMinimize
AccessTableEvents | ObjectSendBackward | WindowMoveSplit
AccessTableIssues | ObjectSendToBack | WindowNew
AccessTableTasks | ObjectSizeAndPositionDialog | WindowResetPosition
AccountMenu | ObjectSizeAndPropertiesDialog | WindowRestore
AccountingFormat | ObjectSizeDialog | WindowSaveWorkspace
ActionInsert | ObjectSizeDialogClassic | WindowSideBySide
ActiveXButton | ObjectsAlignBottom | WindowSideBySideSynchronousScrolling
ActiveXComboBox | ObjectsAlignCenterHorizontal | WindowSplit
ActiveXFrame | ObjectsAlignCenterInFormHorixontally | WindowSwitchWindowsMenuExcel
ActiveXLabel | ObjectsAlignCenterInFormVertically | WindowUnhide
ActiveXListBox | ObjectsAlignDistributeHorizontallyRemove | WindowsArrangeAll
ActiveXRadioButton | ObjectsAlignDistributeVerticallyRemove | WindowsArrangeIcons
ActiveXScrollBar | ObjectsAlignLeft | WindowsCascade
ActiveXSpinButton | ObjectsAlignMiddleVertical | WindowsTileHorizontally
ActiveXTextBox | ObjectsAlignRight | WordArtEditTextClassic
ActiveXToggleButton | ObjectsAlignTop | WordArtEvenTextHeightClassic
AddInManager | ObjectsArrangeBottom | WordArtFormatDialog
AddInsMenu | ObjectsArrangeRight | WordArtInsertDialogClassic
AddOrRemoveAttendees | ObjectsGroup | WordArtVerticalText
AddToFavorites | ObjectsMultiSelect | WordCloseParaAbove
AddressBook | ObjectsRegroup | WordCloseParaBelow
AdpConstraints | ObjectsSelect | WordCountList
AdpDiagramAddRelatedTables | ObjectsUngroup | WordOpenParaAbove
AdpDiagramArrangeSelection | OfficeDiagnostics | WordOpenParaBelow
AdpDiagramArrangeTables | OleObjectctInsert | WordPicture
AdpDiagramAutosizeSelectedTables | OmsAccountSetup | WorkflowComplete
AdpDiagramColumnNames | OmsChangeSlideLayoutGallery | WorkflowPending
AdpDiagramColumnProperties | OmsCustomizeLayout | WorkgroupAdmin
AdpDiagramCustomView | OmsDelete | WrapText
AdpDiagramDeleteTable | OmsForwardAsMultimediaMessage | X
AdpDiagramHideTable | OmsForwardAsTextMessage | XmlDataRefresh
AdpDiagramKeys | OmsNewMultimediaMessage | XmlExpansionPacksExcel
AdpDiagramNameOnly | OmsNewTextMessage | XmlExport
AdpDiagramNewTable | OmsPreviewPane | XmlImport
AdpDiagramRecalculatePageBreaks | OmsSend | XmlSchema
AdpDiagramShowRelationshipLabels | OmsSlideInsert | XmlTransformation
AdpDiagramTableModesMenu | OpenInfopathForm | Y
AdpManageIndexes | OpenStartPage | Z
AdpOutputOperationsAddToOutput | OrganizationChartInsert | Zoom100
AdpOutputOperationsTableRemove | OrganizationChartInsertAssistant | ZoomCurrent100
AdpPrimaryKey | OrganizationChartInsertCoworker | ZoomFitToWindow
AdpStoredProcedureEditSql | OrganizationChartLayoutBothHanging | ZoomIn
AdpStoredProcedureQueryAppendValues | OrganizationChartLayoutLeftHanging | ZoomOnePage
AdpVerifySqlSyntax | OrganizationChartLayoutRightHanging | ZoomOut
AdpViewDiagramPane | OrganizationChartLayoutStandard | ZoomPageWidth
AdpViewGridPane | OrganizationChartSelectAllAssistants | ZoomPrintPreviewExcel
AdpViewSqlPane | OrganizationChartSelectAllConnectors | ZoomToSelection
AdvancedFilterDialog | OrganizationChartSelectBranch | _3DEffectsOnOffClassic
AdvertisePublishAs | OrganizationChartSelectLevel | _3DExtrusionDepth144Classic
AlignBottomExcel | OrganizationOutlook | _3DExtrusionDepth288Classic
AlignCenter | Organizer | _3DExtrusionDepth36Classic
AlignDialog | OtherActionsMenu | _3DExtrusionDepth72Classic
AlignDistributeHorizontallyClassic | OutdentClassic | _3DExtrusionDepthInfinityClassic
AlignDistributeVerticallyClassic | OutlineCollapse | _3DExtrusionDepthNoneClassic
AlignJustify | OutlineDashesGallery | _3DExtrusionDirectionClassic
AlignJustifyHigh | OutlineDemote | _3DExtrusionParallelClassic
AlignJustifyLow | OutlineDemoteToBodyText | _3DExtrusionPerspectiveClassic
AlignJustifyMedium | OutlineExpand | _3DLightingClassic
AlignJustifyThai | OutlineExpandAll | _3DLightingDimClassic
AlignLeft | OutlineGroup | _3DLightingFlatClassic
AlignMiddleExcel | OutlineHideDetail | _3DLightingNormalClassic
AlignRight | OutlineMoveDown | _3DPerspectiveDecrease
AlignTopExcel | OutlineMoveUp | _3DPerspectiveIncrease
AlternativeText | OutlinePromote | _3DRotationGallery
AnimationAudio | OutlinePromoteToHeading | _3DStyle
AnimationCustom | OutlineSettings | _3DSurfaceMaterialClassic
AnimationGallery | OutlineShowDetail | _3DSurfaceMatteClassic
AnimationOnClick | OutlineShowFirstLineOnly | _3DSurfaceMetalClassic
AnimationPreview | OutlineShowLevel | _3DSurfacePlasticClassic
AnimationTransitionGallery | OutlineShowTextFormatting | _3DSurfaceWireFrameClassic
AnimationTransitionSoundGallery | OutlineSubtotals | _3DTiltDownClassic
AnimationTransitionSpeedGallery | OutlineSymbolsShowHide | _3DTiltLeftClassic
ApplyStylesPane | OutlineUngroup | _3DTiltRightClassic
AppointmentAttachment | OutlineWeightGallery | _3DTiltUpClassic


Icons | Automatisierung der Benutzerschnittstelle

Die VBA-Aufrufe

Den einzelnen Steuerelementen können unterschiedliche VBA-Aufrufe zugeordnet werden. Nähere Informationen über die Attribute finden Sie im Blatt Beschreibung

Control | Rückgabename | Prozedur
mehrere | getDescription | Sub GetDescription(control As IRibbonControl, ByRef description)
mehrere | getEnabled | Sub GetEnabled(control As IRibbonControl, ByRef enabled)
mehrere | getImage | Sub GetImage(control As IRibbonControl, ByRef image)
mehrere | getImageMso | Sub GetImageMso(control As IRibbonControl, ByRef imageMso)
mehrere | getLabel | Sub GetLabel(control As IRibbonControl, ByRef label)
mehrere | getKeytip | Sub GetKeytip (control As IRibbonControl, ByRef label)
mehrere | getSize | sub GetSize(control As IRibbonControl, ByRef size)
mehrere | getScreenTip | Sub GetScreentip(control As IRibbonControl, ByRef screentip)
mehrere | getSuperTip | Sub GetSupertip(control As IRibbonControl, ByRef screentip)
mehrere | getVisible | Sub GetVisible(control As IRibbonControl, ByRef visible)
button | getShowImage | Sub GetShowImage (control As IRibbonControl, ByRef showImage)
button | getShowLabel | Sub GetShowLabel (control As IRibbonControl, ByRef showLabel)
button | onAction | Sub OnAction(control As IRibbonControl)
checkBox | getPressed | Sub GetPressed(control As IRibbonControl, ByRef returnValue)
checkBox | onAction | Sub OnAction(control As IRibbonControl, pressed As Boolean)
comboBox | getItemCount | Sub GetItemCount(control As IRibbonControl, ByRef count)
comboBox | getItemID | Sub GetItemID(control As IRibbonControl, index As Integer, ByRef id)
comboBox | getItemImage | Sub GetItemImage(control As IRibbonControl, index As Integer, ByRef image)
comboBox | getItemLabel | Sub GetItemLabel(control As IRibbonControl, index As Integer, ByRef label)
comboBox | getItemScreenTip | Sub GetItemScreenTip(control As IRibbonControl, index As Integer, ByRef screentip)
comboBox | getItemSuperTip | Sub GetItemSuperTip (control As IRibbonControl, index As Integer, ByRef supertip)
comboBox | getText | Sub GetText(control As IRibbonControl, ByRef text)
comboBox | onChange | Sub OnChange(control As IRibbonControl, text As String)
customUI | loadImage | Sub LoadImage(imageId As string, ByRef image)
customUI | onLoad | Sub OnLoad(ribbon As IRibbonUI)
dropDown | getItemCount | Sub GetItemCount(control As IRibbonControl, ByRef count)
dropDown | getItemID | Sub GetItemID(control As IRibbonControl, index As Integer, ByRef id)
dropDown | getItemImage | Sub GetItemImage(control As IRibbonControl, index As Integer, ByRef image)
dropDown | getItemLabel | Sub GetItemLabel(control As IRibbonControl, index As Integer, ByRef label)
dropDown | getItemScreenTip | Sub GetItemScreenTip(control As IRibbonControl, index As Integer, ByRef screenTip)
dropDown | getItemSuperTip | Sub GetItemSuperTip (control As IRibbonControl, index As Integer, ByRef superTip)
dropDown | getSelectedItemID | Sub GetSelectedItemID(control As IRibbonControl, ByRef index)
dropDown | getSelectedItemIndex | Sub GetSelectedItemIndex(control As IRibbonControl, ByRef index)
dropDown | onAction | Sub OnAction(control As IRibbonControl, selectedId As String, selectedIndex As Integer)
editBox | getText | Sub GetText(control As IRibbonControl, ByRef text)
editBox | onChange | Sub OnChange(control As IRibbonControl, text As String)
gallery | getItemCount | Sub GetItemCount(control As IRibbonControl, ByRef count)
gallery | getItemHeight | Sub getItemHeight(control As IRibbonControl, ByRef height)
gallery | getItemID | Sub GetItemID(control As IRibbonControl, index As Integer, ByRef id)
gallery | getItemImage | Sub GetItemImage(control As IRibbonControl, index As Integer, ByRef image)
gallery | getItemLabel | Sub GetItemLabel(control As IRibbonControl, index As Integer, ByRef label)
gallery | getItemScreenTip | Sub GetItemScreenTip(control As IRibbonControl, index as Integer, ByRef screen)
gallery | getItemSuperTip | Sub GetItemSuperTip (control As IRibbonControl, index as Integer, ByRef screen)
gallery | getItemWidth | Sub getItemWidth(control As IRibbonControl, ByRef width)
gallery | getSelectedItemID | Sub GetSelectedItemID(control As IRibbonControl, ByRef index)
gallery | getSelectedItemIndex | Sub GetSelectedItemIndex(control As IRibbonControl, ByRef index)
gallery | onAction | Sub OnAction(control As IRibbonControl, selectedId As String, selectedIndex As Integer)
menuSeparator | getTitle | Sub GetTitle (control As IRibbonControl, ByRef title)
toggleButton | getPressed | Sub GetPressed(control As IRibbonControl, ByRef returnValue)
toggleButton | onAction | Sub OnAction(control As IRibbonControl, pressed As Boolean)


Herbers Excel-Materialien CreateRibbon - Ribbon in Excel 12 (Office 2007)
Automatisierung der Ribbon-Erstellung - Beta 1.0
VBA-Prozeduren | Blatt Einstellungen

Das Programm

Wie Sie aus diesem Dokument ersehen können, erfordert die Nutzung der Benutzerschnittstelle für Entwickler zum einen ein gründliche Einarbeitung in das Thema und gestaltet sich zum anderen im Ablauf sowohl aufwändig als auch nicht unkompliziert.

Für den fortgeschrittenen Excel-Anwendungsprogrammierer ist es jedoch zumindest wünschenswert, eigene Menü/Symbolleisten fugenlos in Microsoft Excel einarbeiten zu können.

Der Verfasser hat mit dem vorliegenden Entwickler-Tool CreateRippon.xlsm versucht, die Gestaltung des Ribbon-Objektes zu vereinfachen und den Ablauf zu Automatisieren. Auf den Folgeseiten finden Sie eine Anleitung zur Handhabung des Tools.


Herbers Excel-Materialien CreateRibbon - Ribbon in Excel 12 (Office 2007)
Automatisierung der Ribbon-Erstellung - Beta 1.0
Automatisierung der Benutzerschnittstelle | Blatt Ribbon

Das Blatt Einstellungen

  • Eingabefeld WinZip-Verzeichnis
    Hier ist Pfad und Dateiname der WinZip.exe anzugeben.

  • Eingabefeld Verzeichnis für temporäre Dateien
    Zur Automatisierung der Benutzerschnittstelle ist es notwendig, die in der Arbeitsmappe enthaltenen, gepackten Dateien zu entpacken, zu editieren und wieder zu verpacken. Diese temporären Dateien werden wieder gelöscht. Geben Sie hier ein beliebiges Verzeichnis an.

  • Eingabefeld zu bearbeitende Datei
    Es kann sowohl eine bereits vorhandene wie auch eine neu zu erstellende Arbeitsmappe bearbeitet werden. Tragen Sie hier den jeweiligen Dateinamen ein.

  • Kontrollkästchen Sicherheitskopie erstellen
    Es ist zu empfehlen, von jeder zu bearbeitenden Datei eine Sicherheitskopie der jeweiligen Version zu erstellen. Die Arbeitsmappe wird in einem Verzeichnis BackUp unterhalb des Verzeichnisses mit der Programmdatei gespeichert. Die Namens-Syntax lautet bu_JJMMTT_hhmmss_Dateiname.

  • Kontrollkästchen Spalten automatisch ausblenden
    Wenn das Kontrollkästchen aktiviert ist, aktiviert dies im Blatt Ribbon eine Ereignisprozedur, die je nach Auswahl eines Steuerelements zeilenweise alle nicht relevanten Spalten ausblendet.

  • Kontrollkästchen Arbeitsmappe nach Bearbeitung öffnen
    Wenn das Kontrollkästchen aktiviert ist, wird die durch das Programm bearbeitete Arbeitsmappe nach der Bearbeitung geöffnet.

  • Schaltfläche Zur Menüleistenerstellung
    Das Blatt Ribbon wird ausgewählt.


Herbers Excel-Materialien CreateRibbon - Ribbon in Excel 12 (Office 2007)
Automatisierung der Ribbon-Erstellung - Beta 1.0
Blatt Einstellungen

Das Blatt Ribbon

  • Eingabefelder und Schaltflächen

    • Das Eingabefeld Anzeige

      Anzeige

      Es kann zwischen Solo und Anhängen gewählt werden. Im ersten Fall werden der oder die tabs ohne die eingebauten Ribbon-Objekte angezeigt, im zweiten werden sie dem bestehenden Ribbon-Objekt rechts hinzugefügt.

    • Die Schaltfläche Zurücksetzen
      Die Steuerelemente in Spalte A werden mit Ausnahme des ersten tab und der ersten group, die Standardmässig immer am Anfang stehen müssen, gelöscht.

    • Die Schaltfläche Liste speichern
      Die aktuellen Werte werden exportiert. Die Datei wird einem Unterverzeichnis MenuDatas unterhalb des Verzeichnisses mit der Programmdatei gespeichert. Die Namens-Syntax lautet mnu_JJMMTT_hhmmss_Dateiname.

    • Die Schaltfläche Liste importieren
      Die bisher gespeicherten Listen werden zur Auswahl angezeigt und die ausgewählten Daten werden eingelesen. Vorhandene Daten werden ohne Rückfrage überschrieben.

    • Die Schaltfläche Einstellungen
      Das Blatt Einstellungen wird ausgewählt.

  • Anmerkungen zu den Spalten

    • Spalte Elemente
      Über DropDownfelder können die zur Verfügung stehenden Elemente eingetragen werden:

      DropDown

      Zusätzlich kann mit dem ShortCut Strg+a ein Dialog aufgerufen werden:

      Dialog

      Im ersten Listenfeld werden alle zur Verfügung stehenden Elemente, im zweiten nur die als nächste Ebene erlaubten Elemente angezeigt. Bei Auswahl eines Steuerelementes wird dieses eingetragen und der Dialog schliesst sich.

      Wird tab ausgewählt, wird in der nächsten Zeile group und in der rechten Zelle eine 1 eingetragen. Wird group ausgewählt, wird in die Nebenspalte die Stufe 2 eingetragen.

      Die jeweilige Zeile in den Spalte ab Spalte 3 (label) wird angepasst. Für die zugelassenen Attribute wird ein Eingabefeld erstellt, die übrigen werden gesperrt.
  • Spalte Ebene
    Bei den Steuerelementen tab und group werden automatisch die Ebenen 1 oder 2 eingetragen, bei den übrigen Steuerlementen muss dieser Vorgang manuell vorgenommen werden.
  • Spalte idMSO
    Wird die ID eines eingebauten Steuerelementes angegeben, werden automatisch alle anderen Attribut-Felder der Zeile gesperrt.

    Bei Eingabe des ShortCuts Strg+a wird ein Dialog mit den für das in Spalte A angegebene Steuerelement zur Verfügung stehenden Steuerelementen angezeigt:

    idMso

    Das ausgewählte Element wird in die aktive Zelle eingetragen.

  • Spalten boxStyle, columns, enabled, showImage, showItemImage, showItemLabel, showLabel, visible
    Hier können über ein DropDown-Feld ausschliesslich die Werte WAHR oder FALSCH eingegeben werden.

  • Spalten, die mit get beginnen
    Mit dem ShortCut Strg+a wird eine MessageBox angezeigt:

    get

    Ist die Zelle leer, erscheint der Name der Standard-Ereignisprozedur, ist ein Makroname eingetragen, wird dieser übernommen. Wird die MessageBox mit Ja bestätigt, wird der Standardprozedurname in die aktive Zelle eingetragen. Der angezeigte Rumpfcode wird in die Zwischenablage übernommen.

  • Spalte imageMSO
    Beim Klick auf den tab Entwicklertools wird rechts eine Gruppe Office Icons mit 9 Galerien angezeigt. Bei Auswahl einer Galerie werden die Icons aufgerufen:

    imageMso

    Befindet man sich in der Spalte imageMso, wird die ID des ausgewählten Icons in die aktive Zelle eingetragen, andernfalls wird Sie in einer MessageBox angezeigt.

  • Spalte onAction
    Mit dem ShortCut Strg+a wird eine MessageBox mit dem Rumpfcode des Makros angezeigt. Ein Makroname muss angegeben sein. Der angezeigte Rumpfcode wird in die Zwischenablage übernommen.


Verantwortlich für den Inhalt:

Hans W. Herber
Im Schönblick 5
D-53567 Asbach
Germany, Old Europe
Telefon: +49 2683 949047
URL: http://www.herber.de
Email: hans@herber.de
Texte, Gestaltung, Programmierung: Hans W. Herber
USt-ID: DE 149 450 590
Visitenkarte Visitenkarte in Outlook einfügen
© Das Copyright liegt ausschließlich bei Hans W. Herber.